<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: project_proposals.php
| Version: 1.00
| Author: DrunkeN
| Website: www.dark-fusion.se
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once INCLUDES."bbcode_include.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."df_project_panel/infusion_db.php";
require_once INFUSIONS."df_project_panel/includes/pro.functions.php";
require_once INFUSIONS."df_project_panel/includes/pro.inc.php";

if (!checkrights("DPT") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { die("Access Denied"); }

include INFUSIONS."df_project_panel/includes/copyright.php";


// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."df_project_panel/locale/".$settings['locale'].".php")) {
// Load the locale file matching the current site locale setting.
    include INFUSIONS."df_project_panel/locale/".$settings['locale'].".php";
} else {
// Load the infusion's default locale file.
    include INFUSIONS."df_project_panel/locale/English.php";
}


include INFUSIONS."df_project_panel/admin/admin_navigation.php";

$message = "";

if((isset($_GET['action']) && $_GET['action'] == "del") && (isset($_GET['did']) && isnum($_GET['did']))) {
    $result = dbquery("DELETE FROM ".DB_PROJECT_PROPOSALS." WHERE project_proposal_id='".$_GET['did']."'");
	redirect(FUSION_SELF.$aidlink."&amp;st=deleted");
}

if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['id']) && isnum($_GET['id']))){
   if(isset($_POST['proj_assign'])){
      $result = dbquery("UPDATE ".DF_PROJECT_PROPOSALS." SET project_proposal_admin='".$userdata['user_id']."' WHERE project_proposal_id='".$_GET['id']."'");
	} elseif(isset($_POST['proj_unassign']) || isset($_POST['proj_unassign_user'])){
      $result = dbquery("UPDATE ".DF_PROJECT_PROPOSALS." SET project_proposal_admin='0' WHERE project_proposal_id='".$_GET['id']."'");
	}
}
	if (isset($_GET['st']) && $message == "") {
		if ($_GET['st'] == "updated") {
			$message = $locale['project_ap000'];
		} elseif ($_GET['st'] == "deleted") {
			$message = $locale['project_ap001'];
		}
		
		if (isset($_GET['ass']) && $_GET['ass'] == 1) {
			$message2 = "<br />".$locale['project_ap001a']
		} elseif (isset($_GET['ass']) && $_GET['ass'] == 0) {
			$message2 = "<br />".$locale['project_ap001b'];
		} elseif (isset($_GET['ass']) && $_GET['ass'] == 2) {
			$message2 = "<br />".$locale['project_ap001c'];
		} else {
		    $message2 = "";
		}
	}
	if ($message != "") {  echo "<div id='close-message'><div style='margin-top: 10px;' class='admin-message'>".$message.$message2."</div></div>\n"; }


if (isset($_POST['save_proide'])) {

if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['id']) && isnum($_GET['id']))) {
    $project_proposal_txt = stripinput($_POST['project_proposal_txt']);
    $project_proposal_visi = (isset($_POST['project_proposal_visi']) && isnum($_POST['project_proposal_visi'])) ? $_POST['project_proposal_visi'] : "0";
    $project_proposal_visiacc = (isset($_POST['project_proposal_visiacc']) && isnum($_POST['project_proposal_visiacc'])) ? $_POST['project_proposal_visiacc'] : "0";
    $project_proposal_status = (isset($_POST['project_proposal_status']) && isnum($_POST['project_proposal_status'])) ? $_POST['project_proposal_status'] : "";
	$project_proposal_type = (isset($_POST['project_proposal_type']) && isnum($_POST['project_proposal_type'])) ? $_POST['project_proposal_type'] : 0;
	$result = dbquery("UPDATE ".DF_PROJECT_PROPOSALS." SET 
	project_proposal_txt='".$project_proposal_txt."',
	project_proposal_visi='".$project_proposal_visi."',
	project_proposal_visiacc='".$project_proposal_visiacc."',
	project_proposal_status='".$project_proposal_status."',
	project_proposal_type='".$project_proposal_type."',
	project_proposal_updated='".time()."'
	WHERE project_proposal_id='".$_GET['id']."'");
	$assig = (isset($_POST['proj_assign']) ? "&amp;ass=1" : (isset($_POST['proj_unassign']) ? "&amp;ass=0" : (isset($_POST['proj_unassign_user']) ? "&amp;ass=2" : "")));
	redirect(FUSION_SELF.$aidlink."&amp;st=updated".$assig);
   }
   
} else {

if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['id']) && isnum($_GET['id']))) {
    $result = dbquery("SELECT pp.*, p.*, u.user_id, u.user_name, u.user_status, u2.user_id AS admin_id, u2.user_name AS admin_name, u2.user_status AS admin_status  
	FROM ".DF_PROJECT_PROPOSALS." pp 
	LEFT JOIN ".DF_PROJECTS." p ON pp.project_proposal_iid=p.project_id
	LEFT JOIN ".DB_USERS." u ON u.user_id=pp.project_proposal_poster
	LEFT JOIN ".DB_USERS." u2 ON u2.user_id=pp.project_proposal_admin
	WHERE project_proposal_id='".$_GET['id']."'");
	
	$data = dbarray($result);
	
	$tableTitle = ($_GET['action'] == "review" ? $locale['project_ap002'] : ($_GET['action'] == "edit" ? $locale['project_ap003'] : ""));
    $action = FUSION_SELF.$aidlink."&amp;action=".$_GET['action']."&amp;id=".$_GET['id'];
	if(!AssignToCheck($data['project_proposal_admin'])){ redirect(FUSION_SELF.$aidlink); }
	
	$user_groups = getusergroups(); $access_opts = "";
	while(list($key, $user_group) = each($user_groups)){
		$sel = (isset($data['project_proposal_visiacc']) && $data['project_proposal_visiacc'] == $user_group['0'] ? " selected='selected'" : "");
		$access_opts .= "<option value='".$user_group['0']."'".$sel.">".$user_group['1']."</option>\n";
	} 
   	opentable($tableTitle);
    $proposal['comments'] = (dbcount("(comment_item_id)", DB_COMMENTS, "comment_item_id='".$_GET['id']."' AND comment_type='PP'"));
    echo "<form name='inputform' method='post' action='".$action."'>\n";
    echo "<table class='tbl-border center' width='700' cellspacing='1' cellpadding='0'>\n<tr>\n";
    echo "<td class='tbl1'>".$locale['project_ap004']."</td>\n";
    echo "<td class='tbl1'><a href='".PROJECT."view.php?id=".$data['project_id']."'>".$data['project_name']."</a></td>\n";
    echo "</tr>\n<tr>";
	echo "<td class='tbl1'>".$locale['project_ap005']."</td>\n";
    echo "<td class='tbl1'>".showdate("%B %d %Y %H:%M", $data['project_proposal_posted']).$locale['project_ap006'].profile_link($data['user_id'], $data['user_name'], $data['user_status'])."</td>\n";
    echo "</tr>\n<tr>";
if($data['project_proposal_updated']){
	echo "<td class='tbl1'>".$locale['project_ap007']."</td>\n";
    echo "<td class='tbl1'>".showdate("%B %d %Y %H:%M", $data['project_proposal_updated']).$locale['project_ap006'].($data['project_proposal_admin'] !=0 ? profile_link($data['admin_id'], $data['admin_name'], $data['admin_status']) : "Unknown")."</td>\n";
    echo "</tr>\n<tr>";
}
	echo "<td class='tbl1'>".$locale['project_ap008']."</td>\n";
    echo "<td class='tbl1'>".$proposal['comments']."</td>\n";
    echo "</tr>\n<tr>";
	echo "<td class='tbl1' valign='top' style='white-space:nowrap;'>".$locale['project_ap009']."</td>\n";
    echo "<td class='tbl'><textarea name='project_proposal_txt' cols='60' rows='5' class='textbox devTxtbx' style='width:400px;'>".$data['project_proposal_txt']."</textarea><br />\n";
    echo display_bbcodes("400px;", "project_proposal_txt", "inputform")."\n";
    echo "</td>\n</tr>\n<tr>\n";
	echo "<td class='tbl1'>".$locale['project_ap010']."</td>\n";
    echo "<td class='tbl1'><select name='project_proposal_visi' class='textbox devTxtbx' style='width:150px;'>";
	echo "<option value='0'".($data['project_proposal_visi'] == "0" ? " selected='selected'" : "").">".$locale['project_g000']."</option>\n";
    echo "<option value='1'".($data['project_proposal_visi'] == "1" ? " selected='selected'" : "").">".$locale['project_g001']."</option>\n";
	echo "</select></td>\n";
    echo "</tr>\n<tr>\n";
	echo "<td class='tbl1'>".$locale['project_ap011']."</td>\n";
    echo "<td class='tbl1'><select name='project_proposal_visiacc' class='textbox devTxtbx' style='width:150px;'>\n".$access_opts."</select></td>\n";
    echo "</tr>\n<tr>\n"; 
    echo "<td class='tbl1'>".$locale['project_ap012']."</td>\n";
    echo "<td class='tbl1'><select name='project_proposal_status' class='textbox devTxtbx' style='width:150px;'>";
	echo "<option value='0'".($data['project_proposal_status'] == "0" ? " selected='selected'" : "").">Under Review</option>\n";
	echo "<option value='1'".($data['project_proposal_status'] == "1" ? " selected='selected'" : "").">".$locale['project_ps001']."</option>\n";
    echo "<option value='2'".($data['project_proposal_status'] == "2" ? " selected='selected'" : "").">".$locale['project_ps002']."</option>\n";
	echo "<option value='3'".($data['project_proposal_status'] == "3" ? " selected='selected'" : "").">".$locale['project_ps003']."</option>\n";
	echo "<option value='4'".($data['project_proposal_status'] == "4" ? " selected='selected'" : "").">".$locale['project_ps004']."</option>\n";
	echo "<option value='5'".($data['project_proposal_status'] == "5" ? " selected='selected'" : "").">Close</option>\n";
	echo "</select></td>\n</tr>";
	echo "<tr><td class='tbl1'>".$locale['project_ap012a']."</td>\n";
    echo "<td class='tbl1'><select name='project_proposal_type' class='textbox devTxtbx' style='width:150px;'>";
	echo "<option value='0'".($data['project_proposal_type'] == "0" ? " selected='selected'" : "").">".$locale['project_pt000']."</option>\n";
	echo "<option value='1'".($data['project_proposal_type'] == "1" ? " selected='selected'" : "").">".$locale['project_pt001']."</option>\n";
    echo "<option value='2'".($data['project_proposal_type'] == "2" ? " selected='selected'" : "").">".$locale['project_pt002']."</option>\n";
	echo "</select></td>\n";
    echo "</tr>\n<tr>\n";
	
	echo "<tr>\n<td align='center' colspan='2' class='tbl1'>";
if($data['project_proposal_admin'] !=0 && AssignToCheck($data['project_proposal_admin'])){
  if($data['project_proposal_admin'] !=0 && $userdata['user_id'] == 1) {
	echo "<br /><div style='margin: 7px;'><input style='vertical-align: middle;' type='checkbox' name='proj_unassign_user' value='1'>".$locale['project_ap013'].$data['admin_name'].$locale['project_ap013a']."</div>";
  } else {
	echo "<br /><div style='margin: 7px;'><input style='vertical-align: middle;' type='checkbox' name='proj_unassign' value='1'>".$locale['project_ap013b']."</div>";
}
    echo "<input type='submit' name='save_proide' value='".$locale['project_ap013d']."' class='button' style='align:center; padding:3px;' />\n";
  } elseif($data['project_proposal_admin'] == 0) {
	echo "<div style='margin: 7px;'><input style='vertical-align: middle;' type='checkbox' name='proj_assign' value='1'>".$locale['project_ap013c']."</div>";
	echo "<input type='submit' name='save_proide' value='".$locale['project_ap013d']."' class='button' style='align:center; padding:3px;' />\n";
}
    echo "</td></tr>";
    echo "</table>\n</form>\n";
	closetable();
   }
}

opentable($locale['project_ap014']);
 $dresult = dbquery("SELECT p.*, pp.*, pp.project_proposal_iid
        FROM ".DF_PROJECTS." p
		LEFT JOIN ".DF_PROJECT_PROPOSALS." pp ON pp.project_proposal_iid=p.project_id
		GROUP BY p.project_id
        ORDER BY pp.project_proposal_posted");
	while($ddata = dbarray($dresult)){
		$result = dbquery("SELECT p.*, pp.*, u.user_id, u.user_name, u.user_status, u2.user_id AS admin_id, u2.user_name AS admin_name, u2.user_status AS admin_status
        FROM ".DF_PROJECT_PROPOSALS." pp 
		LEFT JOIN ".DF_PROJECTS." p ON p.project_id=pp.project_proposal_iid
        LEFT JOIN ".DB_USERS." u ON pp.project_proposal_poster=u.user_id
		LEFT JOIN ".DB_USERS." u2 ON u2.user_id=pp.project_proposal_admin
        WHERE p.project_id='".$ddata['project_proposal_iid']."'
        ORDER BY pp.project_proposal_posted DESC");
	  $propos = 0;
	  $propos = 1;
	  echo "<table class='tbl-border center' style='border-spacing: 10px;border-collapse: separate;' width='70%'><tr>";
      echo "<td width='200' colspan='2' class='tbl2'><a href='".INFUSIONS."df_project_panel/view.php?id=".$ddata['project_id']."'>".$ddata['project_name']."</a></td></tr><tr>";
      if(dbrows($result)){
	  echo "<td width='100' style='font-weight:bold;' class='tbl1'>".$locale['project_ap015']."</td>";
	  echo "<td width='120' style='font-weight:bold;' class='tbl1'>".$locale['project_ap016']."</td>";
	  echo "<td width='120' style='font-weight:bold;' class='tbl1'>".$locale['project_ap016a']."</td>";
      echo "<td width='100' style='text-align: center;font-weight:bold;' class='tbl1'>".$locale['project_ap017']."</td>";
      echo "<td width='120' style='text-align: center;font-weight:bold;' class='tbl1'>".$locale['project_g007']."</td>";
	  echo "<td width='100' style='text-align: center;font-weight:bold;' class='tbl1'>".$locale['project_g003']."</td>";
      echo "</tr>";
	
	while ($data = dbarray($result)) {
	  echo "<tr>";
	  $notRevi = ($data['project_proposal_status'] == 0 ? " propo-not-revi" : "");
      echo "<td class='tbl1".$notRevi."'><strong>[".pp_type($data['project_proposal_type'])."]</strong> <a href='".INFUSIONS."df_project_panel/view.php?propos_id=".$data['project_proposal_id']."'>#".$propos."</a></td>";
      echo "<td class='tbl1".$notRevi."'>".profile_link($data['user_id'], $data['user_name'], $data['user_status'])."</td>";
	  echo "<td class='tbl1".$notRevi."'>".($data['project_proposal_admin'] == 0 ? $locale['project_ap018a'] : profile_link($data['admin_id'], $data['admin_name'], $data['admin_status']))."</td>";
      echo "<td class='tbl1".$notRevi."' style='text-align: center;'>".showdate("%B %d %Y %H:%M", $data['project_proposal_posted'])."</td>";
      echo "<td class='tbl1".$notRevi."' align='center'>".($data['project_proposal_status'] == 0 ? $locale['project_ap018'] : pp_status($data['project_proposal_status']))."</td>";
      echo "<td class='tbl1".$notRevi."' style='text-align: center;'>".(AssignToCheck($data['project_proposal_admin']) ? "<a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;id=".$data['project_proposal_id']."'>".$locale['project_g004']."</a> - <a href='".FUSION_SELF.$aidlink."&amp;action=del&amp;did=".$data['project_proposal_id']."' onclick=\"return confirm('".$locale['project_ap019']."');\"'>".$locale['project_g005']."</a>" : "")."</td></tr>";
      $i++; $propos++;
      }
	  } else {
	  echo "<td class='tbl1' width='200'>".$locale['project_ap020']."</td>\n</tr>\n";
	  }
     echo"</table>";
 }
  closetable();
require_once THEMES."templates/footer.php";
?>
