<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: project_reports.php
| Version: 1.00
| Author: DrunkeN
| Website: www.dark-fusion.se
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."df_project_panel/infusion_db.php";
require_once INFUSIONS."df_project_panel/includes/pro.functions.php";
require_once INFUSIONS."df_project_panel/includes/pro.inc.php";

if (!checkrights("DPT") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { die("Access Denied"); }

include INFUSIONS."df_project_panel/includes/copyright.php";


// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."df_project_panel/locale/".$settings['locale'].".php")) {
// Load the locale file matching the current site locale setting.
    include INFUSIONS."df_project_panel/locale/".$settings['locale'].".php";
} else {
// Load the infusion's default locale file.
    include INFUSIONS."df_project_panel/locale/English.php";
}

include INFUSIONS."df_project_panel/admin/admin_navigation.php";

$message = "";

if((isset($_GET['action']) && $_GET['action'] == "del") && (isset($_GET['did']) && isnum($_GET['did']))) {
    $result = dbquery("DELETE FROM ".DF_PROJECT_REPORTS." WHERE project_report_id='".$_GET['did']."'");
	redirect(FUSION_SELF.$aidlink."&amp;st=deleted");
}

	if (isset($_GET['st']) && $message == "") {
		if ($_GET['st'] == "updated") {
			$message = $locale['project_ap000'];
		} elseif ($_GET['st'] == "deleted") {
			$message = $locale['project_ap001'];
		}
	}
	if ($message != "") {  echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }


if (isset($_POST['update_report'])) {

if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['id']) && isnum($_GET['id'])) || (isset($_GET['action']) && $_GET['action'] == "review") && (isset($_GET['id']) && isnum($_GET['id']))) {
    $project_report_status = (isset($_POST['project_report_status']) && isnum($_POST['project_report_status'])) ? $_POST['project_report_status'] : "";
	$result = dbquery("UPDATE ".DF_PROJECT_REPORTS." SET project_report_status='".$project_report_status."' WHERE project_report_id='".$_GET['id']."'");
	redirect(FUSION_SELF.$aidlink."&amp;st=updated");
   }
   
} else {

if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['id']) && isnum($_GET['id']))) {
    $result = dbquery("SELECT pr.*, p.*, u.user_id, u.user_name, u.user_status
	FROM ".DF_PROJECT_REPORTS." pr 
	LEFT JOIN ".DF_PROJECTS." p ON pr.project_report_iid=p.project_id
	LEFT JOIN ".DB_USERS." u ON u.user_id=pr.project_reported_by
	WHERE project_report_id='".$_GET['id']."'");
	
	$data = dbarray($result);
	
    $project_report_text = stripinput($data['project_report_text']);
    $project_report_status = (isset($data['project_report_status']) && isnum($data['project_report_status'])) ? $data['project_report_status'] : "";
    $action = FUSION_SELF.$aidlink."&amp;action=".$_GET['action']."&amp;id=".$_GET['id'];
	
   	opentable("Update");
    echo "<form name='inputform' method='post' action='".$action."'>\n";
    echo "<table class='tbl-border center' width='700' style='border-spacing: 2px;border-collapse: separate;'>\n<tr>\n";
    echo "<td class='tbl1'>Project</td>\n";
    echo "<td class='tbl1'>".$data['project_name']."</td>\n";
    echo "</tr>\n<tr>";
	echo "<td style='margin: 10px 0px 0px 0px;' class='tbl1'>Reported</td>\n";
    echo "<td class='tbl1'>".showdate("%B %d %Y %H:%M", $data['project_report_date']).$locale['project_ap006'].profile_link($data['user_id'], $data['user_name'], $data['user_status'])."</td>\n";
    echo "</tr>\n<tr>";
	echo "<td style='margin: 10px 0px 0px 0px;' class='tbl1'>Issue(s)</td>\n";
    echo "<td class='tbl1'>".$data['project_report_text']."</td>\n";
    echo "</tr>\n<tr>";
    echo "<td class='tbl1'>Status</td>\n";
    echo "<td class='tbl1'><select name='project_report_status' class='textbox devTxtbx' style='width:150px;'>";
	echo "<option value='0'".($project_report_status == "0" ? " selected='selected'" : "").">Under Review</option>\n";
	echo "<option value='1'".($project_report_status == "1" ? " selected='selected'" : "").">Confirmed</option>\n";
    echo "<option value='2'".($project_report_status == "2" ? " selected='selected'" : "").">Pending</option>\n";
	echo "<option value='3'".($project_report_status == "3" ? " selected='selected'" : "").">Needs review</option>\n";
	echo "<option value='4'".($project_report_status == "4" ? " selected='selected'" : "").">Ready to commit</option>\n";
	echo "</select></td>\n";
    echo "</tr>\n<tr>\n";
	echo "<td style='margin: 10px 0px 0px 0px;' align='center' colspan='2' class='tbl1'>";
    echo "<input type='submit' name='update_report' value='Post' class='button' style='align:center; padding:3px;' />\n";
    echo "</td></tr>";
    echo "</table>\n</form>\n";
	closetable();
   }
}

opentable("Reported Projects");
 $dresult = dbquery("SELECT p.*, pr.*, pr.project_report_iid
        FROM ".DF_PROJECTS." p
		LEFT JOIN ".DF_PROJECT_REPORTS." pr ON pr.project_report_iid=p.project_id
		GROUP BY p.project_id
        ORDER BY pr.project_report_date");
	while($ddata = dbarray($dresult)){
		$result = dbquery("SELECT p.*, pr.*, u.user_id, u.user_name, u.user_status  
        FROM ".DF_PROJECT_REPORTS." pr 
        LEFT JOIN ".DB_USERS." u ON pr.project_reported_by=u.user_id
		LEFT JOIN ".DF_PROJECTS." p ON p.project_id=pr.project_report_iid
        WHERE p.project_id='".$ddata['project_report_iid']."'
        ORDER BY pr.project_report_date DESC");
	  echo "<table class='tbl-border center' style='border-spacing: 2px;border-collapse: separate;' width='70%'><tr>";
      echo "<td width='200' colspan='2' class='tbl2'><a href='".INFUSIONS."df_project_panel/view.php?id=".$ddata['project_id']."'>".$ddata['project_name']."</a></td></tr><tr>";
      echo "<td width='110' style='font-weight:bold;' class='tbl1'>Item</td>";
	  echo "<td width='120' style='font-weight:bold;' class='tbl1'>Reported by</td>";
      echo "<td width='120' style='text-align: center;font-weight:bold;' class='tbl1'>Date</td>";
	  echo "<td width='120' style='text-align: center;font-weight:bold;' class='tbl1'>Priority</td>";
      echo "<td width='120' style='text-align: center;font-weight:bold;' class='tbl1'>Status</td>";
	  echo "<td width='100' style='text-align: center;font-weight:bold;' class='tbl1'>Options</td>";
      echo "</tr>";
	  $repo = 0;
if(dbrows($result)){
	  $repo = 1;
	while ($data = dbarray($result)) {
	  echo "<tr>";
	  $notRevi = ($data['project_report_status'] == 0 ? " propo-not-revi" : "");
      echo "<td class='tbl1".$notRevi."'>Report #".$repo."</td>";
      echo "<td class='tbl1".$notRevi."'>".profile_link($data['user_id'], $data['user_name'], $data['user_status'])."</td>";
      echo "<td class='tbl1".$notRevi."' style='text-align: center;'>".showdate("%B %d %Y %H:%M", $data['project_report_date'])."</td>";
	  echo "<td class='tbl1".$notRevi."' align='center'>".rp_priori($data['project_report_priority'])."</td>";
      echo "<td class='tbl1".$notRevi."' align='center'>".rp_status($data['project_report_status'])."</td>";
      echo "<td class='tbl1".$notRevi."' style='text-align: center;'><a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;id=".$data['project_report_id']."'>Update</a> - <a href='".FUSION_SELF.$aidlink."&amp;action=del&amp;did=".$data['project_report_id']."' onclick=\"return confirm('Delete this report item?);\"'>Delete</a></td></tr>";
      $i++; $repo++;
      }
	} else {
	  echo "<tr>\n<td class='tbl1' width='200'>This project has not got any reports</td>\n</tr>\n";
	  }
     echo"</table>";
 }
 closetable();
require_once THEMES."templates/footer.php";
?>
