<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: project_settings.php
| Version: 1.00
| Author: DrunkeN
| Website: www.dark-fusion.se
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+-------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."df_project_panel/infusion_db.php";
require_once INFUSIONS."df_project_panel/includes/pro.functions.php";
require_once INFUSIONS."df_project_panel/includes/pro.inc.php";

include INFUSIONS."df_project_panel/includes/copyright.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."df_project_panel/locale/".$settings['locale'].".php")) {
// Load the locale file matching the current site locale setting.
    include INFUSIONS."df_project_panel/locale/".$settings['locale'].".php";
} else {
// Load the infusion's default locale file.
    include INFUSIONS."df_project_panel/locale/English.php";
}


if (!checkrights("DPT") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { die("Access Denied. Administrators only."); }
		
    include INFUSIONS."df_project_panel/admin/admin_navigation.php";

$dev_settings = dbarray(dbquery("SELECT * FROM ".DF_PROJECT_SETTINGS));

if (isset($_POST['save_settings'])) {
	$project_perpage = stripinput($_POST['project_perpage']);
	$project_cats_perpage = stripinput($_POST['project_cats_perpage']);
	$project_cats_colum = (isset($_POST['project_cats_colum']) && isnum($_POST['project_cats_colum'])) ? $_POST['project_cats_colum'] : "3";
	$project_colum = (isset($_POST['project_colum']) && isnum($_POST['project_colum'])) ? $_POST['project_colum'] : "2";
	$project_comments = (isset($_POST['project_comments']) && isnum($_POST['project_comments'])) ? $_POST['project_comments'] : "0";
	$project_screensh = (isset($_POST['project_screensh']) && isnum($_POST['project_screensh'])) ? $_POST['project_screensh'] : "1";
	$project_access = (isset($_POST['project_access']) && isnum($_POST['project_access'])) ? $_POST['project_access'] : "0";
	$project_stats = (isset($_POST['project_stats']) && isnum($_POST['project_stats'])) ? $_POST['project_stats'] : "1";
	$thumb_width = stripinput($_POST['thumb_width']);
	$thumb_height = stripinput($_POST['thumb_height']);
	$screen_width = stripinput($_POST['screen_width']);
	$screen_height = stripinput($_POST['screen_height']);
	$screen_maxsize = stripinput($_POST['screen_maxsize']);
	$file_types = stripinput($_POST['file_types']);
	$file_maxsize = stripinput($_POST['file_maxsize']);
    $result = dbquery("UPDATE ".DF_PROJECT_SETTINGS." SET 
	                   project_perpage='".$project_perpage."', 
					   project_cats_perpage='".$project_cats_perpage."',
					   project_cats_colum='".$project_cats_colum."',
					   project_colum='".$project_colum."',
					   project_comments='".$project_comments."', 
					   project_screenshot='".$project_screensh."', 
					   project_access='".$project_access."', 
					   project_stats='".$project_stats."',
					   project_twidth='".$thumb_width."',
			           project_theight='".$thumb_height."',
			           project_swidth='".$screen_width."',
			           project_sheight='".$screen_height."',
			           project_smaxsize='".$screen_maxsize."',
			           project_ftypes='".$file_types."',
			           project_fmaxsize='".$file_maxsize."'
				 ");
	redirect(FUSION_SELF.$aidlink);
}
 
  $data = dbarray(dbquery("SELECT * FROM ".DF_PROJECT_SETTINGS));
  $project_cats_colum = (isset($data['project_cats_colum']) && isnum($data['project_cats_colum'])) ? $data['project_cats_colum'] : "3";
  $project_colum = (isset($data['project_project_colum']) && isnum($data['project_project_colum'])) ? $data['project_project_colum'] : "2";
  $project_comments = (isset($data['project_comments']) && isnum($data['project_comments'])) ? $data['project_comments'] : "0";
  $project_screensh = (isset($data['project_screensh']) && isnum($data['project_screensh'])) ? $data['project_screensh'] : "1";
  $project_access = (isset($data['project_access']) && isnum($data['project_access'])) ? $data['project_access'] : "0";
  $project_stats = (isset($data['project_stats']) && isnum($data['project_stats'])) ? $data['project_stats'] : "1";
 
 	$sel = ""; $user_groups = getusergroups(); $access_opts = "";
	while(list($key, $user_group) = each($user_groups)){
		$sel = (isset($project_access) && $project_access == $user_group['0'] ? " selected='selected'" : "");
		$access_opts .= "<option value='".$user_group['0']."'".$sel.">".$user_group['1']."</option>\n";
	}
	
	 	$fsel = ""; $fuser_groups = getusergroups(); $faccess_opts = "";
	while(list($key, $fuser_group) = each($fuser_groups)){
		$fsel = (isset($project_fileaccess) && $project_fileaccess == $fuser_group['0'] ? " selected='selected'" : "");
		$faccess_opts .= "<option value='".$fuser_group['0']."'".$fsel.">".$fuser_group['1']."</option>\n";
	}
 
  opentable($locale['project_as000']);
  echo "<form name='inputform' method='post' action='".FUSION_SELF.$aidlink."'>\n";
  echo "<table class='tbl-border center' width='400' cellspacing='1' cellpadding='0'>\n<tr>\n";
  echo "<td colspan='2' class='tbl2' width='400'><strong>".$locale['project_as001']."</strong></td></tr><tr>";
  echo "<td class='tbl1' style='white-space:nowrap'>".$locale['project_as002']."</td>\n";
  echo "<td class='tbl1'><input type='text' name='project_perpage' value='".$dev_settings['project_perpage']."' maxlength='5' class='textbox devTxtbx' style='width:40px;' /></td>\n";
  echo "</tr>\n<tr>\n";
  echo "<td class='tbl1' style='white-space:nowrap'>".$locale['project_as003']."</td>\n";
  echo "<td class='tbl1'><input type='text' name='project_cats_perpage' value='".$dev_settings['project_cats_perpage']."' maxlength='5' class='textbox devTxtbx' style='width:40px;' /></td>\n";
  echo "</tr>\n<tr>\n";
  echo "<td colspan='2' class='tbl2' width='400'><strong>".$locale['project_as004']."</strong></td></tr><tr>";
  echo "<td class='tbl1' style='white-space:nowrap'>".$locale['project_as005']."</td>\n";
  echo "<td class='tbl1'><select name='project_cats_colum' class='textbox devTxtbx'>\n";
  echo "<option value='1'".($project_cats_colum == "1" ? " selected='selected'" : "").">".$locale['project_as006']."</option>\n";
  echo "<option value='2'".($project_cats_colum == "2" ? " selected='selected'" : "").">".$locale['project_as007']."</option>\n";
  echo "<option value='3'".($project_cats_colum == "3" ? " selected='selected'" : "").">".$locale['project_as008']."</option>\n";
  echo "</select></td>\n</tr>\n<tr>\n";
  echo "<td class='tbl1' style='white-space:nowrap'>".$locale['project_as009']."</td>\n";
  echo "<td class='tbl1'><select name='project_colum' class='textbox devTxtbx'>\n";
  echo "<option value='1'".($project_colum == "1" ? " selected='selected'" : "").">".$locale['project_as006']."</option>\n";
  echo "<option value='2'".($project_colum == "2" ? " selected='selected'" : "").">".$locale['project_as007']."</option>\n";
  echo "</select></td>\n</tr>\n<tr>\n";
  echo "<td colspan='2' class='tbl2' width='400'><strong>".$locale['project_as010']."</strong></td></tr><tr>";
  echo "<td class='tbl1' style='white-space:nowrap'>".$locale['project_as011']."</td>\n";
  echo "<td class='tbl1'><select name='project_comments' class='textbox devTxtbx'>\n";
  echo "<option style='color:".$locale['project_no-color'].";' value='0'".($project_comments == "0" ? " selected='selected'" : "").">".$locale['project_g000']."</option>\n";
  echo "<option style='color:".$locale['project_yes-color'].";' value='1'".($project_comments == "1" ? " selected='selected'" : "").">".$locale['project_g001']."</option>\n";
  echo "</select></td>\n";
  echo "</tr>\n<tr>\n";
  echo "<td class='tbl1' style='white-space:nowrap'>".$locale['project_as012']."</td>\n";
  echo "<td class='tbl1'><select name='project_screensh' class='textbox devTxtbx'>\n";
  echo "<option style='color:".$locale['project_no-color'].";' value='0'".($project_screensh == "0" ? " selected='selected'" : "").">".$locale['project_g000']."</option>\n";
  echo "<option style='color:".$locale['project_yes-color'].";' value='1'".($project_screensh == "1" ? " selected='selected'" : "").">".$locale['project_g001']."</option>\n";
  echo "</select></td>\n";
  echo "</tr>\n<tr>\n";
  echo "<td class='tbl1' style='white-space:nowrap'>".$locale['project_as013']."</td>\n";
  echo "<td class='tbl1'><select name='project_stats' class='textbox devTxtbx'>\n";
  echo "<option style='color:".$locale['project_no-color'].";' value='0'".($project_stats == "0" ? " selected='selected'" : "").">".$locale['project_g000']."</option>\n";
  echo "<option style='color:".$locale['project_yes-color'].";' value='1'".($project_stats == "1" ? " selected='selected'" : "").">".$locale['project_g001']."</option>\n";
  echo "</select></td>\n";
  echo "</tr>\n<tr>\n";
  echo "<td class='tbl1' style='white-space:nowrap'>".$locale['project_as014']."</td>\n";
  echo "<td colspan='2' class='tbl1'><select name='project_access' class='textbox devTxtbx' style='width:150px;'>\n".$access_opts."</select></td>\n";
  echo "</tr>\n<tr>\n";
  echo "<td colspan='2' class='tbl2' width='400'><strong>Screenshot Settings</strong></td></tr><tr>";
  echo "<td class='tbl1' style='white-space:nowrap'>Thumb Width x Height</td>\n";
  echo "<td class='tbl1'><input type='text' name='thumb_width' value='".$devsett['thumb_width']."' maxlength='5' class='textbox devTxtbx' style='width:60px;' /> x <input type='text' name='thumb_height' value='".$devsett['thumb_height']."' maxlength='5' class='textbox devTxtbx' style='width:60px;' /></td>\n";
  echo "</tr>\n<tr>\n";
  echo "<td class='tbl1' style='white-space:nowrap'>Screenshot Width x Height</td>\n";
  echo "<td class='tbl1'><input type='text' name='screen_width' value='".$devsett['screen_width']."' maxlength='5' class='textbox devTxtbx' style='width:60px;' /> x <input type='text' name='screen_height' value='".$devsett['screen_height']."' maxlength='5' class='textbox devTxtbx' style='width:60px;' /></td>\n";
  echo "</tr>\n<tr>\n";
  echo "<td class='tbl1' style='white-space:nowrap'>Screenshot maxsize</td>\n";
  echo "<td class='tbl1'><input type='text' name='screen_maxsize' value='".$devsett['screen_maxsize']."' maxlength='12' class='textbox devTxtbx' style='width:120px;' /> ".parsebytesize($devsett['screen_maxsize'])."</td>\n";
  echo "</tr>\n<tr>\n";
  echo "<td colspan='2' class='tbl2' width='400'><strong>File Settings</strong></td></tr><tr>";
  echo "<td class='tbl1' style='white-space:nowrap'>File types</td>\n";
  echo "<td class='tbl1'><input type='text' name='file_types' value='".$devsett['file_types']."' maxlength='200' class='textbox devTxtbx' style='width:200px;' /></td>\n";
  echo "</tr>\n<tr>\n";
  echo "<td class='tbl1' style='white-space:nowrap'>File maxsize</td>\n";
  echo "<td class='tbl1'><input type='text' name='file_maxsize' value='".$devsett['file_maxsize']."' maxlength='12' class='textbox devTxtbx' style='width:120px;' /> ".parsebytesize($devsett['file_maxsize'])."</td>\n";
  echo "</tr>\n<tr>\n";
  echo "<td align='center' colspan='2' class='tbl1'>";
  echo "<input type='submit' name='save_settings' value='".$locale['project_as015']."' class='button' style='align:center;' />\n";
  echo "</td></tr>\n</table>\n</form>\n";
closetable();
// Please dont remove the copyright!
echo DFDICopyright();
// Please dont remove the copyright!

require_once THEMES."templates/footer.php";
?>