<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: support_thread.php
| Author: PHP-Fusion Addons Team
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."df_project_panel/infusion_db.php";
include INFUSIONS."df_project_panel/includes/copyright.php";
require_once INFUSIONS."df_project_panel/includes/pro.functions.php";
require_once INFUSIONS."df_project_panel/includes/pro.inc.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."df_project_panel/locale/".$settings['locale'].".php")) {
// Load the locale file matching the current site locale setting.
    include INFUSIONS."df_project_panel/locale/".$settings['locale'].".php";
} else {
// Load the infusion's default locale file.
    include INFUSIONS."df_project_panel/locale/English.php";
}


if (!checkrights("DPT") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { die("Access Denied. Administrators only."); }
              
    if (isset($_POST['postdevthread'])) {
    $d_data = dbarray(dbquery("SELECT project_id, project_name, project_descri, project_version, project_image, project_cat FROM ".DF_PROJECTS." WHERE project_id='".$_REQUEST['project_id']."'"));

	$project_id = stripinput($_POST['project_id']);
	$project_name = $d_data['project_name'];
	$project_vers = $d_data['project_version'];
	if ($d_data['project_image']) {
	$project_description = ("[img]".$settings['siteurl']."infusions/df_project_panels/images/screenshots/".$d_data['project_image_thumb']."[/img]");
	} else {
	$project_description = ("[img]".$settings['siteurl']."infusions/df_project_panel/images/screenshots/no_screenshot.png[/img]");
	}
	$project_description .= $d_data['project_descri'];
	$project_description .= ("
	
	[url=".$settings['siteurl']."infusions/df_project_panel/view.php?id=".$project_id."][Go To $project_name - $project_vers][/url]");
	$forum_id = stripinput($_POST['forum_id']);
	$thread_id = stripinput($_POST['thread_id']);
	
	$result = dbquery("INSERT INTO ".DB_THREADS." (forum_id, thread_subject, thread_author, thread_views, thread_lastpost, thread_lastpostid, thread_lastuser, thread_postcount) VALUES('".$forum_id."', '".$project_name."', '".$userdata['user_id']."', '0', '".time()."', '0', '".$userdata['user_id']."', '1')");
	$thread_id = mysql_insert_id();
	
	$result = dbquery("UPDATE ".DF_PROJECTS." SET project_forum_status='2' WHERE project_id='".$_REQUEST['project_id']."'");
	
	$result = dbquery("INSERT INTO ".DB_POSTS." (forum_id, thread_id, post_message, post_showsig, post_author, post_datestamp, post_ip, post_edituser, post_edittime) VALUES ('".$forum_id."', '$thread_id', '".$project_description."', '0', '".$userdata['user_id']."', '".time()."', 'Auto', '0', '0')");
	$post_id = mysql_insert_id();
	
	$result = dbquery("UPDATE ".DB_FORUMS." SET forum_lastpost='".time()."', forum_postcount=forum_postcount+1, forum_threadcount=forum_threadcount+1, forum_lastuser='".$userdata['user_id']."' WHERE forum_id='".$forum_id."'");
	$result = dbquery("UPDATE ".DB_THREADS." SET thread_lastpostid='".$post_id."' WHERE thread_id='".$thread_id."'");
	$result = dbquery("UPDATE ".DB_USERS." SET user_posts=user_posts+1 WHERE user_id='".$userdata['user_id']."'");
	
	redirect(FUSION_SELF.$aidlink); 
	
	} 
	
	opentable("Create Forum Thread for projects");
	echo "<form name='inputform' method='post' action='".FUSION_SELF.$aidlink."' enctype='multipart/form-data'>";
    echo "<table cellpadding='0' cellspacing='1' width='500' class='center tbl-border'>\n<tr>\n";
    $dcat_list = "";
			$result = dbquery("SELECT * FROM ".DF_PROJECTS." WHERE project_forum_status = '1' ORDER BY project_created DESC");
			if (dbrows($result) != 0) {
		    while ($datam = dbarray($result)) {
		    $dcat_list .= "<option value='".$datam['project_id']."'$sel>".$datam['project_name']." - ".$datam['project_version']."</option>\n";
				}
	}
	echo "<td class='tbl1'>Choose Project:</td>";
    echo "<td class='tbl1' nowrap valign='top'>";
	echo "<select name='project_id' class='textbox' style='width:300px;'>\n<option value='0'>--Project--</option>\n".$dcat_list."</select>\n";
    echo "</td>\n</tr>\n<tr>";
	
$forum_list = ""; $current_cat = "";
$result = dbquery(
	"SELECT f.forum_id, f.forum_name, f2.forum_name AS forum_cat_name
	FROM ".DB_FORUMS." f
	INNER JOIN ".DB_FORUMS." f2 ON f.forum_cat=f2.forum_id
	WHERE ".groupaccess('f.forum_access')." AND f.forum_cat!='0'
	ORDER BY f2.forum_order ASC, f.forum_order ASC"
);
while ($data = dbarray($result)) {
	if ($data['forum_cat_name'] != $current_cat) {
		if ($current_cat != "") { $forum_list .= "</optgroup>\n"; }
		$current_cat = $data['forum_cat_name'];
		$forum_list .= "<optgroup label='".$data['forum_cat_name']."'>\n";
	}
	$forum_list .= "<option value='".$data['forum_id']."'>".$data['forum_name']."</option>\n";
}
   $forum_list .= "</optgroup>\n";
	echo "<td class='tbl1'>Choose Forum:</td>";
    echo "<td class='tbl1' nowrap valign='top'>";
	echo "<select name='forum_id' class='textbox' style='width:300px;'>\n<option value='0'>--Select Forum--</option>\n".$forum_list."</select>\n";
	echo "</td>\n</tr>\n<tr>\n";
	
	echo "<td class='tbl1' align='center' colspan='2' nowrap valign='top'>\n";;
	echo "<br /><input type='submit' name='postdevthread' value='Create Forum Thread' class='button' /><br /></td>";
	echo "</form>\n";
	echo "</tr>\n</table>\n";

	closetable();
	
require_once THEMES."templates/footer.php";
?>