<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: page.func.php
| Version: 1.00
| Author: DrunkeN
| Website: www.dark-fusion.se
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

function project_page($get_page){
         global $locale, $devsett;
		 $page_titleArray = array(
		       "adm" => "Project Admins",
			   "dls" => $locale['project_dd000'],
			   "pop" => sprintf($locale['project_pd000'], "15"),
			   "prp" => $locale['project_dp000'],
			   "tor" => $locale['project_tr000']
			);
opentable($page_titleArray[$get_page]);
 if($get_page == "adm"){ 
   	$adm = dbquery(
	    "SELECT user_id, user_name, user_status, user_rights, user_avatar, user_lastvisit, user_level, user_birthdate 
	     FROM ".DB_USERS."
	     WHERE user_rights REGEXP('DPT')
	     GROUP BY user_id
	     ORDER BY user_level DESC LIMIT 10");
if(dbrows($adm) != 0) {
	echo "<table width='550' class='tbl-border center'>\n<tr>\n";
	echo "<td width='40' class='tbl2'>&nbsp;</td>\n";
	echo "<td width='130' class='tbl2' style='font-weight: bold;text-align:left;white-space:nowrap'>User</td>\n";
	echo "<td width='130' class='tbl2' style='font-weight: bold;text-align:center;white-space:nowrap'>Level</td>\n";
	echo "<td width='120' class='tbl2' style='font-weight: bold;text-align:center;white-space:nowrap'>Age</td>\n";
	echo "<td width='90' class='tbl2' style='font-weight: bold;text-align:center;white-space:nowrap'>Lastvisit</td>\n</tr>\n";

	while($adata = dbarray($adm)) {
	echo "<tr>\n<td class='tbl1'>";
if ($adata['user_avatar'] && file_exists(IMAGES."avatars/".$adata['user_avatar']) && $adata['user_status']!=6 && $adata['user_status']!=5) {
	echo "<img style='padding: 2px; border: 1px solid #a5cae4; border-radius: 2px; -webkit-border-radius: 2px; -moz-border-radius: 2px; -khtml-border-radius: 2px; width: 35px; height: 35px;' src='".IMAGES."avatars/".$adata['user_avatar']."' alt='".$adata['user_name']."' />";
  } else {
	echo "<img style='padding: 2px; border: 1px solid #a5cae4; border-radius: 4px; -webkit-border-radius: 2px; -moz-border-radius: 2px; -khtml-border-radius: 2px; width: 35px; height:35px;' src='".IMAGES."avatars/noavatar100.png' alt='".$adata['user_name']."' />";
}
	echo "</td>\n";
	echo "<td class='tbl1' style='text-align:left;'>".profile_link($adata['user_id'], $adata['user_name'], $adata['user_status'])."</a></td>\n";
	echo "<td class='tbl1' style='text-align:center;'><span style='color:".($adata['user_level'] == 102 ? "green" : ($adata['user_level'] == 103 ? "red" : "")).";'>".($adata['user_id'] == 1 ? "Project leader" : getuserlevel($adata['user_level']))."</span></td>\n";
	echo "<td class='tbl1' style='text-align:center;'>".author_age($adata['user_birthdate'])."</td>\n";
	echo "<td class='tbl1' style='text-align:center;'>".showdate("shortdate", $adata['user_lastvisit'])."</td></tr>\n";
	}
	echo "</table>\n";
}
} else if($get_page == "dls"){
    $dls = dbquery("SELECT p.*, pc.*, u.user_id, u.user_name, u.user_status, u.user_avatar							 
            FROM ".DF_PROJECTS." p
            LEFT JOIN ".DB_USERS." u ON p.project_author=u.user_id
			LEFT JOIN ".DF_PROJECT_CATS." pc ON p.project_cat=pc.project_cat_id
			WHERE p.project_file !=''
            ORDER BY p.project_fcount 
            DESC LIMIT 15");
if(dbrows($dls) != 0) {
	echo "<table width='700' class='tbl-border center'>\n<tr>\n";
	echo "<td width='240' class='tbl2' style='font-weight: bold;text-align:left;white-space:nowrap'>".$locale['project_dd001']."</td>\n";
	echo "<td width='120' class='tbl2' style='font-weight: bold;text-align:center;white-space:nowrap'>".$locale['project_dd002']."</td>\n";
	echo "<td width='120' class='tbl2' style='font-weight: bold;text-align:center;white-space:nowrap'>".$locale['project_dd003']."</td>\n";
	echo "<td width='120' class='tbl2' style='font-weight: bold;text-align:center;white-space:nowrap'>".$locale['project_dd004']."</td>\n";
	echo "<td width='80' class='tbl2' style='font-weight: bold;text-align:center;white-space:nowrap'>".$locale['project_dd005']."</td>\n</tr>\n";

	while($ddata = dbarray($dls)) {
	echo "<tr>\n<td class='tbl1' style='text-align:left;'><a href='".PROJECT."view.php?id=".$ddata['project_id']."' title='".$ddata['project_name']."'>".trimlink($ddata['project_name'], 40)."</a></td>\n";
	echo "<td class='tbl1' style='text-align:center;'><a href='".PROJECT."project.php?cat_id=".$ddata['project_cat_id']."'>".$ddata['project_cat_name']."</a></td>\n";
	echo "<td class='tbl1' style='text-align:center;'>".(authorHidden($ddata['project_hideauthor']) ? "<span class='devel_hidden'>Hidden</span>" : profile_link($ddata['user_id'], $ddata['user_name'], $ddata['user_status']))."</td>\n";
	echo "<td class='tbl1' style='text-align:center;'>v".$ddata['project_version']."</td>\n";
	echo "<td class='tbl1' style='text-align:center;'>".$ddata['project_fcount']."</td></tr>\n";
	}
	echo "</table>\n";

} else {
   echo "<div align='center' class='small'>".$locale['project_dd006']."</div>\n";
}

} else if($get_page == "pop"){
    $pop = dbquery("SELECT p.*, pc.*, u.user_id, u.user_name, u.user_status, u.user_avatar							 
                 FROM ".DF_PROJECTS." p
                 LEFT JOIN ".DB_USERS." u ON p.project_author=u.user_id
				 LEFT JOIN ".DF_PROJECT_CATS." pc ON p.project_cat=pc.project_cat_id
				 WHERE ".groupaccess('pc.project_cat_access')." AND project_file !='' AND project_fcount !='0'
                 ORDER BY project_fcount 
                 DESC LIMIT 15");
										 
    $rows = dbcount("(project_id)", DF_PROJECTS, "project_file!=''"); 
if(dbrows($pop) != 0) {
	echo "<table width='700' class='tbl-border center'>\n<tr>\n";
	echo "<td width='240' class='tbl2' style='font-weight: bold;text-align:left;white-space:nowrap'>".$locale['project_pd001']."</td>\n";
	echo "<td width='120' class='tbl2' style='font-weight: bold;text-align:center;white-space:nowrap'>".$locale['project_pd002']."</td>\n";
	echo "<td width='120' class='tbl2' style='font-weight: bold;text-align:center;white-space:nowrap'>".$locale['project_pd003']."</td>\n";
	echo "<td width='120' class='tbl2' style='font-weight: bold;text-align:center;white-space:nowrap'>".$locale['project_pd004']."</td>\n";
	echo "<td width='80' class='tbl2' style='font-weight: bold;text-align:center;white-space:nowrap'>".$locale['project_pd005']."</td>\n</tr>\n";

	while($pdata = dbarray($pop)) {
	echo "<tr>\n<td class='tbl1' style='text-align:left;'><a href='".PROJECT."view.php?id=".$pdata['project_id']."' title='".$pdata['project_name']."'>".trimlink($pdata['project_name'], 40)."</a></td>\n";
	echo "<td class='tbl1' style='text-align:center;'><a href='".PROJECT."project.php?cat_id=".$pdata['project_cat_id']."'>".$pdata['project_cat_name']."</a></td>\n";
	echo "<td class='tbl1' style='text-align:center;'>".(authorHidden($pdata['project_hideauthor']) ? "<span class='devel_hidden'>Hidden</span>" : profile_link($pdata['user_id'], $pdata['user_name'], $pdata['user_status']))."</td>\n";
	echo "<td class='tbl1' style='text-align:center;'>".$pdata['project_version']."</td>\n";
	echo "<td class='tbl1' style='text-align:center;'>".$pdata['project_fcount']."</td></tr>\n";
	}
	echo "</table>\n";

} else {
    echo "<div align='center' class='small'>".$locale['project_pd006']."</div>\n";
}
	
} else if($get_page == "prp"){
$prpp = dbquery(
        "SELECT p.*, pp.*, pp.project_proposal_iid
        FROM ".DF_PROJECTS." p
		LEFT JOIN ".DF_PROJECT_PROPOSALS." pp ON pp.project_proposal_iid=p.project_id
		GROUP BY p.project_id
        ORDER BY pp.project_proposal_posted");
$count['prop_st'] = dbarray(dbquery(
	    "SELECT 
		 COUNT(IF(project_proposal_status='0',1, NULL)) AS 'under_review', 
		 COUNT(IF(project_proposal_status='1',1, NULL)) AS 'accepted',
	     COUNT(IF(project_proposal_status='2',1, NULL)) AS 'rejected', 
		 COUNT(IF(project_proposal_status='3',1, NULL)) AS 'completed', 
		 COUNT(IF(project_proposal_status='4',1, NULL)) AS 'in_deve',
		 COUNT(project_proposal_id) AS 'total'
	     FROM ".DF_PROJECT_PROPOSALS." WHERE project_proposal_visi!='0'"));
	 echo "<table class='tbl-border center' style='margin-bottom: 5px;' width='70%'><tr>";
	 echo "<td class='tbl1' style='text-align: center;'>Total proposals: ".$count['prop_st']['total']."</td>";
	 echo "<td class='tbl1' style='text-align: center;'>".($count['prop_st']['under_review'] == 0 ? "<span style='color: #c00;'>0</span>" : $count['prop_st']['under_review'])." ".$locale['project_ps000b']."</td>";
     echo "<td class='tbl1' style='text-align: center;'>".($count['prop_st']['accepted'] == 0 ? "<span style='color: #c00;'>0</span>" : $count['prop_st']['accepted'])." ".$locale['project_ps001b']."</td>";
	 echo "<td class='tbl1' style='text-align: center;'>".($count['prop_st']['rejected'] == 0 ? "<span style='color: #c00;'>0</span>" : $count['prop_st']['rejected'])." ".$locale['project_ps002b']."</td>";
	 echo "<td class='tbl1' style='text-align: center;'>".($count['prop_st']['completed'] == 0 ? "<span style='color: #c00;'>0</span>" : $count['prop_st']['completed'])." ".$locale['project_ps003b']."</td>";
	 echo "<td class='tbl1' style='text-align: center;'>".($count['prop_st']['in_deve'] == 0 ? "<span style='color: #c00;'>0</span>" : $count['prop_st']['in_deve'])." ".$locale['project_ps004b']."</td>";
	 echo "</tr></table>";
	 $pp = 1;
	 while($ppdata = dbarray($prpp)){
	 echo "<table class='tbl-border center' ".($pp > 1 ? "style='margin-top: 10px;'" : "")." width='70%'><tr>";
	 $rows = dbcount("(project_proposal_id)", DF_PROJECT_PROPOSALS, "project_proposal_iid='".$ppdata['project_id']."' AND project_proposal_visi !='0' AND ".groupaccess('project_proposal_visiacc')." AND project_proposal_status!='0'");
$prp = dbquery("SELECT p.*, pp.*, u.user_id, u.user_name, u.user_status    
        FROM ".DF_PROJECT_PROPOSALS." pp 
        LEFT JOIN ".DB_USERS." u ON pp.project_proposal_poster=u.user_id
		LEFT JOIN ".DF_PROJECTS." p ON p.project_id=pp.project_proposal_iid
        WHERE pp.project_proposal_status > 0 AND pp.project_proposal_visi !='0' AND ".groupaccess('pp.project_proposal_visiacc')." AND p.project_id='".$ppdata['project_proposal_iid']."'
        ORDER BY pp.project_proposal_posted DESC LIMIT 15");
	echo "<td colspan='2' class='tbl2' width='190'><a href='".PROJECT."view.php?id=".$ppdata['project_id']."'>".$ppdata['project_name']."</a></td></tr><tr>";
	$propos = 0;
  if($rows !=0) {
    echo "<td width='200' style='font-weight:bold;' class='tbl1'>".$locale['project_dp001']."</td>";
    echo "<td width='120' style='font-weight:bold;' class='tbl1'>".$locale['project_g006']."</td>";
    echo "<td width='120' style='text-align: center;font-weight:bold;' class='tbl1'>".$locale['project_dp002']."</td>";
    echo "<td width='120' style='text-align: center;font-weight:bold;' class='tbl1'>".$locale['project_g007']."</td>";
    echo "</tr>"; 
    $propos = 1;
	while ($prdata = dbarray($prp)) {
	echo  "<tr>";
    echo "<td class='tbl1'><strong>".pp_type($prdata['project_proposal_type'])."</strong> <a href='".PROJECT."view.php?propos_id=".$prdata['project_proposal_id']."'>".$locale['project_dp003']." #".$propos."</a></td>";
    echo "<td class='tbl1'>".profile_link($prdata['user_id'], $prdata['user_name'], $prdata['user_status'])."</td>";
    echo "<td class='tbl1' style='text-align: center;'>".showdate("%B %d %Y %H:%M", $prdata['project_proposal_posted'])."</td>";
    echo "<td class='tbl1' align='center'>".pp_status($prdata['project_proposal_status'])."</td></tr>";
    $propos++;
}
} else {
    echo "<td class='tbl1' width='200'>".$locale['project_dp004']."</td>\n</tr>\n";
      }
	echo "</table>";
	$pp++;
}

} else if($get_page == "tor"){ 
    $tor = dbquery("SELECT p.*, pc.*, u.user_id, u.user_name, u.user_status, u.user_avatar, SUM(tr.rating_vote) AS sum_rating, COUNT(tr.rating_item_id) AS count_votes 
	    FROM ".DF_PROJECTS." p
        LEFT JOIN ".DF_PROJECT_CATS." pc ON p.project_cat=pc.project_cat_id
        LEFT JOIN ".DB_USERS." u ON u.user_id=p.project_author
        LEFT JOIN ".DB_RATINGS." tr ON tr.rating_item_id=p.project_id AND tr.rating_type='J'
        WHERE ".groupaccess('pc.project_cat_access')." AND tr.rating_vote > '0' 
		GROUP BY p.project_id 
		ORDER BY sum_rating DESC LIMIT 15");
    $rows = dbrows($tor);
	$count = 0;
if ($rows) {
    $counter = 0; $count = 1;
    echo "<table width='700' class='tbl-border center'>\n<tr>\n";
	echo "<td width='200' class='tbl2' style='font-weight: bold;text-align:left;white-space:nowrap'>".$locale['project_tr001']."</td>\n";
	echo "<td width='120' class='tbl2' style='font-weight: bold;text-align:center;white-space:nowrap'>".$locale['project_tr002']."</td>\n";
	echo "<td width='120' class='tbl2' style='font-weight: bold;text-align:center;white-space:nowrap'>".$locale['project_tr003']."</td>\n";
	echo "<td width='120' class='tbl2' style='font-weight: bold;text-align:center;white-space:nowrap'>".$locale['project_tr004']."</td>\n";
    while ($tdata = dbarray($tor)) {
	echo "<tr>";
    echo "<td class='tbl1' style='text-align:left;'><a href='".PROJECT."view.php?id=".$tdata['project_id']."' title='".$tdata['project_name']."'>".trimlink($tdata['project_name'], 40)."</a></td>\n";
	echo "<td class='tbl1' style='text-align:center;'><a href='".PROJECT."project.php?cat_id=".$tdata['project_cat_id']."'>".$tdata['project_cat_name']."</a></td>\n";
	echo "<td class='tbl1' style='text-align:center;'>".(authorHidden($tdata['project_hideauthor']) ? "<span class='devel_hidden'>Hidden</span>" : profile_link($tdata['user_id'], $tdata['user_name'], $tdata['user_status']))."</td>\n";
	echo "<td class='tbl1' style='text-align:center;'>".($tdata['project_allow_ratings'] ? ($tdata['count_votes'] > 0 ? str_repeat("<img src='".get_image("star") . "' alt='*' style='vertical-align:middle; width: 13px; height: 13px;' />",ceil($tdata['sum_rating'] / $tdata['count_votes'])) : $locale['project_tr005']) : $locale['project_tr005'])."</td>\n</tr>\n";
    $counter++;$count++;
}
    echo "</table>\n";
    } else {
    echo "<table cellpadding='0' cellspacing='1' class='tbl-border center' width='100%'>\n<tr>\n";
    echo "<td class='tbl1' style='text-align:center; padding: 10px;'>".$locale['project_tr006']."</td>";
    echo "</tr></table>";
    }
} else {
    echo "Page not found!";
	}
	closetable();
}	
  
?>