<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: project.php
| Version: 1.00
| Author: DrunkeN
| Website: www.dark-fusion.se
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+-------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
require_once INCLUDES."comments_include.php";
require_once INCLUDES."bbcode_include.php";
include INFUSIONS."df_project_panel/infusion_db.php";
require_once INFUSIONS."df_project_panel/includes/pro.functions.php";
require_once INFUSIONS."df_project_panel/includes/pro.inc.php";

include INFUSIONS."df_project_panel/includes/copyright.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."df_project_panel/locale/".$settings['locale'].".php")) {
// Load the locale file matching the current site locale setting.
    include INFUSIONS."df_project_panel/locale/".$settings['locale'].".php";
    } else {
// Load the infusion's default locale file.
    include INFUSIONS."df_project_panel/locale/English.php";
}
	include INFUSIONS."df_project_panel/includes/pro.nav.php";

	
	//if($devsett['devstats'] != "0") { require_once INFUSIONS."df_project_panel/includes/pro.stats.php"; }
if(checkgroup($devsett['devaccess'])) {
if(!isset($_GET['cat_id']) || !isnum($_GET['cat_id'])) {
    if(isset($_GET['page'])){ 
	project_page($_GET['page']); 
	} else {
	opentable($locale['project_d000']);
if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
	$rows = dbcount("(project_cat_id)", DF_PROJECT_CATS);
	if ($rows != 0) {
		$counter = 0; $columns = $devsett['catcolum']; 
	if($columns == 1){
		    $table_w_c = "width='20%' class='tbl-border center'";
	} else if($columns == 2){
		    $table_w_c = "width='35%' class='tbl-border center'";
		    $devsett['cats_perpage'] = ($devsett['cats_perpage']*2);
	} else if($columns == 3){
		    $table_w_c = "width='70%' class='tbl-border center'";
		    $devsett['cats_perpage'] = ($devsett['cats_perpage']*3);
	}
	    echo "<table cellpadding='0' cellspacing='0' ".$table_w_c.">\n<tr>\n";
		$result = dbquery(
		     "SELECT project_cat_id, project_cat_name, project_cat_description, project_cat_image 
		      FROM ".DF_PROJECT_CATS." 
			  WHERE ".groupaccess('project_cat_access')." 
			  ORDER BY project_cat_name ASC LIMIT ".$_GET['rowstart'].",".$devsett['cats_perpage']);
		while ($data = dbarray($result)) {
	if ($counter != 0 && ($counter % $columns == 0)) { echo "</tr>\n<tr>\n"; }
		$num = dbcount("(project_id)", DF_PROJECTS, "project_cat='".$data['project_cat_id']."'");
		echo "<td valign='top' width='30%' class='tbl'><div style='float:left;margin-right:4px;'>";
	if ($data['project_cat_image'] && file_exists(PROJECT_CATS.$data['project_cat_image'])) {
		echo "<img src='".PROJECT_CATS.$data['project_cat_image']."' alt='".$data['project_cat_name']."' style='border:0px' />";
	  } else {
		echo "<img src='".PROJECT_CATS."default.png' alt='".$data['project_cat_name']."' style='border:0px' />";
	}
		echo "</div>"; 
		$count_new = dbcount("(project_id)", DF_PROJECTS, "project_created+86999 > ".time()."+".$settings['timeoffset']."*3600 AND project_cat='".$data['project_cat_id']."'");
	    echo "<div class='d-mt-10'><span class='dev-number".($num == 0 ? " red" : " normal")."'>$num</span>";
	if($num != 0){
		echo " <a href='".FUSION_SELF."?cat_id=".$data['project_cat_id']."'>".$data['project_cat_name']."</a> ";
      } else {
        echo " <span style='text-decoration: line-through;color:#db3a27;'>".$data['project_cat_name']."</span> "; 
    }	
		echo "<span class='small2'>".($count_new > 0 ? "<span class='new-project'><span>".$count_new.$locale['project_d001']."</span></span>" : "")."</span>";
	if ($data['project_cat_description'] != "") { 
	    echo "<br />\n<div style='margin: 0 0 0 55px;padding: 2px 0px 2px 15px;' class='small'>".$data['project_cat_description']."</div>"; 
	}
		echo "</div></td>\n";
		$counter++;
	}
		echo "</tr>\n</table>\n";
	  } else {
		echo "<div style='text-align:center'><br />\n".$locale['project_d002']."<br /><br />\n</div>\n";
	}
	    echo "<table cellpadding='0' cellspacing='0' width='100%'>\n<tr>\n";
        echo "<td style='float: right;' valign='bottom' class='forum'>\n";
        echo "<form name='searchform' method='get' action='".PROJECT."search.php?stype=search'>\n";
		echo "<input type='hidden' name='stype' value='search' />\n";
        echo "<input type='text' name='words' class='textbox' style='width:150px' />\n";
        echo "<input type='submit' name='search' value='Search' class='button' />\n";
        echo "</form>\n</td>\n</tr>\n</table>";
	    echo "<table cellpadding='0' cellspacing='1' class='tbl-border' style='width:100%;'>\n";
        echo "<tr>\n<td class='tbl2' valign='middle'><img style='vertical-align: middle; border: 0px;  margin-right: 2px' src='".PROJECT_IMG."development_stats.png' alt='Statsistik' title='Stats' /></td>\n";
        echo "<td width='100%' align='left' class='tbl1'>\n";
        echo "<span class='small'>".$locale['project_ds009'].dbcount("(project_id)", DF_PROJECTS)."</span><br />\n";
        $dd_result = dbquery(
	         "SELECT p.project_id, p.project_author, u.user_id, u.user_name, u.user_status 
			 FROM ".DF_PROJECTS." p 
             LEFT JOIN ".DB_USERS." u ON u.user_id=p.project_author
             GROUP BY p.project_author DESC LIMIT 0,1");
    if (dbrows($dd_result)) {
	    $dd_data = dbarray($dd_result);
	    echo "<span class='small'>".$locale['project_ds010'].profile_link($dd_data['user_id'], $dd_data['user_name'], $dd_data['user_status'])."</span><br />\n";
	}
        $result = dbquery(
		     "SELECT p.*, pc.project_cat_access, pc.project_cat_id, pc.project_cat_name
             FROM ".DF_PROJECTS." p 
			 LEFT JOIN ".DF_PROJECT_CATS." pc ON p.project_cat=pc.project_cat_id
			 WHERE ".groupaccess('p.project_access')." OR ".groupaccess('pc.project_cat_access')."
		     ORDER BY p.project_created DESC LIMIT 0,1");
    if (dbrows($result) != 0) {
	    $data = dbarray($result);
		echo "<span class='small'>".$locale['project_ds011']."<a href='".PROJECT."view.php?id=".$data['project_id']."' title='".$data['project_name']."'>".trimlink($data['project_name'], 100)."</a></span>";
}
        echo "</td>\n</tr>\n</table>\n";
	    closetable();
	if ($rows > $devsett['cats_perpage']) { 
	     echo "<div align='center' style='margin-top:5px;'>\n".makepagenav($_GET['rowstart'], $devsett['cats_perpage'], $rows, 3, FUSION_SELF."?")."\n</div>\n"; 
	    }
	}
	} else {
    global $settings;
	    $res = 0;
	    $result = dbquery("SELECT project_cat_name, project_cat_sorting, project_cat_access FROM ".DF_PROJECT_CATS." WHERE project_cat_id='".$_GET['cat_id']."'");
    if (dbrows($result) != 0) {
		$cdata = dbarray($result);
	if (checkgroup($cdata['project_cat_access'])) {
		$res = 1;
	    opentable("Projects: ".$cdata['project_cat_name']);
		$cat_list_result = dbquery(
		     "SELECT project_cat_id, project_cat_name
		     FROM ".DF_PROJECT_CATS." 
		     WHERE ".groupaccess('project_cat_access')."
		     ORDER BY project_cat_name");
	    $cats_list = ""; $filter = ""; $order_by = ""; $sort = ""; $getString = "";
	if (dbrows($cat_list_result)) {
		while ($cat_list_data = dbarray($cat_list_result)) {
		$sel = (isset($_GET['cat_id']) && $_GET['cat_id'] == $cat_list_data['project_cat_id'] ? " selected='selected'" : "");
		$cats_list .= "<option value='".$cat_list_data['project_cat_id']."'".$sel.">".$cat_list_data['project_cat_name']."</option>";
	}

	if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart']) || $_GET['rowstart'] > dbrows($cat_list_result)) { $_GET['rowstart'] = 0; }
	if (isset($_GET['cat_id']) && isnum($_GET['cat_id']) && $_GET['cat_id'] != "all") {
		$filter .= " AND project_cat_id='".$_GET['cat_id']."'";
		$order_by_allowed = array("project_id", "project_name", "project_author", "project_fcount", "project_created");
	if (isset($_GET['orderby']) && in_array($_GET['orderby'], $order_by_allowed)) {
		$order_by = $_GET['orderby'];
		$getString .= "&amp;orderby=".$order_by;
	  } else {
		$order_by = "";
	}
	
	if (isset($_GET['sort']) && $_GET['sort'] == "DESC") {
		$sort = "DESC";
		$getString .= "&amp;sort=DESC";
	  } else {
		$sort = "ASC";
	}
	  } else {
		$filter = ""; $order_by = ""; $sort = ""; // Can be removed
	}

		echo "<form name='filter_form' method='get' action='".FUSION_SELF."'>\n";
		echo "<table class='tbl' cellpadding='1' cellspacing='0' style='width:100%;'>\n";
		echo "<tr>\n";
		echo "<td class='tbl1' style='width:40%; text-align:left;'></td>\n";
		echo "<td class='tbl1' style='width:60%; text-align:right;'>".$locale['project_d003']."\n";
		echo "<select name='cat_id' class='textbox' onchange='this.form.submit();'>\n";
		echo "<option value='all'>".$locale['project_d004']."</option>".$cats_list."</select>\n";
		echo "</td>\n";
		echo "</tr>\n";
	if (isset($_GET['cat_id']) && isnum($_GET['cat_id'])) {
		echo "<tr>\n";
		echo "<td class='tbl1' style='width:40%; text-align:left;'></td>\n";
		echo "<td class='tbl1' style='width:60%; text-align:right;'>";
		echo $locale['project_d005']."<select name='orderby' class='textbox' onchange='this.form.submit();'>\n";
		echo "<option value='project_id'".($order_by == "project_id" ? " selected='selected'" : "").">".$locale['project_d006']."</option>\n";
		echo "<option value='project_name'".($order_by == "project_name" ? " selected='selected'" : "").">".$locale['project_d007']."</option>\n";
		echo "<option value='project_author'".($order_by == "project_author" ? " selected='selected'" : "").">".$locale['project_d006']."</option>\n";
		echo "<option value='project_fcount'".($order_by == "project_fcount" ? " selected='selected'" : "").">".$locale['project_d008']."</option>\n";
		echo "<option value='project_created'".($order_by == "project_created" ? " selected='selected'" : "").">".$locale['project_d009']."</option>\n";
		echo "</select>\n";
		echo "<select name='sort' class='textbox' onchange='this.form.submit();'>\n";
		echo "<option value='ASC'".($sort == "ASC" ? " selected='selected'" : "").">".$locale['project_d013']."</option>\n";
		echo "<option value='DESC'".($sort == "DESC" ? " selected='selected'" : "").">".$locale['project_d014']."</option>\n";
		echo "</select>";
		echo "</td>\n";
		echo "</tr>\n";
	}
		echo "<tr>\n";
		echo "<td class='tbl1' style='width:40%; text-align:left;'></td>\n";
		echo "<td class='tbl1' style='width:60%; text-align:right;'>";
		echo "<input id='filter_button' type='submit' class='button' value='Submit' />";
		echo "</td>\n";
		echo "</tr>\n";
		echo "</table>\n</form>\n";
		echo "<script language='JavaScript' type='text/javascript'>\n";
		echo "/* <![CDATA[ */\n";
		echo "jQuery(document).ready(function() {
				jQuery('#filter_button').hide();
			});";
		echo "/* ]]>*/\n";
		echo "</script>\n";
	}
		$rows = dbcount("(project_id)", DF_PROJECTS, "project_cat='".$_GET['cat_id']."'");
    if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart'])) { $_GET['rowstart'] = 0; }
		if ($rows != 0) {
		$result = dbquery("SELECT p.*, u.user_id, u.user_name, u.user_status
			FROM ".DF_PROJECTS." p 
			LEFT JOIN ".DB_USERS." u ON u.user_id=p.project_author 
			WHERE project_cat='".$_GET['cat_id']."'
			ORDER BY ".($order_by =="" ? $cdata['project_cat_sorting'] : $order_by." ".$sort)." LIMIT ".$_GET['rowstart'].",".$devsett['perpage']);
		$numrows = dbrows($result); $i = 1;
		$counter = 0; 
		$columns = $devsett['devcolum']; 
		echo "<table cellpadding='0' cellspacing='0' ".($columns == 1 ? "class='tbl-border center' width='50%'" : "width='100%'").">\n";
		    while ($data = dbarray($result)) {
	if ($counter != 0 && ($counter % $columns == 0)) { echo "</tr>\n<tr>\n<tr>\n<td colspan='2' class='tbl1 forum_thread_post_space' style='height:10px'></td>\n</tr>\n"; }
	    $project['new'] = ($data['project_created'] + 86999 > time() + ($settings['timeoffset'] * 3600));
        $project['updated'] = ($data['project_updated'] + 86999 > time() + ($settings['timeoffset'] * 3600));
    if($project['new'] && !$project['updated']){
	    $project['name'] = "<span title='".$locale['project_g011']."' class='new'><a style='font-weight: 600; font-size: 12px;' href='".PROJECT."view.php?id=".$data['project_id']."&cat_id=".$data['project_cat']."'>".trimlink($data['project_name'], 40)."</a></span>";
    } else if($project['updated']){
        $project['name'] = "<span title='".$locale['project_g012']."' class='updated'><a style='font-weight: 600; font-size: 12px;' href='".PROJECT."view.php?id=".$data['project_id']."&cat_id=".$data['project_cat']."'>".trimlink($data['project_name'], 40)."</a></span>";
      } else {
        $project['name'] = "<a style='font-weight: 600; font-size: 12px;' href='".PROJECT."view.php?id=".$data['project_id']."&cat_id=".$data['project_cat']."'>".trimlink($data['project_name'], 40)."</a>";
    }
		echo "<td valign='center' width='50%' class='tbl2'>";
		echo "<div class='tbl2'>".$project['name']."</div>";
		echo "<div style='float:left;margin-right:4px;'>";
	if ($data['project_image'] == "" || !file_exists(PROJECT_SCR.$data['project_image_thumb'])) {
		echo "<img class='development-cat-image' style='border:0px;' src='".PROJECT_SCR."no_screenshot.png' alt='Screenshot' />";
	  } else {
		echo "<img class='development-cat-image' src='".PROJECT_SCR.$data['project_image_thumb']."' alt='Screenshot' />";
	}
		echo "<div class='tbl2' style='margin: 5px 0 0 0;text-align:center;font-weight: bold; font-size: 13px;'>".$data['project_version']; 
		echo "</div></div><div class='d-mt-10'>";
		echo "<div class='development-info'>";
		echo "<div class='tbl2' style='float: left;'>".$locale['project_d015'].(authorHidden($data['project_hideauthor']) ? " <span class='devel_hidden'>Hidden</span>" : profile_link($data['user_id'], $data['user_name'], $data['user_status']));
		$project['_st-text'] = ($data['project_access'] == 0 ? $locale['project_d016'] : ($data['project_access'] == 101 ? $locale['project_d017'] : ""));
		echo "<div style='margin: 2px 0 0 0;'>".$locale['project_d018']." ".get_prostatus($data['project_status'], "col")."</div>";
		$comments_result = dbquery("SELECT dd.*, COUNT(comment_item_id) AS project_comments 
	        FROM ".DF_PROJECTS." dd 
	        LEFT JOIN ".DB_COMMENTS." ON dd.project_id=comment_item_id AND comment_type='DP'
            WHERE project_id='".$data['project_id']."' GROUP BY dd.project_id");
	    $comment_data = dbarray($comments_result);
		echo "<div style='margin: 2px 0 0 0;'>".$locale['project_d021'].($data['project_allow_comments'] == "1" ? "<span class='dev-info-text".($comment_data['project_comments'] == 0 ? " red'>0</span>" : "'>".$comment_data['project_comments']."</span>") : "<span class='dev-info-text red'>".$locale['project_d022']."</span>")."</div>";
		/*if(!empty($data['project_tags'])){
		echo "<br />Tags ";
		$tag = strtok(stripslashes($data['project_tags']) , " ,");
		$ta = 1;
	while ($tag !== false) {
	    echo " <a href='".PROJECT."search.php?stype=tags&amp;words=".stripinput(trim($tag))."'>#".$tag."</a> ";
		if($ta == 6){ echo "<br />"; }
		$ta++;
		$tag = strtok(" ,");
	}
		}*/
		echo "</div></div></div>\n";
		echo "</td>\n";
		$counter++; $i++;
	}
		echo "</tr>\n</table>\n";
		closetable();
		if ($rows > $devsett['perpage']) { echo "<div align='center' style='margin-top:5px;'>\n".makepagenav($_GET['rowstart'], $devsett['perpage'], $rows, 3, FUSION_SELF."?cat_id=".$_GET['cat_id']."&amp;")."\n</div>\n"; }
	  } else {
		echo $locale['project_d023']."\n";
		closetable();
			}
		}
	}
	if ($res == 0) { redirect(FUSION_SELF); }
}

    // Please dont remove the copyright!
    echo DFDICopyright();
    // Please dont remove the copyright!
}
   else { 
   opentable($locale['new_028']);
   echo "<div class='access-denied'>".$locale['project_e002']."</div>";
   closetable(); 
}

require_once THEMES . "templates/footer.php";
?>