<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: search.php
| Author: Fangree Productions
| Developers: Fangree_Craig, Discofan
| Site: http://www.fangree.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."df_project_panel/infusion_db.php";
require_once INFUSIONS."df_project_panel/includes/pro.functions.php";
require_once INFUSIONS."df_project_panel/includes/pro.inc.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."df_project_panel/locale/".$settings['locale'].".php")) {
// Load the locale file matching the current site locale setting.
    include INFUSIONS."df_project_panel/locale/".$settings['locale'].".php";
    } else {
// Load the infusion's default locale file.
    include INFUSIONS."df_project_panel/locale/English.php";
}
    include INFUSIONS."df_project_panel/includes/pro.nav.php";

$results_per_page = 10;


//opentable($locale['se_114']);
//echo "<a title='".$locale['se_124']."' href='".INFUSIONS."project_/development.php'><img src='".INFUSIONS."project_/images/back.png' style='padding: 10px; border: 0px; vertical-align:middle;' alt='".$locale['se_124']."'/></a>\n";
echo "<div class='tbl-border' style='width: 290px;margin: 10px auto 10px auto;'>\n";
echo "<div style='padding: 5px;'>";
echo "<form action='".FUSION_SELF."?stype=search' method='get' name='searchform' id='searchform'>\n";
echo "<input type='hidden' name='stype' value='search' />\n";
echo "<input type='text' name='words' id='words' maxlength='30' value='".$locale['se_115']."' onfocus=\"if(this.value == '".$locale['se_115']."') { this.value = ''; }\" onblur=\"if(this.value == '') { this.value='".$locale['se_115']."'; }\" style='width: 220px;' class='textbox devTxtbx' />\n";
echo "<input type='submit' name='search' id='search' value='".$locale['se_116']."' class='button' /><br />\n";
echo "<span style='color: red; font:italic bold;'>At least 3 chars is required</span>!\n";
echo "</form>\n";
echo "</div></div>\n";
//closetable();

	
	if (isset($_GET['words'])) {
		$words = stripinput(trim($_GET['words']));
		if (!preg_match("/^[-0-9A-Z_@\s]+$/i", $words)) $words = "";
		
		if ($words != "") {
		if (strlen($words )>= 3 && strlen($words ) <= 30) {
			$rows = dbcount("(project_id)", DF_PROJECTS, "project_name LIKE '%".$words."%' OR project_tags LIKE '%".$words."%'");
			
			if (!isset($_GET['rowstart']) || !isnum($_GET['rowstart']) || $_GET['rowstart'] > $rows) { $_GET['rowstart'] = 0; }
			
			$result = dbquery("SELECT p.project_id, p.project_name, p.project_access, p.project_image_thumb, p.project_image, p.project_tags, p.project_descri, p.project_cat, p.project_created,
			pc.project_cat_id, pc.project_cat_access 
			FROM ".DF_PROJECTS." p
			INNER JOIN ".DF_PROJECT_CATS." pc ON p.project_cat=pc.project_cat_id
			WHERE ".(iSUPERADMIN ? "" : groupaccess('pc.project_cat_access')." AND ".groupaccess('p.project_access')." AND")." (project_name LIKE '%".$words."%' OR project_tags LIKE '%".$words."%') 
			ORDER BY project_created DESC LIMIT ".$_GET['rowstart'].",".$results_per_page."");

		if (dbrows($result) != 0) {
				opentable($locale['se_117']);
				echo dbcount("(project_id)", DF_PROJECTS, "project_name LIKE '%".$words."%' OR project_tags LIKE '%".$words."%'");
		if(isset($_GET['stype']) && $_GET['stype'] == "tags"){
				echo ($rows == 1 ? $locale['se_118b2'] : $locale['se_118b1'])." &quot;".$words."&quot; <br /><br />";
				} elseif(isset($_GET['stype']) && $_GET['stype'] == "search") {
				echo ($rows == 1 ? $locale['se_118b'] : $locale['se_118'])." &quot;".$words."&quot; <br /><br />";
			}
				echo "<table class='tbl-border' width='100%'>";
		while ($data = dbarray($result)) {
				echo "<tr>";
		if($devsett['screenshot'] == 1) {
                echo "<td width='130' class='tbl1'>";
                echo "<a href='".PROJECT."view.php?id=".$data['project_id']."'>";
		if($data['project_image'] == "" || !file_exists(PROJECT_SCR.$data['project_image_thumb'])) {
		        echo "<img style='border:0px;' src='".PROJECT_SCR."no_screenshot.png' alt='Screenshot'>"; 
	          } else {
		        echo "<a href='".PROJECT_SCR.$data['project_image']."' title='' class='thickbox'><img src='".PROJECT_SCR.$data['project_image_thumb']."' alt='Single Image'/></a>";
	        }
	            echo "</a></td>";
       }
				echo "<td class='tbl1'><a href='".PROJECT."view.php?id=".$data['project_id']."' class='side'>".$data['project_name']."</a></td>";
				echo "</tr>";
				}
				echo "</table>";
				if ($rows > $results_per_page) echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($_GET['rowstart'], $results_per_page, $rows, 3, FUSION_SELF."?words=".$words."&amp;")."\n</div>\n";
			} else {
				opentable($locale['se_119']);
				echo "<div style='text-align:center;'>".$locale['se_120']." &quot;".$words."&quot; ".$locale['se_121']."</div>\n";
			}
								}else{
	          opentable("ERROR");
	          echo "<div style='text-align:center;'>Search text must be at least 3 characters long.</div>\n";
	           closetable();
			}
		} else {
			opentable($locale['se_122']);
			echo "<div style='text-align:center;'>".$locale['se_123']."</div>\n";
		}
		closetable();
}

require_once THEMES."templates/footer.php";

?>