<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: timeofday_panel.php
| Version: 1.00
| Author: Domi
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
require_once INCLUDES."comments_include.php";
require_once INCLUDES."ratings_include.php";
require_once INCLUDES."bbcode_include.php";
//Development DB/Functions & style location
include INFUSIONS."df_project_panel/infusion_db.php";
require_once INFUSIONS."df_project_panel/includes/pro.functions.php";
require_once INFUSIONS."df_project_panel/includes/pro.inc.php";


include INFUSIONS."df_project_panel/includes/copyright.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."df_project_panel/locale/".$settings['locale'].".php")) {
// Load the locale file matching the current site locale setting.
    include INFUSIONS."df_project_panel/locale/".$settings['locale'].".php";
} 
	else {
// Load the infusion's default locale file.
    include INFUSIONS."df_project_panel/locale/English.php";
}
	
	include INFUSIONS."df_project_panel/includes/pro.nav.php";
	
if(isset($_GET['id']) && isnum($_GET['id'])) { 
	$pro['data'] = dbarray(dbquery("SELECT project_id, project_name, project_version, project_allow_proposals, project_access FROM ".DF_PROJECTS." WHERE project_id='".$_GET['id']."'")); 
}

if($pro['data']['project_allow_proposals'] == 0){
   redirect(PROJECT."project.php");
 } elseif((!checkgroup($pro['data']['project_access'])) || !iMEMBER){
   redirect(PROJECT."project.php");
}
    
if($pro['data']['project_allow_proposals'] == 1 && (isset($_GET['id']) && isnum($_GET['id'])) && (iMEMBER && checkgroup($pro['data']['project_access']))){
    $check['already_posted'] = (dbcount("(project_proposal_poster)", DF_PROJECT_PROPOSALS, "project_proposal_iid='".$_GET['id']."' AND project_proposal_poster='".$userdata['user_id']."'"));
	
	$message = "";
	if (isset($_GET['error'])) {
		if ($_GET['error'] == 1) {
			$message .= $locale['project_dpe000']."<strong>".$locale['project_dpe001']."</strong>";
		} elseif($_GET['error'] == 2){
		    $message .= $locale['project_dpe000a']." <strong>".$locale['project_dpe001a']."</strong>";
		}
	}
	
if (isset($_POST['submit_proposal']) && !isset($_GET['error'])) {
	$project_proposal_txt = stripinput($_POST['project_proposal_txt']);
	if(!$project_proposal_txt){  redirect(FUSION_SELF."?id=".$_GET['id']."&amp;error=1");}
	$project_proposal_type = (isset($_POST['project_proposal_type']) && isnum($_POST['project_proposal_type'])) ? $_POST['project_proposal_type'] : 0;
	if($project_proposal_type == 0){  redirect(FUSION_SELF."?id=".$_GET['id']."&amp;error=2");}
if($check['already_posted'] == 0){
$result = dbquery("INSERT INTO ".DF_PROJECT_PROPOSALS." 
	(project_proposal_iid,
	project_proposal_poster,
	project_proposal_txt,
	project_proposal_posted,
	project_proposal_visi,
	project_proposal_visiacc,
	project_proposal_status,
	project_proposal_type
	) VALUES (
	'".$_GET['id']."',
	'".$userdata['user_id']."',
	'".$project_proposal_txt."', 
	'".time()."',
	'0',
	'103',
	'0',
	'".$project_proposal_type."'
	)"
  );
  if (isset($_POST['submit_proposal']) && !isset($_GET['error'])) {
		global $settings, $userdata;
		require_once INCLUDES."infusions_include.php";
		$result1 = dbquery("SELECT user_id FROM ".DB_USERS." WHERE user_rights REGEXP('DPT')");
			if (dbrows($result1)) {
				while ($devadm = dbarray($result1)) {
					$message = "Hi, There is one new proposal for [".$dev['data']['project_name']."]\n[url=".$settings['siteurl']."infusions/df_project_panel/view.php?id=".$pro['data']['project_id']."]Go to ".$pro['data']['project_name']."[/url]\n".$userdata['user_name'];
					send_pm($devadm['user_id'], $userdata['user_id'], "New Project Proposals", $message);
			}
		}
	}
}
  			opentable($locale['project_dpe002']);
			echo "<div style='text-align:center'><br />\n".$locale['project_dpe003']."<br /><br />\n";
			echo "<a href='".PROJECT."project.php'>".$locale['project_dpe004']."</a><br /><br />\n</div>\n";
			closetable();
} else {
if($check['already_posted'] == 0){
    opentable($locale['project_sp000']);
	$__PT__['placeholder_txt'] = $locale['project_sp001']."\n".$userdata['user_name']."";
	if ($message != "") {  echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }
    echo "<form name='inputform' method='post' action='".FUSION_SELF."?id=".$_GET['id']."'>\n";
    echo "<table class='tbl-border center' width='600' cellspacing='1' cellpadding='0'>\n<tr>\n";
    echo "<td class='tbl1' style='white-space:nowrap'>".$locale['project_sp002']."</td>\n";
    echo "<td class='tbl1'><a href='".PROJECT."view.php?id=".$pro['data']['project_id']."'>".$pro['data']['project_name']."</a> v".$pro['data']['project_version']."</td>\n";
    echo "</tr>\n<tr>";
	echo "<td class='tbl1' style='white-space:nowrap;'>".$locale['project_sp003a']."</td>\n";
    echo "<td class='tbl1'><select name='project_proposal_type' class='textbox devTxtbx'>\n";
	echo "<option value='0'>".$locale['project_sp003aa']."</option>\n";
    echo "<option value='1'>".$locale['project_sp003b']."</option>\n";
	echo "<option value='2'>".$locale['project_sp003bb']."</option>\n";
    echo "</select></td>\n</tr>\n<tr>\n";
	echo "<td class='tbl1' style='white-space:nowrap; vertical-align: top;padding-top: 33px;'>".$locale['project_sp003']."</td>\n";
    echo "<td class='tbl'>".display_bbcodes("400px;", "project_proposal_txt", "inputform")."\n";
	echo "<textarea id='proptext' maxlength='500' name='project_proposal_txt' placeholder='".$__PT__['placeholder_txt']."' cols='55' rows='10' class='textbox' style='width:400px;'></textarea><br />\n";
    echo "<div style='margin: 5px 0 5px 0;'>".$locale['project_sp004']."<span style='color:red; font-weight:bolder;' id='charsleft'>500</span>".$locale['project_sp005']."</div></td>\n</tr>\n<tr>\n";
	echo "<td align='center' colspan='2' class='tbl1'>";
    echo "<input type='submit' name='submit_proposal' value='".$locale['project_sp006']."' class='button' style='align:center; padding:3px;' />\n";
    echo "</td></tr>";
    echo "</table>\n</form>\n";
} else {
    opentable($locale['project_dpe005']);
    echo "<div style='text-align: center;'>".$locale['project_dpe006'].$userdata['user_name'].$locale['project_dpe007']."<br />
	Go back to <a href='".PROJECT."view.php?id=".$_GET['id']."'>".$pro['data']['project_name']."</a></div>";
   }
	closetable();
    }
  }
    // Please dont remove the copyright!
    echo DFDICopyright();
require_once THEMES."templates/footer.php";	
?>