<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: project_admin.php
| Version: 1.00
| Author: DrunkeN
| Website: www.dark-fusion.se
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+-------------------------------------------------------*/
require_once "../../../maincore.php";
require_once THEMES."templates/admin_header.php";
include INFUSIONS."df_project_panel/infusion_db.php";
include INFUSIONS."df_project_panel/includes/copyright.php";
require_once INFUSIONS."df_project_panel/includes/pro.functions.php";
require_once INFUSIONS."df_project_panel/includes/pro.inc.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."df_project_panel/locale/".$settings['locale'].".php")) {
// Load the locale file matching the current site locale setting.
    include INFUSIONS."df_project_panel/locale/".$settings['locale'].".php";
} else {
// Load the infusion's default locale file.
    include INFUSIONS."df_project_panel/locale/English.php";
}


if (!checkrights("DPT") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { die("Access Denied. Administrators only."); }
 
$project_id = (isset($_GET['project_id']) AND isnum($_GET['project_id'])) ? $_GET['project_id'] : "";
	add_to_head("<script src='".INFUSIONS."df_project_panel/includes/js/jquery.tagsinput.js' type='text/javascript'></script>");
	include INFUSIONS."df_project_panel/admin/admin_navigation.php";
	
    $bdata = dbarray(dbquery("SELECT * FROM ".DF_PROJECTS." WHERE project_id = '".$project_id."'"));
	$project_name = "";
	$project_image = "";
	$project_image_thumb = "";
	$project_file = "";
	$project_allow_comments = 1;
	$project_allow_ratings = 1;
	$project_allow_proposals = 1;
	$project_hideauthor = 0;
	$project_authors = "";
	$project_access = 0;
	$project_dlaccess = 101;
	$project_version = "";
    $project_versiontype = 0;
	$project_syscompat = "";
	$project_syscompatv = "";
	$project_syscompat = "";
	$project_syscompatv = "";
    $project_percent = "";
	$project_forum_status = 0;
	$project_status = "NS";
	$project_author_notice = "";
    $project_descri = "";
	$project_cat = "";
	$project_tags = "";
	$project_lang = "";
    $project_action = FUSION_SELF.$aidlink;
	$message = "";

     	
if (isset($_GET['action']) && $_GET['action'] == "delete") {
    $result = dbquery("SELECT project_author, project_image, project_image_thumb FROM ".DF_PROJECTS." WHERE project_id='".$_GET['project_id']."'");
		if (dbrows($result)) {
			$data = dbarray($result);
	if(DeleteCheck($data['project_author'])){ 
			if (!empty($data['project_file']) && file_exists(INFUSIONS."df_project_panel/files/".$data['project_file'])) {
				@unlink(INFUSIONS."df_project_panel/files/".$data['project_file']);
			}
			if (!empty($data['project_image']) && file_exists(INFUSIONS."df_project_panel/images/screenshots/".$data['project_image'])) {
				@unlink(DOWNLOADS."images/".$data['download_image']);
			}
			if (!empty($data['download_image_thumb']) && file_exists(INFUSIONS."df_project_panel/images/screenshots/images/".$data['project_image_thumb'])) {
				@unlink(INFUSIONS."df_project_panel/images/screenshots/".$data['project_image_thumb']);
			}
            $result = dbquery("DELETE FROM ".DF_PROJECTS." WHERE project_id='".$project_id."'"); 
	} else {
		redirect(FUSION_SELF.$aidlink); 
	}
		
	}
	redirect(FUSION_SELF.$aidlink."&project_cat_id=".intval($_GET['project_cat_id'])."&status=del");
}

if (isset($_POST['save_dev'])) {
        global $settings;
		$error = 0;
		$project_name = stripinput($_POST['project_name']);
		if(!$project_name) { $error = 5; }
		$project_descri = trim(stripinput($_POST['project_descri']));
		if(!$project_descri) { $error = 6; }
			//$project_filesize = stripinput(50000);
		if (isset($_POST['del_upload']) && isset($_GET['project_id']) && isnum($_GET['project_id'])) {
			$result = dbquery("SELECT project_file FROM ".DF_PROJECTS." WHERE project_id='".$_GET['project_id']."'");
			if (dbrows($result)) {
				$data = dbarray($result);
				if (!empty($data['project_file']) && file_exists(INFUSIONS."df_project_panel/files/".$data['project_file'])) {
				    $result = dbquery("UPDATE ".DF_PROJECTS." SET project_fcount='0' WHERE project_id='".$_GET['project_id']."'");
					@unlink(INFUSIONS."df_project_panel/files/".$data['project_file']);
				}
			}
			$project_file = "";
			//$project_filesize = "";
		} elseif (!empty($_FILES['project_file']['name']) && is_uploaded_file($_FILES['project_file']['tmp_name'])) {
			require_once INCLUDES."infusions_include.php";
			// Name of $_FILE key which holds the upload
			$source_file = "project_file";
			// Left blank to use the filename as it is
			$target_file = $_FILES['project_file']['name'];
			// Upload folder
			$target_folder = INFUSIONS."df_project_panel/files/";
			// Valid file extensions
			// $valid_ext = explode(",", $settings['download_types']);
			// $valid_ext = implode("|", $valid_ext);
			// Maximum file size in bytes
			$upload = upload_file($source_file, $target_file, $target_folder, $devsett['file_types'], $devsett['file_maxsize']);
			if ($upload['error'] == 1) {
				// Maximum file size exceeded
				$error = 2;
			} elseif ($upload['error'] == 2) {
			    // Invalid file extension
				$error = 3;
			} elseif ($upload['error'] == 3) {
			    // Invalid query string
				$error = 7;
			} elseif ($upload['error'] == 4) {
			    // File not uploaded
				$error = 8;
			} else {
			    // Successful upload!
				$project_file = $upload['target_file'];
			}
		} elseif (isset($_POST['project_file']) && $_POST['project_file'] != "") {
			$project_file = $_POST['project_file'];
		}
		if (isset($_POST['del_image']) && isset($_GET['project_id']) && isnum($_GET['project_id'])) {
			$result = dbquery("SELECT project_image, project_image_thumb FROM ".DF_PROJECTS." WHERE project_id='".$_GET['project_id']."'");
			if (dbrows($result)) {
				$data = dbarray($result);
				if (!empty($data['project_image']) && file_exists(INFUSIONS."df_project_panel/images/screenshots/".$data['project_image'])) {
					@unlink(INFUSIONS."df_project_panel/images/screenshots/".$data['project_image']);
				}
				if (!empty($data['project_image_thumb']) && file_exists(INFUSIONS."df_project_panel/images/screenshots/".$data['project_image_thumb'])) {
					@unlink(INFUSIONS."df_project_panel/images/screenshots/".$data['project_image_thumb']);
				}
			}
			$project_image = "";
			$project_image_thumb = "";
		} elseif (!empty($_FILES['project_image']['name']) && is_uploaded_file($_FILES['project_image']['tmp_name'])) {
			require_once INCLUDES."infusions_include.php";
			// Name of $_FILE key which holds the uploaded image
			$image = "project_image";
			// Left blank to use the image name as it is
			$name = $_FILES['project_image']['name'];
			// Upload folder
			$folder = INFUSIONS."df_project_panel/images/screenshots/";

			$upload = upload_image($image, $name, $folder, $devsett['screen_width'], $devsett['screen_height'], $devsett['screen_maxsize'], false, true, false, 1, $folder, "_thumb", $devsett['thumb_width'], $devsett['thumb_height']);

			if ($upload['error'] != 0) {
				switch ($upload['error']) {
					case 1:
					// Invalid file size
					$error = 9;
					break;
					case 2:
					// Unsupported image type
					$error = 10;
					break;
					case 3:
					// Invalid image resolution
					$error = 11;
					break;
					case 4:
					// Invalid query string
					$error = 12;
					break;
					case 5:
					// Image not uploaded
					$error = 13;
					break;
				}
				$project_image = (isset($_POST['project_image']) ? $_POST['project_image'] : "");
				$project_image_thumb = (isset($_POST['project_image_thumb']) ? $_POST['project_image_thumb'] : "");
			} else {
				// Successful upload!
				$project_image = $upload['image_name'];
				$project_image_thumb = $upload['thumb1_name'];
			}

		} elseif (isset($_POST['project_image']) && $_POST['project_image'] != "") {
			$project_image = $_POST['project_image'];
			$project_image_thumb = $_POST['project_image_thumb'];
		}
	$project_allow_comments = (isset($_POST['project_allow_comments']) && isnum($_POST['project_allow_comments'])) ? $_POST['project_allow_comments'] : "0"; // New in v1.01
	$project_allow_ratings = (isset($_POST['project_allow_ratings']) && isnum($_POST['project_allow_ratings'])) ? $_POST['project_allow_ratings'] : "0";
	$project_allow_proposals = (isset($_POST['project_allow_proposals']) && isnum($_POST['project_allow_proposals'])) ? $_POST['project_allow_proposals'] : "0";
	$project_hideauthor = (isset($_POST['project_hideauthor']) && isnum($_POST['project_hideauthor'])) ? $_POST['project_hideauthor'] : "0"; // New in v1.01
	$project_authors = stripinput($_POST['project_authors']);
	$project_access = (isset($_POST['project_access']) && isnum($_POST['project_access'])) ? $_POST['project_access'] : 0;
	$project_dlaccess = (isset($_POST['project_dlaccess']) && isnum($_POST['project_dlaccess'])) ? $_POST['project_dlaccess'] : 0;
	$project_version = stripinput($_POST['project_version']);
	$project_versiontype = (isset($_POST['project_versiontype']) && isnum($_POST['project_versiontype'])) ? $_POST['project_versiontype'] : 0;
	$project_syscompat = stripinput($_POST['project_syscompat']);
	$project_syscompatv = stripinput($_POST['project_syscompatv']);
    $project_percent = stripinput($_POST['project_percent']);
	$project_status = stripinput($_POST['project_status']);
	$project_forum_status = stripinput($_POST['project_forum_status']);
	$project_author_notice = stripinput($_POST['project_author_notice']);
	$project_cat = intval($_POST['project_cat']);
	$project_release = 0;
	if ($_POST['project_release']['mday']!= "--" && $_POST['project_release']['mon']!="--" && $_POST['project_release']['year']!="----") {
	$project_release = mktime($_POST['project_release']['hours'],$_POST['project_release']['minutes'],0,$_POST['project_release']['mon'],$_POST['project_release']['mday'],$_POST['project_release']['year']);
	}
	$project_releasetype = "NS";
	if($project_release !=0){ $project_releasetype = stripinput($_POST['project_releasetype']); }
	$project_tags = stripinput($_POST['project_tags']);
	$project_langs = "";
if(isset($_POST['project_langs'])){
	$project_lng = $_POST['project_langs'];
	$project_langs = implode(",", $project_lng);
}
	if ($project_name && $error == 0) {
    if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['project_id']) && isnum($_GET['project_id']))) {
	$project_updated = isset($_POST['update_datestamp3']) ? ", project_updated='".time()."'" : "";
    $result = dbquery("UPDATE ".DF_PROJECTS." SET 
       project_allow_comments='".$project_allow_comments."', 
	   project_allow_ratings='".$project_allow_ratings."',
	   project_allow_proposals='".$project_allow_proposals."',
	   project_hideauthor='".$project_hideauthor."', 
	   project_authors='".$project_authors."',
	   project_access='".$project_access."',
	   project_dlaccess='".$project_dlaccess."',
       project_file='".$project_file."',	   
	   project_name='".$project_name."', 
	   project_image='".$project_image."', 
	   project_image_thumb='".$project_image_thumb."',
	   project_version='".$project_version."',
       project_versiontype='".$project_versiontype."',	   
	   project_syscompat='".$project_syscompat."',
       project_syscompatv='".$project_syscompatv."', 	   
	   project_percent='".$project_percent."', 
	   project_status='".$project_status."',
       project_forum_status='".$project_forum_status."',	   
	   project_author_notice='".$project_author_notice."', 
	   ".($project_release != 0 ? " project_release='".$project_release."'," : "")." 
	   project_releasetype='".$project_releasetype."',
	   project_descri='".$project_descri."', 
	   project_cat='".$project_cat."',
	   project_tags='".$project_tags."',
	   project_langs='".$project_langs."'
	   ".$project_updated." 
	   WHERE project_id='".$project_id."'"); //project_filesize='".$project_filesize."',
       redirect(FUSION_SELF.$aidlink."&status=su");
    } else {
       $result = dbquery("INSERT INTO ".DF_PROJECTS." 
	   (project_author, 
	   project_allow_comments, 
	   project_allow_ratings, 
	   project_allow_proposals,
	   project_hideauthor, 
	   project_authors, 
	   project_file, 
	   project_access, 
	   project_dlaccess, 
	   project_name, 
	   project_image, 
	   project_image_thumb, 
	   project_version, 
	   project_versiontype,
	   project_syscompat, 
	   project_syscompatv, 
	   project_percent, 
	   project_status, 
	   project_forum_status, 
	   project_author_notice, 
	   project_descri, 
	   project_release,
       project_releasetype, 	   
	   project_cat, 
	   project_tags,
	   project_langs,
	   project_created
	   ) VALUES (
	  '".$userdata['user_id']."', 
	  '".$project_allow_comments."', 
	  '".$project_allow_ratings."',
      '".$project_allow_proposals."',	  
	  '".$project_hideauthor."', 
	  '".$project_authors."', 
	  '".$project_file."', 
	  '".$project_access."', 
	  '".$project_dlaccess."', 
	  '".$project_name."', 
	  '".$project_image."', 
	  '".$project_image_thumb."', 
	  '".$project_version."', 
	  '".$project_versiontype."',
	  '".$project_syscompat."', 
	  '".$project_syscompatv."', 
	  '".$project_percent."', 
	  '".$project_status."', 
	  '".$project_forum_status."', 
	  '".$project_author_notice."', 
	  '".$project_descri."', 
	  '".($project_release != 0 ? $project_release : 0)."', 
	  '".$project_releasetype."',
	  '".$project_cat."',
      '".$project_tags."',
      '".$project_langs."',	  
	  '".time()."')");
       redirect(FUSION_SELF.$aidlink."&status=sn"); 
     }
  		} else {
			switch($error) {
				case 0: $message .= $locale['project_ae000']."</span>"; break;
				case 1: $message .= $locale['project_ae001']."</span>"; break;
				case 2: $message .= sprintf($locale['project_ae002'], parsebytesize($devsett['file_maxsize']))."</span>"; break;
				case 3: $message .= sprintf($locale['project_ae003'], str_replace(',', ' ', $devsett['file_types']))."</span>"; break;
				case 5: $message .= $locale['project_ae000']."</span>"; break;
				case 6: $message .= $locale['project_ae004']."</span>"; break;
				case 7: $message .= $locale['project_ae005']."</span>"; break;
				case 8: $message .= $locale['project_ae005']."</span>"; break;
				case 9: $message .= sprintf($locale['project_ae006'], parsebytesize($devsett['screen_width']))."</span>"; break;
				case 10: $message .= sprintf($locale['project_ae007'], ".gif .jpg .png")."</span>"; break;
				case 11: $message .= sprintf($locale['project_ae008'], $devsett['screen_width']." x ".$devsett['screen_height'])."</span>"; break;
				case 12: $message .= $locale['project_ae005']."</span>"; break;
				case 13: $message .= $locale['project_ae005']."/span>";break;
			}
		}
}

if ((isset($_GET['action']) && $_GET['action'] == "edit") && (isset($_GET['project_id']) && isnum($_GET['project_id']))) {
    $result = dbquery("SELECT * FROM ".DF_PROJECTS." WHERE project_id='".$project_id."'");
    $data = dbarray($result);
	$project_allow_comments = (isset($data['project_allow_comments']) && isnum($data['project_allow_comments'])) ? $data['project_allow_comments'] : 0;
	$project_allow_ratings = (isset($data['project_allow_ratings']) && isnum($data['project_allow_ratings'])) ? $data['project_allow_ratings'] : 0;
	$project_allow_proposals = (isset($data['project_allow_proposals']) && isnum($data['project_allow_proposals'])) ? $data['project_allow_proposals'] : 1;
	$project_hideauthor = (isset($data['project_hideauthor']) && isnum($data['project_hideauthor'])) ? $data['project_hideauthor'] : "0";
	$project_authors = stripinput($data['project_authors']);
	$project_access = (isset($data['project_access']) && isnum($data['project_access'])) ? $data['project_access'] : "0";
	$project_dlaccess = (isset($data['project_dlaccess']) && isnum($data['project_dlaccess'])) ? $data['project_dlaccess'] : 0;
    $project_name = stripinput($data['project_name']);
	$project_file = $data['project_file'];
	$project_image = stripinput($data['project_image']);
	$project_image_thumb = stripinput($data['project_image_thumb']);
	$project_version = stripinput($data['project_version']);
	$project_versiontype = (isset($data['project_versiontype']) && isnum($data['project_versiontype'])) ? $data['project_versiontype'] : 0;
	$project_syscompat = stripinput($data['project_syscompat']);
	$project_syscompatv = stripinput($data['project_syscompatv']);
    $project_percent = stripinput($data['project_percent']);
	$project_status = stripinput($data['project_status']);
	$project_forum_status = stripinput($data['project_forum_status']);
	$project_author_notice = stripinput(htmlspecialchars_decode($data['project_author_notice']));
    $project_descri = stripinput(htmlspecialchars_decode($data['project_descri']));
	$project_cat = stripinput($data['project_cat']);
	$project_tags = stripinput($data['project_tags']);
	$project_langs = stripinput($data['project_langs']);
	if ($data['project_release'] > 0) $project_release = getdate($data['project_release']);
	$project_releasetype = stripinput($data['project_releasetype']);
    $project_action = FUSION_SELF.$aidlink."&amp;action=edit&amp;project_id=".$project_id;
	if(!EditCheck($data['project_author'])){ redirect(FUSION_SELF.$aidlink); }  
    opentable($locale['project_a000'].$data['project_name']);
} else {
    opentable($locale['project_a001']);
}	


	if (isset($_GET['status']) && $message == "") {
		if ($_GET['status'] == "sn") {
			$message .= $locale['project_am001'];
		} elseif ($_GET['status'] == "su") {
			$message .= $locale['project_am002'];
		} elseif ($_GET['status'] == "del") {
			$message .= $locale['project_am003'];
		}
	}
	if ($message != "") {  echo "<div id='close-message'><div class='admin-message'>".$message."</div></div>\n"; }

if (isset($_GET['rowstart']) && isnum($_GET['rowstart'])) {
	$rowstart = $_GET['rowstart'];
} else {
	$rowstart = 0;
} 


$project_settings = dbarray(dbquery("SELECT * FROM ".DF_PROJECT_SETTINGS));

 	
	$user_groups = getusergroups(); $access_opts = "";
	while(list($key, $user_group) = each($user_groups)){
		$sel = (isset($project_access) && $project_access == $user_group['0'] ? " selected='selected'" : "");
		$access_opts .= "<option value='".$user_group['0']."'".$sel.">".$user_group['1']."</option>\n";
	} 
	
	$user_groups2 = getusergroups(); $dl_access_opts = "";
	while(list($key, $user_group2) = each($user_groups2)){
		$dla_sel = (isset($project_dlaccess) && $project_dlaccess == $user_group2['0'] ? " selected='selected'" : "");
		$dl_access_opts .= "<option value='".$user_group2['0']."'".$dla_sel.">".$user_group2['1']."</option>\n";
	} 
	
	
	$catlist = ""; $sele = "";
	$result2 = dbquery("SELECT project_cat_id, project_cat_name FROM ".DF_PROJECT_CATS." ORDER BY project_cat_name");
	if (dbrows($result2) != 0) {
		while ($data2 = dbarray($result2)) {
			if (isset($_GET['action']) && $_GET['action'] == "edit") { $sele = ($project_cat == $data2['project_cat_id'] ? " selected='selected'" : ""); }
			$catlist .= "<option value='".$data2['project_cat_id']."'$sele>".$data2['project_cat_name']."</option>\n";
		}
	}

require_once INCLUDES."bbcode_include.php";
    echo "<form name='inputform' method='post' action='".$project_action."' enctype='multipart/form-data'>\n";
    echo "<table class='tbl-border center' width='70%' cellspacing='5' cellpadding='0'>\n<tr>\n";
    echo "<td class='tbl1' style='white-space:nowrap;'>".$locale['project_a002']."</td>\n";
    echo "<td class='tbl1'><input type='text' name='project_name' placeholder='Name of your project' value='".$project_name."' class='textbox devTxtbx' style='width:250px;' />\n";
	echo "</td>\n</tr>\n";
	
    echo "<td class='tbl1' style='white-space:nowrap;'>".$locale['project_a003']."</td>\n";
    echo "<td class='tbl1'><input type='text' name='project_authors' placeholder='".$locale['project_a003a']."' value='".$project_authors."' class='textbox devTxtbx' style='width:300px;' />\n";
	echo "</td>\n</tr>\n";
	
    echo "<tr><td class='tbl1' style='padding:5px;white-space:nowrap;'>".$locale['project_a004']."</td>\n";
    echo "<td class='tbl1'><input type='text' name='project_version' placeholder='".$locale['project_a004a']."' value='".$project_version."' class='textbox' style='margin-right:5px;padding:5px;width:80px;' />\n";
    echo $locale['project_a005']."<select style='margin-left: 5px;' name='project_versiontype' class='textbox devTxtbx'>\n";
	echo "<option value='0'".($project_versiontype == "0" ? " selected='selected'" : "").">".$locale['project_vt000']."</option>\n";
    echo "<option value='1'".($project_versiontype == "1" ? " selected='selected'" : "").">".$locale['project_vt001']."</option>\n";
	echo "<option value='2'".($project_versiontype == "2" ? " selected='selected'" : "").">".$locale['project_vt002']."</option>\n";
	echo "<option value='3'".($project_versiontype == "3" ? " selected='selected'" : "").">".$locale['project_vt003']."</option>\n";
	echo "</select></td>\n</tr>\n";
	
	echo "<tr><td class='tbl1' style='white-space:nowrap;'>".$locale['project_a010']."</td>\n";
    echo "<td class='tbl1'>".$locale['project_a011']."<input type='text' name='project_syscompat' placeholder='".$locale['project_a011a']."' value='".$project_syscompat."' class='textbox devTxtbx' style='width:110px;margin-right: 5px;' />".$locale['project_a012']."<input type='text' name='project_syscompatv' placeholder='".$locale['project_a012a']."' value='".$project_syscompatv."' class='textbox devTxtbx' style='margin-left: 5px;width:90px;' />\n";
	echo "</td>\n</tr>\n";
	
	echo "<tr><td class='tbl1' style='white-space:nowrap;'>".$locale['project_a013']."</td>\n";
    $prec = array(
           "0" => "0%", "5" => '5%',
		   "10" => "10%", "15" => '15%',
		   "20" => "20%", "25" => '25%',
		   "30" => "30%", "35" => '35%',
		   "40" => "40%", "45" => '45%',
		   "50" => "50%", "55" => '55%',
		   "60" => "60%", "65" => '65%',
		   "70" => "70%", "75" => '75%',
		   "80" => "80%", "85" => '85%',
		   "90" => "90%", "95" => '95%',
		   "100" => '100%'
    );
	echo "<td class='tbl1'><select name='project_percent' class='textbox devTxtbx'>\n";
	foreach($prec as $preval => $precentl) {
    echo "<option value='".$preval."'".($data['project_percent'] == $preval ? " selected='selected'" : "").">".$precentl."</option>";
}
	echo "</select>".$locale['project_a013a']."</td>\n</tr>\n";
	
    echo "<tr><td class='tbl1' style='white-space:nowrap;'>".$locale['project_a014']."</td>\n";
        $starr = array(
		   "NS" => $locale['project_s000'],
		   "CA" => $locale['project_s000a'],
		   "DI" => $locale['project_s001'],
		   "FR" => $locale['project_s002'],
		   "IP" => $locale['project_s003'],
		   "IR" => $locale['project_s004'],
		   "OH" => $locale['project_s005'],
		   "PS" => $locale['project_s006'],
		   "PL" => $locale['project_s006a'],
		   "ST" => $locale['project_s007'],
           "TS" => $locale['project_s008'],
           "UP" => $locale['project_s009']		   
    );
	echo "<td class='tbl1'><select name='project_status' class='textbox devTxtbx' style='width:120px;'>\n";
	foreach($starr as $staval => $statusl) {
    echo "<option value='".$staval."'".($data['project_status'] == $staval ? " selected='selected'" : "").">".$statusl."</option>";
}
	echo "</select></td>\n</tr>\n";
	
    echo "<tr><td width='80' class='tbl1' style='white-space:nowrap;'>".$locale['project_a015']."</td>\n";
	echo "<td class='tbl1'><select name='project_cat' class='textbox devTxtbx'>\n".$catlist."</select></td>\n";
	echo "</tr>\n<tr>";
if($project_settings['project_comments'] != 0){
	echo "<td class='tbl1' style='white-space:nowrap;vertical-align:middle;'>".$locale['project_a016']."</td>\n<td class='tbl1'>\n";
if (!empty($project_image) && !empty($project_image_thumb)) {
	echo "<img src='".INFUSIONS."df_project_panel/images/screenshots/".$project_image_thumb."' /><br />\n";
	echo "<label><input type='checkbox' name='del_image' value='1' /> Delete</label>\n";
	echo "<input type='hidden' name='project_image' value='".$project_image."' />";
	echo "<input type='hidden' name='project_image_thumb' value='".$project_image_thumb."' />";
  } else {
	echo "<input type='file' name='project_image' class='textbox devTxtbx' style='width:150px;' /><br />\n";
	echo "<div style='margin: 4px 0 4px 0;'>".sprintf($locale['project_a017'], parsebytesize($devsett['screen_maxsize']), str_replace(',', ' ', ".jpg,.gif,.png"), $devsett['screen_width'], $devsett['screen_height'])."</div>\n";
}
	echo "</td>\n</tr>\n<tr>\n";
}
		
	echo "<td class='tbl1' style='white-space:nowrap;vertical-align:middle;'>".$locale['project_a018']."</td>\n";
	echo "<td class='tbl1'>\n";
	if (!empty($project_file)) {
		echo "<a href='".INFUSIONS."df_project_panel/files/".$project_file."'>".INFUSIONS."df_project_panel/files/".$project_file."</a><br />\n";
		echo "<label><input type='checkbox' name='del_upload' value='1' /> Delete</label>\n";
		echo "<input type='hidden' name='project_file' value='".$project_file."' />";
	} else {
		echo "<input type='file' name='project_file' class='textbox devTxtbx' style='width:150px;' /><br />\n";
		echo "<div style='margin: 4px 0 4px 0;'>".sprintf($locale['project_a019'], parsebytesize($devsett['file_maxsize']), str_replace(',', ' ', $devsett['file_types']))."</div>";
	}
	echo "</td>\n</tr>\n";
	
	echo "<td class='tbl1' style='white-space:nowrap;'>".$locale['project_a020']."</td>\n";
	echo "<td class='tbl1'>Date: <select name='project_release[mday]' style='margin-left: 5px;' class='textbox devTxtbx'>\n<option>--</option>\n";
	for ($i=1;$i<=31;$i++) echo "<option".(isset($project_release['mday']) && $project_release['mday'] == $i ? " selected='selected'" : "").">$i</option>\n";
	echo "</select> <select name='project_release[mon]' class='textbox devTxtbx'>\n<option>--</option>\n";
	for ($i=1;$i<=12;$i++) echo "<option".(isset($project_release['mon']) && $project_release['mon'] == $i ? " selected='selected'" : "").">$i</option>\n";
	echo "</select> <select name='project_release[year]' class='textbox devTxtbx'>\n<option>----</option>\n";
	for ($i=(isset($project_release['year']) && $project_release['year'] != "----" ? $project_release['year'] : date('Y'));$i<=date("Y", strtotime('+10 years'));$i++) echo "<option".(isset($project_release['year']) && $project_release['year'] == $i ? " selected='selected'" : "").">$i</option>\n";
	echo "</select> / <select name='project_release[hours]' class='textbox devTxtbx'>\n";
	for ($i=0;$i<=24;$i++) echo "<option".(isset($project_release['hours']) && $project_release['hours'] == $i ? " selected='selected'" : "").">$i</option>\n";
	echo "</select> : <select name='project_release[minutes]' style='padding:5px;' class='textbox devTxtbx'>\n";
	for ($i=0;$i<=60;$i++) echo "<option".(isset($project_release['minutes']) && $project_release['minutes'] == $i ? " selected='selected'" : "").">$i</option>\n";
	echo "</select>".$locale['project_a021'] ;
	$rtarr = array(
		   "NS" => $locale['project_rt000'],
		   "PAL" => $locale['project_rt001'],
		   "AL" => $locale['project_rt002'],
		   "BE" => $locale['project_rt003'],
		   "CB" => $locale['project_rt004'],
		   "OB" => $locale['project_rt005'],
		   "FPR" => $locale['project_rt006'],
		   "RW" => $locale['project_rt007'],
		   "RC" => $locale['project_rt008'],
           "OR" => $locale['project_rt009']		   
    );
	echo "<select name='project_releasetype' class='textbox' style='padding:5px;margin-left: 5px;width:120px;'>";
	foreach($rtarr as $rtaval => $rtatusl) {
    echo "<option value='".$rtaval."'".($data['project_releasetype'] == $rtaval ? " selected='selected'" : "").">".$rtatusl."</option>";
}
	echo "</select></td>\n";
	echo "</tr>\n<tr>\n";
	
    echo "<td class='tbl1' valign='top' style='white-space:nowrap;'>".$locale['project_a022']."</td>\n";
    echo "<td class='tbl1'><textarea name='project_descri' placeholder='".$locale['project_a022a']."' cols='60' rows='5' class='textbox devTxtbx' style='width:600px;'>".$project_descri."</textarea><br />\n";
    echo display_bbcodes("600px;", "project_descri", "inputform")."\n";
    echo "</td>\n</tr>\n<tr>\n";
	
	echo "<td valign='top' class='tbl1' style='white-space:nowrap;'>".$locale['project_a023']."</td>\n";
    echo "<td class='tbl1'><textarea name='project_author_notice' placeholder='".$locale['project_a023a']."' cols='60' rows='3' class='textbox devTxtbx' style='width:400px;'>".$project_author_notice."</textarea><br />\n";
    echo display_bbcodes("400px;", "project_author_notice", "inputform")."\n";
    echo "</td>\n</tr>\n";
	
	echo "<td class='tbl1' style='white-space:nowrap;'>".$locale['project_a023b']."</td>\n";
	echo "<td class='tbl1'><input name='project_tags' id='tags_d' type='text' class='tags' value='".$project_tags."' /></td>";
	echo "</td>\n</tr>\n";
	
	$lang_arr = array(
             "ara" => "Arabia", 
		     "bos" => "Bosnia",
		     "bra" => "Brazil",
		     "cze" => "Czech",
		     "bul" => "Bulgaria",
		     "dan" => "Denmark", 
			 "eng" => "English",
		     "fra" => "France",
		     "ger" => "Germany",
		     "gre" => "Greece",
		     "hun" => "Hungary", 
		     "net" => "Netherlands",
		     "ita" => "Italy", 
		     "lit" => "Lithuania", 
		     "nor" => "Norway", 
		     "ira" => "Iran", 
		     "pol" => "Poland", 
		     "rom" => "Romania", 
		     "rus" => "Russia",  
		     "ser" => "Serbia", 
		     "slo" => "Slovakia",  
		     "spa" => "Spain", 
		     "swe" => "Sweden", 
		     "tur" => "Turkey"    
    );
	
    echo "<tr><td class='tbl1' valign='top' style='white-space:nowrap;'>".$locale['project_a023c']."</td>\n";
	echo "<td class='tbl1'><select name='project_langs[]' class='textbox devTxtbx' style='width:150px;' size='6' multiple='multiple'>\n";

foreach($lang_arr as $lang_val => $lang_value) {
if(isset($_GET['action']) && $_GET['action'] == "edit"){ 
	$selectedLang = (selectedProLangs($data['project_langs'], $lang_val) ? " selected='selected'" : ""); 
	} else { 
	$selectedLang = ""; 
}
    echo "<option value='".$lang_val."' ".$selectedLang.">".$lang_value."</option>";
	}
	echo "</select><br />".$locale['project_a023c2']."<br /></td>\n</tr>\n";
	echo "<tr>\n<td class='tbl1' style='white-space:nowrap;'>".$locale['project_a024']."</td>\n";
	echo "<td class='tbl1'><select id='project_forum_status' name='project_forum_status' class='textbox devTxtbx'>";
	if($project_forum_status != 1 || empty($project_forum_status)){
	echo "<option style='color:".$locale['project_no-color'].";' value='0'".($project_forum_status == "0" ? " selected='selected'" : "").">".$locale['project_g000']."</option>\n";
	echo "<option style='color:".$locale['project_yes-color'].";' value='1'".($project_forum_status == "1" ? " selected='selected'" : "").">".$locale['project_g001']."</option>\n";
	}
	if($project_forum_status == 1){ echo "<option style='color:".$locale['project_yes-color'].";' value='cr' selected='selected' disabled>".$locale['project_a025']."</option>\n"; }
	echo "</select>\n</td>\n</tr>\n"; 
	
	

if($project_settings['project_comments'] == "1") { 
	echo "<tr>\n<td class='tbl1' style='white-space:nowrap;'>".$locale['project_a026']."</td>\n";
	echo "<td class='tbl1'><select name='project_allow_comments' class='textbox devTxtbx'>\n";
    echo "<option style='color:".$locale['project_no-color'].";' value='0'".($project_allow_comments == "0" ? " selected='selected'" : "").">".$locale['project_g000']."</option>\n";
	echo "<option style='color:".$locale['project_yes-color'].";' value='1'".($project_allow_comments == "1" ? " selected='selected'" : "").">".$locale['project_g001']."</option>\n";
    echo "</select></td>\n</tr>\n"; 
}
	echo "<tr>\n<td class='tbl1' style='white-space:nowrap;'>".$locale['project_a027']."</td>\n";
	echo "<td class='tbl1'><select name='project_allow_ratings' class='textbox devTxtbx'>\n";
    echo "<option style='color:".$locale['project_no-color'].";' value='0'".($project_allow_ratings == "0" ? " selected='selected'" : "").">".$locale['project_g000']."</option>\n";
	echo "<option style='color:".$locale['project_yes-color'].";' value='1'".($project_allow_ratings == "1" ? " selected='selected'" : "").">".$locale['project_g001']."</option>\n";
    echo "</select></td>\n</tr>\n"; 
	
	echo "<tr>\n<td class='tbl1' style='white-space:nowrap;'>Allow Proposals</td>\n";
	echo "<td class='tbl1'><select name='project_allow_proposals' class='textbox devTxtbx'>\n";
    echo "<option style='color:".$locale['project_no-color'].";' value='0'".($project_allow_proposals == "0" ? " selected='selected'" : "").">".$locale['project_g000']."</option>\n";
	echo "<option style='color:".$locale['project_yes-color'].";' value='1'".($project_allow_proposals == "1" ? " selected='selected'" : "").">".$locale['project_g001']."</option>\n";
    echo "</select></td>\n</tr>\n"; 
	
	echo "<tr>\n<td class='tbl1' style='white-space:nowrap;'>".$locale['project_a028']."</td>\n";
    echo "<td class='tbl1'><select name='project_hideauthor' class='textbox devTxtbx'>\n";
	echo "<option style='color:".$locale['project_no-color'].";' value='0'".($project_hideauthor == "0" ? " selected='selected'" : "").">".$locale['project_g000']."</option>\n";
    echo "<option style='color:".$locale['project_yes-color'].";' value='1'".($project_hideauthor == "1" ? " selected='selected'" : "").">".$locale['project_g001']."</option>\n";
    echo "</select></td>\n</tr>\n<tr>\n";
	
if($project_settings['project_access'] == 0) {
	echo "<td class='tbl1' style='white-space:nowrap;'>".$locale['project_a028m']."</td>\n";
    echo "<td colspan='2' class='tbl1'><select name='project_access' class='textbox devTxtbx' style='width:150px;'>\n".$access_opts."</select></td>\n";
    echo "</tr>\n<tr>\n"; 
}
	
	echo "<td class='tbl1' style='white-space:nowrap;'>".$locale['project_a028m2']."</td>\n";
    echo "<td colspan='2' class='tbl1'><select name='project_dlaccess' class='textbox devTxtbx' style='width:150px;'>\n".$dl_access_opts."</select></td>\n";
    echo "</tr>\n<tr>\n";
	
if (isset($_GET['action']) && $_GET['action'] == "edit") {
	echo "<td class='tbl1 update-datestamp' style='white-space:nowrap;'>".$locale['project_a028m3']."</td>\n";
	echo "<td class='tbl1 update-datestamp'><input type='checkbox' name='update_datestamp3' value='1' style='padding:5px;'></td>";
	echo "</tr>\n<tr>\n";
	}

    echo "<td align='center' colspan='2' class='tbl1'>";
if(isset($_GET['action']) && $_GET['action'] == "edit"){
	echo "<input type='submit' name='save_dev' value='".$locale['project_a029']."' class='button' />\n"; } 
	else {
    echo "<input type='submit' name='save_dev' value='".$locale['project_a030']."' class='button' />\n";
	}
    echo "</td></tr>\n</table>\n</form>\n";
closetable();

opentable($locale['project_a031']);
echo "<table cellspacing='0' cellpadding='0' width='100%' class='center'>\n";
    $result = dbquery("SELECT project_cat_id, project_cat_name FROM ".DF_PROJECT_CATS." ORDER BY project_cat_name");
	if (dbrows($result)) {
		while ($data = dbarray($result)) {
		    echo "<table width='60%' style='margin: 7px auto 7px auto;border-spacing: 10px;border-collapse: separate;' border='0' style='margin: 0 auto;' class='tbl-border center'>\n";
			 $rows = dbcount("(project_id)", DF_PROJECTS, "project_cat='".$data['project_cat_id']."'");
			echo "<td colspan='2' class='tbl2' width='190'>".$data['project_cat_name']."</td></tr><tr>";
			if ($rows !=0) {
		    echo "<td width='200' class='tbl1' style='font-weight: bold;'>".$locale['project_a032']."</td>\n";
		    echo "<td width='135' class='tbl1' style='font-weight: bold;'>".$locale['project_a033']."</td>\n";
		    echo "<td width='135' class='tbl1' style='font-weight: bold;'>".$locale['project_g002']."</td>\n";
		    echo "<td width='135' class='tbl1' style='font-weight: bold;'>".$locale['project_g003']."</td>\n";
		    echo "</tr>\n";
			if (!isset($_GET['project_cat_id']) || !isnum($_GET['project_cat_id']) && isset($_GET['cat_id']) && isNum($_GET['cat_id'])) { $_GET['project_cat_id'] = 0; }
            $result2 = dbquery(
			      "SELECT p.*, u.user_id, u.user_name, u.user_status 
				   FROM ".DF_PROJECTS." p 
				   LEFT JOIN ".DB_USERS." u ON u.user_id=p.project_author 
				   WHERE project_cat='".$data['project_cat_id']."' 
				   ORDER BY project_created DESC 
				   LIMIT ".$rowstart.",".$project_settings['project_perpage']);
	while($data2 = dbarray($result2)) {
		echo "<tr><td class='tbl1' width='200'><a href='".INFUSIONS."df_project_panel/view.php?id=".$data2['project_id']."'>".$data2['project_name']."</a></td>\n";
		echo "<td class='tbl1' width='135'>".profile_link($data2['user_id'], $data2['user_name'], $data2['user_status'])."</td>\n";
        echo "<td class='tbl1' width='135'>".showdate("%B %d %Y", $data2['project_created'])."</td>\n";
        $support_thread['link'] = ($data2['project_forum_status'] == 1 ? " - <a href='".INFUSIONS."df_project_panel/admin/support_thread.php".$aidlink."' title='".$locale['project_a034']."'>".$locale['project_a035']."</a>" : "");
		echo "<td class='tbl1' width='135'>".(EditCheck($data2['user_id']) ? "<a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;project_id=".$data2['project_id']."' title='".$locale['project_a036']."'>".$locale['project_g004']."</a> -" : "<span style='text-decoration: line-through;'>".$locale['project_g004']."</span> -").(DeleteCheck($data2['user_id']) ? " <a href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;project_id=".$data2['project_id']."' title='".$locale['project_a037']."'>".$locale['project_g005']."</a>" : " <span style='text-decoration: line-through;'>".$locale['project_g005']."</span>")." ".$support_thread['link']."</td>\n</tr>";
    }
	    echo "</table>";
	} else {
				echo "<tr>\n<td class='tbl1' width='300'>".$locale['project_a038']."</td>\n</tr>\n</table>";
			}
		}
			}
if ($rows > $project_settings['project_perpage']) echo "<div align='center' style=';margin-top:5px;'>\n".makepagenav($rowstart,$project_settings['project_perpage'],$rows,3,FUSION_SELF.$aidlink."&amp;")."\n</div>\n";
closetable();
       // Please dont remove the copyright!
       echo DFDICopyright();
       // Please dont remove the copyright!  
add_to_footer("<script type='text/javascript'>
		
		function onAddTag(tag) {
			alert('Added a tag: ' + tag);
		}
		function onRemoveTag(tag) {
			alert('Removed a tag: ' + tag);
		}
		
		function onChangeTag(input,tag) {
			alert('Changed a tag: ' + tag);
		}
		
		$(function() {

			$('#tags_d').tagsInput({ minChars:'3', width:'400px'});
		
		});
	
	</script>"); 
	   
require_once THEMES."templates/footer.php";
?>