<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: df_project_panel.php
| Version: 1.00
| Author: DrunkeN
| Website: www.dark-fusion.se
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+-------------------------------------------------------*/
if (!defined("IN_FUSION")) {  die("Access Denied"); }
include INFUSIONS."df_project_panel/infusion_db.php";
require_once INCLUDES."bbcode_include.php";
require_once INFUSIONS."df_project_panel/includes/pro.functions.php";
require_once INFUSIONS."df_project_panel/includes/pro.inc.php";

if (file_exists(INFUSIONS."df_project_panel/locale/".$settings['locale'].".php")) {
    include INFUSIONS."df_project_panel/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."df_project_panel/locale/English.php";
}

  global $settings;
opentable($settings['sitename'].$locale['project_dip000']);
  echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n<tr>\n";
  echo "<td class='tbl2' style='font-size: 15px; text-align: center;'><strong>".$locale['project_dip001']."</strong></td>\n";
  echo "<td class='tbl2' style='text-align:left;white-space:nowrap'><strong>".$locale['project_dip002']."</strong></td>\n";
  echo "<td class='tbl2' style='text-align:center;white-space:nowrap' align='center'><strong>".$locale['project_dip003']."</strong></td>\n";
  echo "<td class='tbl2' style='text-align:center;white-space:nowrap' align='center'><strong>".$locale['project_dip004']."</strong></td>\n";
  echo "<td class='tbl2' style='text-align:center;white-space:nowrap' align='center'><strong>".$locale['project_dip005']."</strong></td>\n";
  echo "<td class='tbl2' style='text-align:center;white-space:nowrap' align='left'><strong>".$locale['project_dip006']."</strong></td>\n";
  echo "<td class='tbl2' style='text-align:center;white-space:nowrap' align='right'><strong>".$locale['project_dip007']."</strong></td>\n";
  echo "</tr>\n";
  $result = dbquery("SELECT p.*, pc.*, u.user_id, u.user_name, u.user_status, u.user_avatar 
            FROM ".DF_PROJECTS." p 
			LEFT JOIN ".DB_USERS." u ON u.user_id=p.project_author
			LEFT JOIN ".DF_PROJECT_CATS." pc ON pc.project_cat_id=p.project_cat
			WHERE ".groupaccess('p.project_access')." 
			ORDER BY p.project_created DESC LIMIT 10");
  if (dbrows($result)) {
  $p = 0;
  while($data = dbarray($result)) {
   $project['new'] = ($data['project_created'] + 86999 > time() + ($settings['timeoffset'] * 3600));
   $project['updated'] = ($data['project_updated'] + 86999 > time() + ($settings['timeoffset'] * 3600));
if($project['new'] && !$project['updated']){
	$project['name'] = "<span title='".$locale['project_g011']."' class='new'><a href='".PROJECT."view.php?id=".$data['project_id']."&cat_id=".$data['project_cat']."'>".trimlink($data['project_name'], 40)."</a></span>";
} else if($project['updated']){
    $project['name'] = "<span title='".$locale['project_g012']."' class='updated'><a href='".PROJECT."view.php?id=".$data['project_id']."'>".trimlink($data['project_name'], 40)."</a></span>";
   } else {
    $project['name'] = "<a href='".PROJECT."view.php?id=".$data['project_id']."&cat_id=".$data['project_cat']."'>".trimlink($data['project_name'], 40)."</a>";
}

	 echo "<tr>\n<td class='tbl1' style='font-weight: 600; text-align:center;'>".$data['project_version']."</td>";
     echo "<td class='tbl1' style='text-align:left;'>".$project['name'];
if(!empty($data['project_file']) && file_exists(PROJECT_FILE.$data['project_file'])){
	 echo "<div title='".$locale['project_dip010']."' style='float:right;margin-bottom: 5px; margin-right: 5px;'><span class='d-dl-file'>&nbsp;</span></div>";	
}
if(!empty($data['project_image']) && file_exists(PROJECT_SCR.$data['project_image'])){
	 echo "<div title='".$locale['project_dip011']."' style='float:right;margin-bottom: 5px;'><span class='d-sc-img'>&nbsp;</span></div>";
 }
	 echo "</td>\n";
     echo "<td class='tbl1' style='text-align:center;'><a href='".PROJECT."project.php?cat_id=".$data['project_cat_id']."'>".$data['project_cat_name']."</a></td>\n"; 
     echo "<td class='tbl1' style='text-align:center;'>".showdate("%B %d %Y, %H:%M", $data['project_created'])."</td>\n";
     echo "<td class='tbl1' style='text-align:center;'>".(authorHidden($data['project_hideauthor']) ? "<span class='devel_hidden'>Hidden</span>" : show_author($data['user_id'], $data['user_name'], $data['user_status'], $data['user_avatar']))."</td>\n"; 
     echo "<td class='tbl1' style='text-align:center;'>".pro_percent($data['project_percent'])."<br />".get_prostatus($data['project_status'])."</td>\n";  
if ($data['project_status'] == "IR") {
     echo "<td  class='tbl1' style='text-align:center;'><span class='relyes'>".$locale['project_dip012']."</span></td>\n";
  } else {  
     echo "<td class='tbl1' style='text-align:center;'>".($data['project_release'] ? showdate("%Y/%m/%d %H:%M", $data['project_release']) : "<span class='unknown'>".$locale['project_g009']."</span>")."</td>\n"; }
     echo "</tr>";
	$p++;
   }
     echo "</table>\n";
	 echo "<table cellpadding='0' cellspacing='1' class='tbl-border project-panel-nav' style='text-align:center;'>\n<tr>\n";
	 //echo "<td style='width:130px; font-weight: 900;'>Project:</td>";
if(C_PRODLS){
	 echo "<td class='tbl2 pd8-pd15 brig-fwbol' style='width:120px;'><span class='dev_dls'><a href='".PROJECT."project.php?page=dls' class='side'>".$locale['project_dip014']."</a></span></td>";
	 echo "<td class='tbl2 pd8-pd15 brig-fwbol' style='width:120px;'><span class='dev_top'><a href='".PROJECT."project.php?page=pop' class='side'>".$locale['project_dip015']."</a></span></td>";
	 } else {
	 echo "<td class='tbl2 pd8-pd15 brig-fwbol' style='width:120px;'><span style='text-decoration:line-through' class='dev_dls'>".$locale['project_dip014']."</span></td>";
	 echo "<td class='tbl2 pd8-pd15 brig-fwbol' style='width:120px;'><span style='text-decoration:line-through' class='dev_top'>".$locale['project_dip015']."</span></td>";
}
if(C_PRORAT){
	 echo "<td class='tbl2 pd8-pd15 brig-fwbol' style='width:120px;'><span class='dev_topra'><a href='".PROJECT."project.php?page=tor' class='side'>".$locale['project_dip016']."</a></span></td>";
	 } else {
	 echo "<td class='tbl2 pd8-pd15 brig-fwbol' style='width:120px;'><span style='text-decoration:line-through' class='dev_topra'>".$locale['project_dip016']."</span></td>";
}
if(C_PROPRP){
	 echo "<td class='tbl2 pd8-pd15 brig-fwbol' style='width:120px;'><span class='dev_props'><a href='".PROJECT."project.php?page=prp' class='side'>".$locale['project_dip017']."</a></span></td>";
	 } else {
	 echo "<td class='tbl2 pd8-pd15 brig-fwbol' style='width:120px;'><span style='text-decoration:line-through' class='dev_props'>".$locale['project_dip017']."</span></td>";
}
	 echo "</tr></table>\n";

if (checkrights("DPT")) {
	 echo "<table cellpadding='0' cellspacing='1' class='tbl-border project-panel-nav' style='width: 40%;text-align:center;'>\n<tr>\n";
	 echo "<td style='width: 100;' class='tbl2 pd8-pd15 brig-fwbol'>Admin links:</td>";
	 echo "<td id='pro-adm' class='tbl2 pd8-pd15 brig-fwbol pro-adm-link'><a href='".PROJECT_ADMIN."project_admin.php".$aidlink."' class='side'>".$locale['project_dip013a']."</a></td>";
     $count['proposals_notr'] = (dbcount("(project_proposal_id)", DF_PROJECT_PROPOSALS, "project_proposal_status='0'"));
     $display['prop_count'] = ($count['proposals_notr'] > 0 ? "<span style='color: red; font-weight: 900;'>".$count['proposals_notr']."</span> " : "");
	 echo "<td id='pro-adm' class='tbl2 pd8-pd15 brig-fwbol'>".$display['prop_count']."<a href='".PROJECT_ADMIN."project_proposals.php".$aidlink."' class='side'>".$locale['project_dip017a']."</a></td>";
	 echo "<td id='pro-adm' class='tbl2 pd8-pd15 brig-fwbol'><a href='".PROJECT_ADMIN."project_settings.php".$aidlink."' class='side'>Settings</a></td>";
	 echo "</tr></table>\n";
}

 } else {
     echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n";
	 echo "<tr>\n<td class='tbl2' align='left'>".$locale['project_dip018']."</td>\n</tr>\n";
	 echo "</table>\n";
}

//echo"<div class='side small' style='text-align:right; color:#000;'>".$locale['dev_copyright2']."</div>\n";
closetable();

?>