<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: English.php
| Author: DrunkeN
| URL: http://dark-fusion.se
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
global $userdata;
/* Titles */
$locale['project_title'] = "DF Project Panel";
$locale['project_desc'] = "Add your project and allow your members follow project development progress.";
$locale['project_admin'] = "Project Admin";
//Locales used several times
$locale['project_g000'] = "No";
$locale['project_no-color'] = "#d61111";
$locale['project_g001'] = "Yes";
$locale['project_yes-color'] = "#0eb72b";
$locale['project_g002'] = "Created";
$locale['project_g003'] = "Options";
$locale['project_g004'] = "Update";
$locale['project_g005'] = "Delete";
$locale['project_g006'] = "Submitted by";
$locale['project_g006a'] = "Submitted";
$locale['project_g006b'] = " by ";
$locale['project_g007'] = "Status";
$locale['project_g009'] = "Unknown";
$locale['project_g010'] = "Project Index";
$locale['project_g011'] = "New project";
$locale['project_g012'] = "Project updated";
$locale['project_g013'] = "N/A";
//Development Errors
$locale['project_e000'] = "<strong>".(iMEMBER ? $userdata['user_name'] : "Guest")."</strong> you do not have permission to access this project";
$locale['project_e001'] = "You do not have permission to access project in ";
$locale['project_e002'] = "You do not have permission to access any of the project on this site.";
$locale['project_e003'] = "You do not have permission to download this file.";
$locale['project_e004'] = "You do not have permission to download the file in ";
//Project Version Types
$locale['project_vt000'] = "Not Selected";
$locale['project_vt001'] = "Minor";
$locale['project_vt002'] = "Normal";
$locale['project_vt003'] = "Major";
//Project Status
$locale['project_s000'] = "Not selected";
$locale['project_s000a'] = "Canceled";
$locale['project_s001'] = "Discontinued";
$locale['project_s002'] = "Frozen";
$locale['project_s003'] = "In Development";
$locale['project_s004'] = "Released";
$locale['project_s005'] = "On Hold";
$locale['project_s006'] = "Planning stage";
$locale['project_s006a'] = "Planned";
$locale['project_s007'] = "Started";
$locale['project_s008'] = "Testing stage";
$locale['project_s009'] = "Updating";
//Proposal status
$locale['project_ps000'] = "Under Review";
$locale['project_ps001'] = "Accept";
$locale['project_ps002'] = "Reject";
$locale['project_ps003'] = "Complete";
$locale['project_ps004'] = "In development";
$locale['project_ps000b'] = "Under Review";
$locale['project_ps001b'] = "Accepted";
$locale['project_ps002b'] = "Rejected";
$locale['project_ps003b'] = "Completed";
$locale['project_ps004b'] = "In development";
//Proposal type
$locale['project_pt000'] = "Unknow";
$locale['project_pt001'] = "Feature";
$locale['project_pt002'] = "Language";
//Project Release Types
$locale['project_rt000'] = "Not Selected";
$locale['project_rt001'] = "Pre-alpha";
$locale['project_rt002'] = "Alpha";
$locale['project_rt003'] = "Beta";
$locale['project_rt004'] = "Closed Beta";
$locale['project_rt005'] = "Open Beta";
$locale['project_rt006'] = "First Public Release";
$locale['project_rt007'] = "Re written";
$locale['project_rt008'] = "Release candidate";
$locale['project_rt009'] = "Official Release";
//**// Admin Locales START //**//
//admin_navigation.php
$locale['project_an000'] = "DF Project Panel v";
$locale['project_an001'] = "Project Admin";
$locale['project_an002'] = "Project Settings";
$locale['project_an003'] = "Project Categories";
$locale['project_an004'] = "Project Reports";
$locale['project_an005'] = "Project Proposals";
$locale['project_an006'] = "Version check";
$locale['project_an007'] = "Project Upgrade";
//Errors > project_admin.php
$locale['project_ae000'] = "Name cannot be left empty";
$locale['project_ae001'] = "Invalid filename";
$locale['project_ae002'] = "File must be less than %s.";
$locale['project_ae003'] = "File must be one of the following file types: %s.";
$locale['project_ae004'] = "Description cannot be left empty";
$locale['project_ae005'] = "Unknown error";
$locale['project_ae006'] = "Image must be less than %s.";
$locale['project_ae007'] = "Image must be one of the following file types: %s.";
$locale['project_ae008'] = "Image must be smaller than %s.";
$locale['project_ae009'] = "";
$locale['project_ae010'] = "";
//project_admin.php
$locale['project_am001'] = "New project has been created";
$locale['project_am002'] = "Project has been updated";
$locale['project_am003'] = "Project has been deleted";
$locale['project_a000'] = "Update Project: ";
$locale['project_a001'] = "Create New Project";
$locale['project_a002'] = "Name";
$locale['project_a003'] = "Authors";
$locale['project_a003a'] = "Martin,John,Jon";
$locale['project_a004'] = "Version";
$locale['project_a004a'] = "2.00";
$locale['project_a005'] = "Type: ";
//$locale['project_a006'] = "Not Selected";
//$locale['project_a007'] = "Minor";
//$locale['project_a008'] = "Normal";
//$locale['project_a009'] = "Major";
$locale['project_a010'] = "Compatibility";
$locale['project_a011'] = "System: ";
$locale['project_a011a'] = "PHP Fusion";
$locale['project_a012'] = " System Version: ";
$locale['project_a012a'] = "v7.02.07";
$locale['project_a013'] = "Percent";
$locale['project_a013a'] = " Done";
$locale['project_a014'] = "Status";
$locale['project_a015'] = "Category";
$locale['project_a016'] = "Screenshot";
$locale['project_a017'] = "Max. filesize: %s / Allowed filetypes: %s / Max width: %spx, Max. height: %s px";
$locale['project_a018'] = "File";
$locale['project_a019'] = "Max. filesize: %s / Allowed filetypes: %s";
$locale['project_a020'] = "Release";
$locale['project_a020a'] = " Date";
$locale['project_a021'] = " Type";
$locale['project_a022'] = "Description";
$locale['project_a022a'] = "Description about your project";
$locale['project_a023'] = "Notice message";
$locale['project_a023a'] = "Special notice message from the author";
$locale['project_a023b'] = "Tags";
$locale['project_a023c'] = "Language(s)";
$locale['project_a023c2'] = "Hold down <strong>CTRL</strong> and <strong>Click</strong> to select muliple";
$locale['project_a024'] = "Create Forum Thread";
$locale['project_a025'] = "Created";
$locale['project_a026'] = "Allow Comments";
$locale['project_a027'] = "Allow Ratings";
$locale['project_a028'] = "Hide Author";
$locale['project_a028m'] = "Access";
$locale['project_a028m2'] = "Download Access";
$locale['project_a028m3'] = " Update datestamp";
$locale['project_a029'] = "Update Project";
$locale['project_a030'] = "Create New Project";
$locale['project_a031'] = "Current Projects";
$locale['project_a032'] = "Name";
$locale['project_a033'] = "Author";
$locale['project_a034'] = "Create Forum Thread";
$locale['project_a035'] = "Creat Thread";
$locale['project_a036'] = "Update Project";
$locale['project_a037'] = "Delete Project";
$locale['project_a038'] = "No projects has been created in this category yet.";
//project_settings.php
$locale['project_as000'] = "Project Settings";
$locale['project_as001'] = "Per Page Settings";
$locale['project_as002'] = "Projects per page";
$locale['project_as003'] = "Categorys per page";
$locale['project_as004'] = "Columns Settings";
$locale['project_as005'] = "Category Columns";
$locale['project_as006'] = "1 column";
$locale['project_as007'] = "2 columns";
$locale['project_as008'] = "3 columns";
$locale['project_as009'] = "Project Columns";
$locale['project_as010'] = "Other Settings";
$locale['project_as011'] = "Enable comments";
$locale['project_as012'] = "Enable Screenshot";
$locale['project_as013'] = "Enable Stats Panel";
$locale['project_as014'] = "Project Access";
$locale['project_as015'] = "Save Settings";
//project_cats.php
$locale['project_ac000'] = "New project category has been created";
$locale['project_ac001'] = "Project category has been updated";
$locale['project_ac002'] = "Project category cannot be deleted";
$locale['project_ac003'] = "There are project left in this category";
$locale['project_ac004'] = "Project category has been deleted";
$locale['project_ac005'] = "Edit project category ";
$locale['project_ac006'] = "Create new project category";
$locale['project_ac007'] = "Category name";
$locale['project_ac008'] = "Description";
$locale['project_ac009'] = "Sort by";
$locale['project_ac010'] = "Project ID";
$locale['project_ac011'] = "Project Name";
$locale['project_ac012'] = "Project Date";
$locale['project_ac013'] = "Ascending";
$locale['project_ac014'] = "Descending";
$locale['project_ac015'] = "Category access";
$locale['project_ac016'] = "Category image";
$locale['project_ac017'] = "Save project category";
$locale['project_ac018'] = "Current project categories";
$locale['project_ac019'] = "Category";
$locale['project_ac020'] = "Access";
$locale['project_ac021'] = "Delete this project category?";
$locale['project_ac022'] = "No project categories has been added yet";
//project_reports.php
$locale['project_ar000'] = "Unassigned";
$locale['project_ar001'] = "Project ID";
$locale['project_ar002'] = "Reported by";
$locale['project_ar003'] = "Explanation";
$locale['project_ar004'] = "Link Broken";
$locale['project_ar005'] = "Assigned To";
$locale['project_ar006'] = "Unassigned";
$locale['project_ar007'] = "Assign";
$locale['project_ar008'] = "Unassign";
$locale['project_ar009'] = "Fix";
$locale['project_ar010'] = "Project: ";
$locale['project_ar011'] = "Error report";
//project_proposals.php
$locale['project_ap000'] = "Project proposal has been updated";
$locale['project_ap001'] = "Project proposal has been deleted";
$locale['project_ap001a'] = "You are now assigned to this project proposal item";
$locale['project_ap001b'] = "You are now unassigned from the project proposal item";
$locale['project_ap001c'] = "User has been unassigned from the project proposal item";
$locale['project_ap002'] = "Review proposal";
$locale['project_ap003'] = "Update proposal";
$locale['project_ap004'] = "Proposals for";
$locale['project_ap005'] = "Submitted";
$locale['project_ap006'] = " by ";
$locale['project_ap007'] = "Last Updated";
$locale['project_ap008'] = "Comments";
$locale['project_ap009'] = "Proposals";
$locale['project_ap010'] = "Visible";
$locale['project_ap011'] = "Visible for";
$locale['project_ap012'] = "Status";
$locale['project_ap012a'] = "Type";
$locale['project_ap013'] = " Unassign ";
$locale['project_ap013a'] = " from this";
$locale['project_ap013b'] = " Unassign from this";
$locale['project_ap013c'] = "  Assign to this";
$locale['project_ap013d'] = "Update Proposal";
$locale['project_ap014'] = "Member Project Proposals";
$locale['project_ap015'] = "Item";
$locale['project_ap016'] = "Submitted by";
$locale['project_ap016a'] = "Assigned to";
$locale['project_ap017'] = "Date";
$locale['project_ap018'] = "Not Reviewed";
$locale['project_ap018a'] = "Not assigned";
$locale['project_ap019'] = "Delete this proposal";
$locale['project_ap020'] = "No proposals has been submitted for this project";
//**// Admin Locales END //**//


//**// Other Locales START //**//

//df_project_panel.php
$locale['project_dip000'] = " - Projects";
$locale['project_dip001'] = "V";
$locale['project_dip002'] = "Name";
$locale['project_dip003'] = "Category";
$locale['project_dip004'] = "Created";
$locale['project_dip005'] = "Author";
$locale['project_dip006'] = "%/Status";
$locale['project_dip007'] = "Release";
//$locale['project_dip008'] = "Development is new";
//$locale['project_dip009'] = "Development is updated";
$locale['project_dip010'] = "This project has attached file";
$locale['project_dip011'] = "This project has  attached screenshot";
$locale['project_dip012'] = "Released";
$locale['project_dip013'] = "Project";
$locale['project_dip013a'] = "Projects";
$locale['project_dip014'] = "Downloadable";
$locale['project_dip015'] = "Popular";
$locale['project_dip016'] = "Top Rated";
$locale['project_dip017'] = "Proposals";
$locale['project_dip017a'] = "Proposals";
$locale['project_dip018'] = "No projects has been created yet.";
//project.php
$locale['project_d000'] = "Project Categories";
$locale['project_d001'] = " New";
$locale['project_d002'] = "No project categories found ";
$locale['project_d003'] = "Category";
$locale['project_d004'] = "All";
$locale['project_d005'] = "Sortby ";
$locale['project_d006'] = "Project ID";
$locale['project_d007'] = "Project Name";
$locale['project_d008'] = "Author";
$locale['project_d009'] = "Download Count";
$locale['project_d010'] = "Project Date";
$locale['project_d011'] = "New Projects";
$locale['project_d012'] = "Last Updated";
$locale['project_d013'] = "ASC";
$locale['project_d014'] = "DESC";
$locale['project_d015'] = "Author ";
//$locale['project_d016'] = " all";
//$locale['project_d017'] = " members";
$locale['project_d018'] = "Status ";
//$locale['project_d019'] = "Open for";
//$locale['project_d020'] = "Closed";
$locale['project_d021'] = "Comments ";
$locale['project_d022'] = "Disabled";
$locale['project_d023'] = "No projects has been created yet.";
//view.php
$locale['project_v000'] = "Proposals";
$locale['project_v001'] = "Last updated";
$locale['project_v002'] = "Member Porposals";
$locale['project_v003'] = "Category";
$locale['project_v004'] = "Compatibility";
$locale['project_v005'] = "Project author";
$locale['project_v006'] = "Last Updated";
$locale['project_v007'] = "Created";
$locale['project_v008'] = "Release";
$locale['project_v009'] = "Co-Authors";
//$locale['project_v010'] = " Downloads";
//$locale['project_v011'] = "Download";
$locale['project_v012'] = "Project description";
$locale['project_v013'] = "Author notice";
$locale['project_v014'] = "Version history";
$locale['project_v015'] = "Version";
$locale['project_v016'] = "Created";
$locale['project_v017'] = "Released";
$locale['project_v018'] = "Member proposals";
$locale['project_v019'] = "Item";
$locale['project_v020'] = "Date";
$locale['project_v021'] = " Is under review";
$locale['project_v022'] = "Similar projects";
$locale['project_v023'] = "Name";
$locale['project_v024'] = "Category";
$locale['project_v025'] = "Author";
$locale['project_v026'] = "Created";
$locale['project_v027'] = "Facebook";
$locale['project_v028'] = "Twitter";
$locale['project_v029'] = "Google+";
$locale['project_v030'] = "Report";
$locale['project_v031'] = "Submit Proposals";
$locale['project_v032'] = "Ratings";
$locale['project_v033'] = "Sorry ratings has been disabled";
$locale['project_v034'] = "Comments";
$locale['project_v035'] = "Sorry comments has been disabled";
//downloads.php
$locale['project_dd000'] = "Project for download";
$locale['project_dd001'] = "Name";
$locale['project_dd002'] = "Category";
$locale['project_dd003'] = "Author";
$locale['project_dd004'] = "Version";
$locale['project_dd005'] = "Downloads";
$locale['project_dd006'] = "No projects is available for download.";
//popular.php
$locale['project_pd000'] = "%u Most Popular Projects";
$locale['project_pd001'] = "Name";
$locale['project_pd002'] = "Category";
$locale['project_pd003'] = "Author";
$locale['project_pd004'] = "Version";
$locale['project_pd005'] = "Downloads";
$locale['project_pd006'] = "No projects found";
//proposals.php
$locale['project_dp000'] = "Member Project Proposals";
$locale['project_dp001'] = "Item";
$locale['project_dp002'] = "Date";
$locale['project_dp003'] = "Proposal";
$locale['project_dp004'] = "No proposals has been submitted for this project.";
//submit_proposals.php
//Messages
$locale['project_dpe000'] = "Please enter "; 
$locale['project_dpe000a'] = "Please select"; 
$locale['project_dpe001'] = "Proposals"; 
$locale['project_dpe001a'] = "Proposal type"; 
$locale['project_dpe002'] = "Your proposal(s) has been posted"; 
$locale['project_dpe003'] = "Thank you for your proposals. Your proposals will be displayed on the project you have submit proposals for after that an admin have review your proposals."; 
$locale['project_dpe004'] = "Go back to projects";
$locale['project_dpe005'] = "Already posted!";
$locale['project_dpe006'] = "Sorry ";
$locale['project_dpe007'] = " You have already submitted proposals to this project";
//
$locale['project_sp000'] = "Submit proposals";
$locale['project_sp001'] = "Hi. I have some proposals for this project\n\n-Add New features\n-Add More Icons\n-Add More settings\n-More user functions would be great
	\nRegards";
$locale['project_sp002'] = "Proposals for";
$locale['project_sp003'] = "Your Proposals";
$locale['project_sp003a'] = "Proposal type";
$locale['project_sp003aa'] = "-- Select type --";
$locale['project_sp003b'] = "Language(s)";
$locale['project_sp003bb'] = "Feature(s)";
$locale['project_sp004'] = "There are total ";
$locale['project_sp005'] = " chars left to use";
$locale['project_sp006'] = "Submit Proposals";
//top_rated.php
$locale['project_tr000'] = "Top Rated Projects";
$locale['project_tr001'] = "Name";
$locale['project_tr002'] = "Category";
$locale['project_tr003'] = "Author";
$locale['project_tr004'] = "Rating";
$locale['project_tr005'] = "No Rating";
$locale['project_tr006'] = "No projects has been rated yet";
//includes/dev.nav.php
$locale['project_dn000'] = "Projects";
$locale['project_dn001'] = "Downloads";
$locale['project_dn002'] = "Top Rated";
$locale['project_dn003'] = "Proposals";
$locale['project_dn004'] = "Search";
$locale['project_dn005'] = "Administration";
$locale['project_dn006'] = "Reports ";
$locale['project_dn007'] = "Edit Current";
//includes/dev.stats.php
$locale['project_ds000'] = "Project Info";
$locale['project_ds001'] = " Project";
$locale['project_ds002'] = " Projects";
$locale['project_ds003'] = " are ";
$locale['project_ds004'] = " done";
$locale['project_ds005'] = " Open projects";
$locale['project_ds006'] = " Closed projects";
$locale['project_ds007'] = " Created today";
$locale['project_ds008'] = " Updated Today";
$locale['project_ds009'] = "Total Projects ";
$locale['project_ds010'] = "Most active author ";
$locale['project_ds011'] = "Most Recent ";
/* Copyright new in v1.02 */
$locale['dev_copyright'] = "&copy; <span style='font-weight: bold; text-decoration: underline;'><a target='_blank' href='http://www.dark-fusion.se/'>Dark Fusion</a></span>";
$locale['dev_copyright2'] = "<span  title='DF Project Panel v1.06  2014 Dark Fusion'><a href='http://www.dark-fusion.se/'>&copy;</a></span>";
/* Version check new in v1.02 */
$locale['ver_000'] = "Version check";
$locale['ver_001'] = "Update check: There is an Update available!!";
$locale['ver_002'] = "<strong>Current version</strong> ";
$locale['ver_003'] = "<strong>New version</strong> ";
$locale['ver_004'] = "You can download it <a href='http://www.dark-fusion.se/'>on this site</a>";
$locale['ver_005'] = "Update check: You have the latest version";
$locale['ver_006'] = "<strong>Version</strong> ";
$locale['ver_007'] = "There is no updates available.";
$locale['ver_008'] = "Version check failed";
$locale['ver_009'] = "The Version Check couldn't be executed. Please Report this to Dark-Fusion.se";
$locale['ver_010'] = "To check the version, \"allow_url_fopen\" must to be set to ON in php.ini";
$locale['ver_011'] = "<strong>Version</strong> ";
/* Empty alerts 
$locale['emp_001'] = "Project name can not be left empty";
$locale['emp_002'] = "About development can not be left empty";
$locale['emp_003'] = "Development type can not be left empty";*/
/* Search */
$locale['se_115'] = "Search for projects";
$locale['se_116'] = "Search";
$locale['se_117'] = "Search Results";
$locale['se_118'] = " Search Results for ";
$locale['se_118b1'] = " Search Results for projects tagged with ";
$locale['se_118b'] = " Search Result for ";
$locale['se_118b2'] = " Search Result for projects tagged with ";
$locale['se_119'] = "No projects Found";
$locale['se_120'] = "No projects found with";
$locale['se_121'] = "in the name.";
$locale['se_122'] = "ERROR";
$locale['se_123'] = "You must specify a search word.";
$locale['se_124'] = "Go back to project list";
?>