<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: Swedish.php
| Author: DrunkeN
| URL: http://dark-fusion.se
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
global $userdata;
/* Titles */
$locale['project_title'] = "DF Project Panel";
$locale['project_desc'] = "Med DF Project Panel kan skapa projekt som dina anvndare kan flja och skicka in frslag till. ";
$locale['project_admin'] = "Projekt Admin";
//Locales used several times
$locale['project_g000'] = "Nej";
$locale['project_no-color'] = "#d61111";
$locale['project_g001'] = "Ja";
$locale['project_yes-color'] = "#0eb72b";
$locale['project_g002'] = "Skapad";
$locale['project_g003'] = "Alternativ";
$locale['project_g004'] = "Uppdatera";
$locale['project_g005'] = "Radera";
$locale['project_g006'] = "Inskickad av";
$locale['project_g006a'] = "Inskickad";
$locale['project_g006b'] = " av ";
$locale['project_g007'] = "Status";
$locale['project_g009'] = "Oknt";
$locale['project_g010'] = "Projekt Index";
$locale['project_g011'] = "Nytt projekt";
$locale['project_g012'] = "Projekt uppdaterad";
$locale['project_g013'] = "N/A";
//Development Errors
$locale['project_e000'] = "<strong>".(iMEMBER ? $userdata['user_name'] : "Gst")."</strong> du har inte behrighet att se detta projekt";
$locale['project_e001'] = "Du har inte behrighet att se projekt skapade i ";
$locale['project_e002'] = "Du har inte behrighet till att ta del av projekt p den hr sajten.";
$locale['project_e003'] = "Du har inte behrighet till att ladda ner den hr filen.";
$locale['project_e004'] = "Du har inte behrighet till ladda ner filen i ";
//Development Version Types
$locale['project_vt000'] = "Ej valt";
$locale['project_vt001'] = "Liten";
$locale['project_vt002'] = "Normal";
$locale['project_vt003'] = "Stor";
//Development Status
$locale['project_s000'] = "Ej valt";
$locale['project_s000a'] = "Avbruten";
$locale['project_s001'] = "Avbrytes";
$locale['project_s002'] = "Fryst";
$locale['project_s003'] = "i utveckling";
$locale['project_s004'] = "Slppt";
$locale['project_s005'] = "Parkerad";
$locale['project_s006'] = "Planeringsstadiet";
$locale['project_s006a'] = "Planerad";
$locale['project_s007'] = "Startad";
$locale['project_s008'] = "Test stadie";
$locale['project_s009'] = "Uppdaterar";
//Proposal status
$locale['project_ps000'] = "Granskning";
$locale['project_ps001'] = "Acceptera";
$locale['project_ps002'] = "Frkasta";
$locale['project_ps003'] = "Fullstndig";
$locale['project_ps004'] = "Utvecklas nu";
$locale['project_ps000b'] = "Under Granskning";
$locale['project_ps001b'] = "Accepterad";
$locale['project_ps002b'] = "Frkastad";
$locale['project_ps003b'] = "Frdig";
$locale['project_ps004b'] = "Utvecklas nu";
//Proposal type
$locale['project_pt000'] = "Oknd";
$locale['project_pt001'] = "Funktion";
$locale['project_pt002'] = "Sprk";
//Development Release Types
$locale['project_rt000'] = "Ej valt";
$locale['project_rt001'] = "Pre-alpha";
$locale['project_rt002'] = "Alpha";
$locale['project_rt003'] = "Beta";
$locale['project_rt004'] = "Stngd Beta";
$locale['project_rt005'] = "ppen Beta";
$locale['project_rt006'] = "Frsta offentliggrande";
$locale['project_rt007'] = "Omskriven";
$locale['project_rt008'] = "Release candidate";
$locale['project_rt009'] = "Officiell slpp";
//**// Admin Locales START //**//
//admin_navigation.php
$locale['project_an000'] = "DF Project Panel v";
$locale['project_an001'] = "Projekt Admin";
$locale['project_an002'] = "Projekt Instllningar";
$locale['project_an003'] = "Projekt Kategorier";
$locale['project_an004'] = "Projekt Rapporteringar";
$locale['project_an005'] = "Projekt Frslag";
$locale['project_an006'] = "Version koll";
$locale['project_an007'] = "Projekt Uppgradera";
//Errors > project_admin.php
$locale['project_ae000'] = "Namn kan in lmnas tomt";
$locale['project_ae001'] = "Ogiltigt filnamn";
$locale['project_ae002'] = "Filen mste vara mindre n %s.";
$locale['project_ae003'] = "Filen mste vara i en av fljande fil format: %s.";
$locale['project_ae004'] = "Beskrivning kan inte lmnas tomt";
$locale['project_ae005'] = "Oknt fel";
$locale['project_ae006'] = "Bilden mste vara mindre n %s.";
$locale['project_ae007'] = "Bilden mste vara i en av fljande fil format: %s.";
$locale['project_ae008'] = "Bilden mste vara mindre n %s.";
$locale['project_ae009'] = "";
$locale['project_ae010'] = "";
//project_admin.php
$locale['project_am001'] = "Nytt projekt har skapats";
$locale['project_am002'] = "Projektet har uppdaterats";
$locale['project_am003'] = "Projektet r nu borttaget";
$locale['project_a000'] = "Uppdatera Projekt: ";
$locale['project_a001'] = "Skapa Nytt Projekt";
$locale['project_a002'] = "Namn";
$locale['project_a003'] = "Medfrfattare";
$locale['project_a003a'] = "Martin,John,Jon";
$locale['project_a004'] = "Version";
$locale['project_a004a'] = "2.00";
$locale['project_a005'] = "Typ: ";
$locale['project_a010'] = "Kompatibilitet";
$locale['project_a011'] = "System: ";
$locale['project_a011a'] = "PHP Fusion";
$locale['project_a012'] = " System Version: ";
$locale['project_a012a'] = "v7.02.07";
$locale['project_a013'] = "Procent";
$locale['project_a013a'] = " Frdigt";
$locale['project_a014'] = "Status";
$locale['project_a015'] = "Kategori";
$locale['project_a016'] = "Skrmdump";
$locale['project_a017'] = "Max. filstorlek: %s / Tilltna filformat: %s / Max width: %spx, Max. height: %s px";
$locale['project_a018'] = "Projekt fil";
$locale['project_a019'] = "Max. filstorlek: %s / Tilltna filformat: %s";
$locale['project_a020'] = "Slpps";
$locale['project_a020a'] = " Datum:";
$locale['project_a021'] = " Type:";
$locale['project_a022'] = "Beskrivning";
$locale['project_a022a'] = "Beskrivning av ditt projekt";
$locale['project_a023'] = "Notismeddelande";
$locale['project_a023a'] = "Speciell notis meddelande";
$locale['project_a023b'] = "Taggar";
$locale['project_a023c'] = "Sprk";
$locale['project_a023c2'] = "Hll ner <strong>CTRL</strong> och <strong>Klicka</strong> fr att vlja fler";
$locale['project_a024'] = "Skapa forum trd";
$locale['project_a025'] = "Skapad";
$locale['project_a026'] = "Tillt Kommentarer";
$locale['project_a027'] = "Tillt betygsttningar";
$locale['project_a028'] = "Dlj Frfattaren";
$locale['project_a028m'] = "Tillgng";
$locale['project_a028m2'] = "Tillgng Nerladdning";
$locale['project_a028m3'] = " Uppdatera datum";
$locale['project_a029'] = "Uppdatera Projekt";
$locale['project_a030'] = "Skapa nytt projekt";
$locale['project_a031'] = "Aktuella projekt";
$locale['project_a032'] = "Namn";
$locale['project_a033'] = "Frfattare";
$locale['project_a034'] = "Skapa Forum Trd";
$locale['project_a035'] = "Skapa Trd";
$locale['project_a036'] = "Uppdatera Projekt";
$locale['project_a037'] = "Radera Projekt";
$locale['project_a038'] = "Inga projekt har skapats i den hr kategorin.";
//project_settings.php
$locale['project_as000'] = "Projekt Instllningar";
$locale['project_as001'] = "Per Sida Instllningar";
$locale['project_as002'] = "Projekts per sida";
$locale['project_as003'] = "Kategorier per sida";
$locale['project_as004'] = "Kolumner Instllningar";
$locale['project_as005'] = "Kategori Kolumner";
$locale['project_as006'] = "1 Kolumn";
$locale['project_as007'] = "2 Kolumner";
$locale['project_as008'] = "3 Kolumner";
$locale['project_as009'] = "Projekt Kolumner";
$locale['project_as010'] = "vriga Instllninagr";
$locale['project_as011'] = "Aktivera kommentarer";
$locale['project_as012'] = "Aktivera skrmdumpar";
$locale['project_as013'] = "Aktivera Stats Panelen";
$locale['project_as014'] = "Projekt Tillgng";
$locale['project_as015'] = "Spara Instllningar";
//project_cats.php
$locale['project_ac000'] = "En ny projekt kategori har skapats";
$locale['project_ac001'] = "Projekt kategori har uppdaterats";
$locale['project_ac002'] = "Projekt kategori kan inte tas bort";
$locale['project_ac003'] = "Det finns fortfarande projekt kvar i den hr kategorin";
$locale['project_ac004'] = "Projekt kategori r nu borttagen";
$locale['project_ac005'] = "ndra projekt kategori ";
$locale['project_ac006'] = "Lgg till ny projekt kateogri";
$locale['project_ac007'] = "Kategori namn";
$locale['project_ac008'] = "Beskrivning";
$locale['project_ac009'] = "Sortera efter";
$locale['project_ac010'] = "Projekt ID";
$locale['project_ac011'] = "Projekt Namn";
$locale['project_ac012'] = "Projekt Datum";
$locale['project_ac013'] = "Stigande";
$locale['project_ac014'] = "Fallande";
$locale['project_ac015'] = "Tillgng";
$locale['project_ac016'] = "Ikon";
$locale['project_ac017'] = "Spara projekt kategori";
$locale['project_ac018'] = "Aktuella projekt kategorier";
$locale['project_ac019'] = "Kategori";
$locale['project_ac020'] = "Tillgng";
$locale['project_ac021'] = "Radera den hr kategorin?";
$locale['project_ac022'] = "Inga projekt kategorier tillagda nnu";
//project_reports.php
$locale['project_ar000'] = "Unassigned";
$locale['project_ar001'] = "Project ID";
$locale['project_ar002'] = "Reported by";
$locale['project_ar003'] = "Explanation";
$locale['project_ar004'] = "Link Broken";
$locale['project_ar005'] = "Assigned To";
$locale['project_ar006'] = "Unassigned";
$locale['project_ar007'] = "Assign";
$locale['project_ar008'] = "Unassign";
$locale['project_ar009'] = "Fix";
$locale['project_ar010'] = "Project: ";
$locale['project_ar011'] = "Error report";
//project_proposals.php
$locale['project_ap000'] = "Projekt frslag har uppdaterats";
$locale['project_ap001'] = "Projekt frslag r nu borttagen";
$locale['project_ap001a'] = "You are now assigned to this project proposal item";
$locale['project_ap001b'] = "You are now unassigned from the project proposal item";
$locale['project_ap001c'] = "User has been unassigned from the project proposal item";
$locale['project_ap002'] = "Granska";
$locale['project_ap003'] = "Uppdatera frslag";
$locale['project_ap004'] = "Frslag till";
$locale['project_ap005'] = "Inlmnad";
$locale['project_ap006'] = " av ";
$locale['project_ap007'] = "Senast uppdaterad";
$locale['project_ap008'] = "Kommentarer";
$locale['project_ap009'] = "Frslag";
$locale['project_ap010'] = "Synlig";
$locale['project_ap011'] = "Synligt fr";
$locale['project_ap012'] = "Status";
$locale['project_ap012a'] = "Typ";
$locale['project_ap013'] = " Unassign ";
$locale['project_ap013a'] = " from this";
$locale['project_ap013b'] = " Unassign from this";
$locale['project_ap013c'] = "  Assign to this";
$locale['project_ap013d'] = "Uppdatera frslag";
$locale['project_ap014'] = "Anvndarnas Projekt Frslag";
$locale['project_ap015'] = "Objekt";
$locale['project_ap016'] = "Inlmnad av";
$locale['project_ap016a'] = "Assigned to";
$locale['project_ap017'] = "Datum";
$locale['project_ap018'] = "Ej Granskad";
$locale['project_ap018a'] = "Not assigned";
$locale['project_ap019'] = "Radera frslag";
$locale['project_ap020'] = "No proposals has been submitted for this project";
//**// Admin Locales END //**//


//**// Other Locales START //**//

//df_project_panel.php
$locale['project_dip000'] = " - Projekts";
$locale['project_dip001'] = "V";
$locale['project_dip002'] = "Namn";
$locale['project_dip003'] = "Kategori";
$locale['project_dip004'] = "Skapad";
$locale['project_dip005'] = "Frfattare";
$locale['project_dip006'] = "%/Status";
$locale['project_dip007'] = "Slpps";
//$locale['project_dip008'] = "Development is new";
//$locale['project_dip009'] = "Development is updated";
$locale['project_dip010'] = "Projektet har bifogad fil";
$locale['project_dip011'] = "Projektet har skrmdump bifogad";
$locale['project_dip012'] = "Slppt";
$locale['project_dip013'] = "Projekt";
$locale['project_dip013a'] = "Projekts";
$locale['project_dip014'] = "Nedladdningsbara";
$locale['project_dip015'] = "Populra";
$locale['project_dip016'] = "Betygsatta";
$locale['project_dip017'] = "Frslag";
$locale['project_dip017a'] = "Frslag";
$locale['project_dip018'] = "Inga projekt har skapats nnu.";
//project.php
$locale['project_d000'] = "Projekt Kategorier";
$locale['project_d001'] = " Ny";
$locale['project_d002'] = "Inga projekt har skapats nnu ";
$locale['project_d003'] = "Kategori";
$locale['project_d004'] = "Alla";
$locale['project_d005'] = "Sortera efter ";
$locale['project_d006'] = "Projekt id";
$locale['project_d007'] = "Projekt namn";
$locale['project_d008'] = "Frfattare";
$locale['project_d009'] = "Antal nedladdningar";
$locale['project_d010'] = "Projekt datum";
$locale['project_d011'] = "Nya Projekt";
$locale['project_d012'] = "Senast uppdaterade";
$locale['project_d013'] = "ASC";
$locale['project_d014'] = "DESC";
$locale['project_d015'] = "Frfattare ";
//$locale['project_d016'] = " alla";
//$locale['project_d017'] = " anvndare";
$locale['project_d018'] = "Status ";
//$locale['project_d019'] = "Open for";
//$locale['project_d020'] = "Closed";
$locale['project_d021'] = "Kommentarer ";
$locale['project_d022'] = "Inaktiverad";
$locale['project_d023'] = "Inga projekt har skapats nnu.";
//view.php
$locale['project_v000'] = "Frslag";
$locale['project_v001'] = "Senast uppdaterad";
$locale['project_v002'] = "Anvndares frslag";
$locale['project_v003'] = "Kategori";
$locale['project_v004'] = "Kompatibilitet";
$locale['project_v005'] = "Author";
$locale['project_v006'] = "Senast uppdaterad";
$locale['project_v007'] = "Skapad";
$locale['project_v008'] = "Slpps";
$locale['project_v009'] = "Medfrfattare";
//$locale['project_v010'] = " Downloads";
//$locale['project_v011'] = "Download";
$locale['project_v012'] = "Beskrivning";
$locale['project_v013'] = "Notis";
$locale['project_v014'] = "Version historik";
$locale['project_v015'] = "Version";
$locale['project_v016'] = "Skapad";
$locale['project_v017'] = "Slppt";
$locale['project_v018'] = "Anvndares frslag";
$locale['project_v019'] = "Object";
$locale['project_v020'] = "Datum";
$locale['project_v021'] = " Granskas";
$locale['project_v022'] = "Liknande projekt";
$locale['project_v023'] = "Namn";
$locale['project_v024'] = "Kategori";
$locale['project_v025'] = "Frfattare";
$locale['project_v026'] = "Skapad";
$locale['project_v027'] = "Facebook";
$locale['project_v028'] = "Twitter";
$locale['project_v029'] = "Google+";
$locale['project_v030'] = "Rapportera";
$locale['project_v031'] = "Skicka in frslag";
$locale['project_v032'] = "Betygsttning";
$locale['project_v033'] = "Ledsen betygsttning har inaktiverats";
$locale['project_v034'] = "Kommentarer";
$locale['project_v035'] = "Ledsen kommentarer har inaktiverats";
//downloads.php
$locale['project_dd000'] = "Projekt fr nedladdning";
$locale['project_dd001'] = "Namn";
$locale['project_dd002'] = "Kategori";
$locale['project_dd003'] = "Frfattare";
$locale['project_dd004'] = "Version";
$locale['project_dd005'] = "Nedladdningar";
$locale['project_dd006'] = "Inga projekt r tillgngliga fr nedladdning";
//popular.php
$locale['project_pd000'] = "%u Mest populra projekten";
$locale['project_pd001'] = "Namn";
$locale['project_pd002'] = "Kategori";
$locale['project_pd003'] = "Frfattare";
$locale['project_pd004'] = "Version";
$locale['project_pd005'] = "Nedladdningar";
$locale['project_pd006'] = "Inga projekt hittade";
//proposals.php
$locale['project_dp000'] = "Anvndares Frslag";
$locale['project_dp001'] = "Object";
$locale['project_dp002'] = "Datum";
$locale['project_dp003'] = "Frslag";
$locale['project_dp004'] = "Inga frslag har lmnats till detta projekt";
//submit_proposals.php
//Messages
$locale['project_dpe000'] = "Var vnlig och ange "; 
$locale['project_dpe000a'] = "Var vanlig och vlj"; 
$locale['project_dpe001'] = "Frslag"; 
$locale['project_dpe001a'] = "Frslag typ"; 
$locale['project_dpe002'] = "Dina frslag r nu inskickat"; 
$locale['project_dpe003'] = "Tack s mycket fr dina frslag. Dina frslag kommer att synas under 'Anvndares frslag' p projekt du skickade frslag till efter att en admin har granskat dina frslag."; 
$locale['project_dpe004'] = "G tillbaka till projekt listan";
$locale['project_dpe005'] = "Fel!";
$locale['project_dpe006'] = "Ledsen ";
$locale['project_dpe007'] = " Du har redan lmnat in frslag till detta projekt";
//
$locale['project_sp000'] = "Skicka in frslag";
$locale['project_sp001'] = "Hej. Jag har ngra frslag till det hr projektet\n\n-Lgg till nya funktioner\n-Lgg till mer iconer\n-Lgg till mer instllningar\n-Mer funktioner fr anvndare skulle vara underbart
	\nHlsningar";
$locale['project_sp002'] = "Frslag till";
$locale['project_sp003'] = "Frslag";
$locale['project_sp003a'] = "Frslag typ";
$locale['project_sp003aa'] = "-- Vlj typ --";
$locale['project_sp003b'] = "Sprk";
$locale['project_sp003bb'] = "Funktioner";
$locale['project_sp004'] = "Dr r totalt ";
$locale['project_sp005'] = " tecken kvar att anvnda";
$locale['project_sp006'] = "Skicka in frslag";
//top_rated.php
$locale['project_tr000'] = "Hgst Betygsatta Projekten";
$locale['project_tr001'] = "Namn";
$locale['project_tr002'] = "Kategori";
$locale['project_tr003'] = "Frfattare";
$locale['project_tr004'] = "Betyg";
$locale['project_tr005'] = "Inga betyg";
$locale['project_tr006'] = "Inga projekt har betygsatts nnu.";
//includes/dev.nav.php
$locale['project_dn000'] = "Projekt";
$locale['project_dn001'] = "Nedladdningsbara";
$locale['project_dn002'] = "Betygsatta";
$locale['project_dn003'] = "Frslag";
$locale['project_dn004'] = "Sk";
$locale['project_dn005'] = "Administration";
$locale['project_dn006'] = "Rapporteringar";
$locale['project_dn007'] = "Redigera aktuell";
//includes/dev.stats.php
$locale['project_ds000'] = "Projekt Info";
$locale['project_ds001'] = " Projekt";
$locale['project_ds002'] = " Projekt";
$locale['project_ds003'] = " r ";
$locale['project_ds004'] = " frdig";
$locale['project_ds005'] = " ppna projekt";
$locale['project_ds006'] = " Stngda projekt";
$locale['project_ds007'] = " Skapade idag";
$locale['project_ds008'] = " Uppdaterade idag";
$locale['project_ds009'] = "Antal Projekt ";
$locale['project_ds010'] = "Mest aktiva frfattaren ";
$locale['project_ds011'] = "Senaste ";
/* Copyright new in v1.02 */
$locale['dev_copyright'] = "&copy; <span style='font-weight: bold; text-decoration: underline;'><a target='_blank' href='http://www.dark-fusion.se/'>Dark Fusion</a></span>";
$locale['dev_copyright2'] = "<span  title='DF Project Panel v1.00  2014 Dark Fusion'><a href='http://www.dark-fusion.se/'>&copy;</a></span>";
/* Version check new in v1.02 */
$locale['ver_000'] = "Version koll";
$locale['ver_001'] = "Uppdaterings koll: Dr finns en uppdatering tillgnglig";
$locale['ver_002'] = "<strong>Nuvarande version</strong> ";
$locale['ver_003'] = "<strong>Ny version</strong> ";
$locale['ver_004'] = "Du kan ladda ner det <a href='http://www.dark-fusion.se/'>hr</a>";
$locale['ver_005'] = "Uppdaterings koll: Du har senaste versionen";
$locale['ver_006'] = "<strong>Version</strong> ";
$locale['ver_007'] = "Det finns inga uppdateringar tillgngliga.";
$locale['ver_008'] = "Version koll fel";
$locale['ver_009'] = "Version kolen kunde inte kras. Vnligen rapportera detta till Dark-Fusion.se";
$locale['ver_010'] = "Fr att version kolen ska fungera , \"allow_url_fopen\" Mste vara instlld p P/ON i php.ini";
$locale['ver_011'] = "<strong>Version</strong> ";
/* Empty alerts 
$locale['emp_001'] = "Project name can not be left empty";
$locale['emp_002'] = "About development can not be left empty";
$locale['emp_003'] = "Development type can not be left empty";*/
/* Search */
$locale['se_115'] = "Sk efter projekt";
$locale['se_116'] = "Sk";
$locale['se_117'] = "Sk Resultat";
$locale['se_118'] = " Sk resultat for ";
$locale['se_118b1'] = " Sk resultat fr projekt taggade med ";
$locale['se_118b'] = " Sk resultat fr ";
$locale['se_118b2'] = " Sk resultat fr projekt taggade med ";
$locale['se_119'] = "Inga projekt hittade";
$locale['se_120'] = "Inga projekt hittade med";
$locale['se_121'] = "i namnet.";
$locale['se_122'] = "FEL";
$locale['se_123'] = "Du mste ange ett skord.";
$locale['se_124'] = "G tillbaka till projekt listan";
?>