<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: report.php
| Version: 1.00
| Author: DrunkeN
| Website: www.dark-fusion.se
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."df_project_panel/infusion_db.php";
require_once INFUSIONS."df_project_panel/includes/pro.inc.php";
require_once INFUSIONS."df_project_panel/includes/pro.functions.php";


// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."df_project_panel/locale/".$settings['locale'].".php")) {
// Load the locale file matching the current site locale setting.
    include INFUSIONS."df_project_panel/locale/".$settings['locale'].".php";
} else {
// Load the infusion's default locale file.
    include INFUSIONS."df_project_panel/locale/English.php";
}


if(isset($_GET['report']) && isnum($_GET['report'])) { $pro['data'] = dbarray(dbquery("SELECT project_id, project_name, project_version, project_access FROM ".DF_PROJECTS." WHERE project_id='".$_GET['report']."'")); }

include INFUSIONS."df_project_panel/includes/pro.nav.php";

if (iMEMBER && (isset($_GET['report']) && isnum($_GET['report']))) {    
    if (isset($_POST['post_report'])) {
	$report_text = trim(stripinput($_POST['report_text']));
	$report_priority = is_numeric($_POST['report_priority']);
	$result = dbquery("INSERT INTO ".DF_PROJECT_REPORTS." (
	project_report_iid, 
	project_report_priority, 
	project_report_status, 
	project_reported_by, 
	project_report_text, 
	project_report_date
	) VALUES (
	'".$_GET['report']."', 
	'".$report_priority ."',  
	'0', 
	'".$userdata['user_id']."', 
	'".$report_text."', 
	'".time()."')");
		opentable("Thanks!");
        echo "<div style='text-align: center;'>Thank you for report regarding our projects. It make it easier for us to keep our addons clean from error/issues and bugs!</div>";
        closetable();      
	} else {
        opentable("Report");
        echo "<form name='inputform' method='post' action='".FUSION_SELF."?report=".$_GET['report']."'>\n";
        echo "<table class='tbl-border center' width='70%' cellspacing='1' cellpadding='0'>\n<tr>\n";
        echo "<td class='tbl1' style='text-align: right;white-space:nowrap'>Project</td>\n";
        echo "<td class='tbl1'><a href='".PROJECT."view.php?id=".$pro['data']['project_id']."'>".$pro['data']['project_name']." v".$pro['data']['project_version']."</a></td>\n";
        echo "</tr>\n<tr>";
	    echo "<td class='tbl1' style='text-align: right;white-space:nowrap; vertical-align: top;'>Issue(s)</td>\n";
        echo "<td class='tbl'>\n<textarea name='report_text' cols='55' rows='10' class='textbox' style='width:600px;'></textarea><br />\n";
		echo display_bbcodes("600px;", "report_text", "inputform", "b|bcolor|code|center|i|color|u|url|left|alt")."</td>\n</tr>\n";
		echo "<tr>\n<td class='tbl1' style='text-align: right;white-space:nowrap;'>Priority</td>\n";
	    echo "<td class='tbl1'><select name='report_priority' class='textbox'>\n";
        echo "<option value='1'>High/Critical</option>\n";
	    echo "<option value='2'>Medium High/Major</option>\n";
		echo "<option value='3'>Medium/Normal</option>\n";
		echo "<option value='4'>Low/Minor</option>\n";
		echo "<option value='5'>Very Low/Trivial</option>\n";
        echo "</select></td>\n</tr>\n"; 
		echo "<tr><td align='center' colspan='2' class='tbl1'>";
        echo "<input type='submit' name='post_report' value='Report' class='button' style='align:center; padding:3px;' />\n";
        echo "</td></tr>";
        echo "</table>\n</form>\n";
        closetable(); 
    }
}
require_once THEMES."templates/footer.php";
?>