<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2014 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: view.php
| Version: 1.00
| Author: DrunkeN
| Website: www.dark-fusion.se
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/header.php";
require_once INCLUDES."comments_include.php";
require_once INCLUDES."ratings_include.php";
require_once INCLUDES."bbcode_include.php";
//Development DB/Functions & style location
include INFUSIONS."df_project_panel/infusion_db.php";
require_once INFUSIONS."df_project_panel/includes/pro.functions.php";
require_once INFUSIONS."df_project_panel/includes/pro.inc.php";


include INFUSIONS."df_project_panel/includes/copyright.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."df_project_panel/locale/".$settings['locale'].".php")) {
// Load the locale file matching the current site locale setting.
    include INFUSIONS."df_project_panel/locale/".$settings['locale'].".php";
} 
	else {
// Load the infusion's default locale file.
    include INFUSIONS."df_project_panel/locale/English.php";
}
	
	include INFUSIONS."df_project_panel/includes/pro.nav.php";

	
	if ((isset($_GET['id']) && isnum($_GET['id'])) && (isset($_GET['file_id']) && isnum($_GET['file_id']))) {
	$project_fid = stripinput($_GET['file_id']);
	$res = 0;
	if ($data = dbarray(dbquery("SELECT project_file, project_dlaccess, project_cat FROM ".DF_PROJECTS." WHERE project_id='".$project_fid."'"))) {
		$cdata = dbarray(dbquery("SELECT project_cat_access FROM ".DF_PROJECT_CATS." WHERE project_cat_id='".$data['project_cat']."'"));
	if(checkgroup($data['project_dlaccess']) && (isset($_GET['id']) && isnum($_GET['id'])) && (isset($_GET['file_id']) && isnum($_GET['file_id']))){
			$result = dbquery("UPDATE ".DF_PROJECTS." SET project_fcount=project_fcount+1 WHERE project_id='".$project_fid."'");
			if (!empty($data['project_file']) && file_exists(INFUSIONS."df_project_panel/files/".$data['project_file'])) {
				$res = 1;
				require_once INCLUDES."class.httpdownload.php";
				ob_end_clean();
				$object = new httpdownload;
				$object->set_byfile(INFUSIONS."df_project_panel/files/".$data['project_file']);
				$object->use_resume = true;
			    $object->download();
				exit;
	       }
		 } else { 
		 redirect(PROJECT."restricted.php?re=ndla&amp;pro=".$_GET['id']);	
       }   
	}
}
if((isset($_GET['propos_id']) && isnum($_GET['propos_id']))){
     $result = dbquery("SELECT pp.*, p.*, pc.*, u.user_id, u.user_name, u.user_status, u2.user_id AS admin_id, u2.user_name AS admin_name, u2.user_status AS admin_status 
	           FROM ".DF_PROJECT_PROPOSALS." pp 
			   LEFT JOIN ".DB_USERS." u ON u.user_id=pp.project_proposal_poster 
			   LEFT JOIN ".DB_USERS." u2 ON u2.user_id=pp.project_proposal_admin 
			   LEFT JOIN ".DF_PROJECTS." p ON p.project_id=pp.project_proposal_iid
			   LEFT JOIN ".DF_PROJECT_CATS." pc ON pc.project_cat_id=p.project_cat
			   WHERE pp.project_proposal_id='".$_GET['propos_id']."' AND ".groupaccess('pp.project_proposal_visiacc')." AND pp.project_proposal_status!='0'  LIMIT 0,1");
			   $itid = (isset($_GET['itid']) && isnum($_GET['itid'])) ? " #".$_GET['itid'] : "";
if(dbrows($result)) {
    $prdata = dbarray($result);
	if(!_CheckproAccess_($prdata['project_cat_access'], $prdata['project_access'], $devsett['devaccess'])){
	    redirect(INFUSIONS."df_project_panel/project.php");
	} else {
    opentable($locale['project_v000'].$itid." | <strong>".$prdata['project_name']."</strong>");
	echo "<div style='margin-bottom:15px; width: 700px;'  class='tbl-border center'>\n";
	echo "<div  style='padding:6px;' class='tbl2'><a href='".PROJECT."project.php'>".$locale['project_g010']."</a> &raquo; <a href='".PROJECT."project.php?cat_id=".$prdata['project_cat_id']."'>".$prdata['project_cat_name']."</a> &raquo; <a href='".INFUSIONS."df_project_panel/view.php?id=".$prdata['project_id']."'>".$prdata['project_name']."</a> &raquo; ".$locale['project_v000']." ".$itid;
	echo "</div></div>\n";
	echo "<table width='500' border='0' style='border-spacing: 3px;border-collapse: separate;' class='tbl-border center'><tr>";
	echo "<td class='tbl2' width='100'>".$locale['project_g006a']."</td>";
	echo "<td class='tbl1' width='400'>".showdate("%B %d %Y %H:%M", $prdata['project_proposal_posted']).$locale['project_g006b'].profile_link($prdata['user_id'], $prdata['user_name'], $prdata['user_status'])."</td>";
	echo "</tr><tr>";
if($prdata['project_proposal_updated']){
	echo "<td class='tbl2' width='100'>".$locale['project_v001']."</td>";
	echo "<td class='tbl1' width='400'>".showdate("%B %d %Y %H:%M", $prdata['project_proposal_updated']).$locale['project_g006b'].profile_link($prdata['admin_id'], $prdata['admin_name'], $prdata['admin_status'])."</td>";
	echo "</tr><tr>";
}
	echo "<td class='tbl2' width='100'>".$locale['project_g007']."</td>";
	echo "<td class='tbl1' width='400'>".pp_status($prdata['project_proposal_status'])."</td></tr>";
	echo "</table>";
	echo "<table width='500' border='0' style='border-spacing: 10px;border-collapse: separate;' class='tbl-border center'>";
	echo "<tr><td colspan='2' class='tbl2' width='400'><strong>".$locale['project_v002']."</strong></td></tr><tr>";
	echo "<td class='tbl1' width='500'>".nl2br(parseubb(parsesmileys($prdata['project_proposal_txt'])))."</td></tr>";
	echo "</table>";
	closetable();
	showcomments("PP", DF_PROJECT_PROPOSALS, "project_proposal_id", $_GET['propos_id'], FUSION_SELF."?propos_id=".$_GET['propos_id']); 
	}
} else {
    redirect(INFUSIONS."df_project_panel/project.php");
}

} else if (isset($_GET['id']) && isnum($_GET['id'])) {
   global $settings;
   $result = dbquery("SELECT p.*, pc.*, u.user_id, u.user_name, u.user_status, u.user_avatar, u.user_birthdate, u.user_lastvisit, u.user_web 
	    FROM ".DF_PROJECTS." p
		LEFT JOIN ".DB_USERS." u ON u.user_id=p.project_author 
		LEFT JOIN ".DF_PROJECT_CATS." pc ON pc.project_cat_id=p.project_cat
		WHERE project_id='".$_GET['id']."' LIMIT 0,1");
	 $d_files = ""; $err_msg = "";
if(dbrows($result)) {  $data = dbarray($result); }
	 add_to_title(" - Project: ".$data['project_name'].(!empty($data['project_version']) ? " - v".$data['project_version'] : ""));
	 $check['access'] = _CheckproAccess_($data['project_cat_access'], $data['project_access'], $devsett['devaccess']);
	 
if(!$check['access']) {
	opentable($data['project_name']); 
    echo _proAccessMsg_($data['project_cat_access'], $data['project_access'], $devsett['devaccess']);
    } else { 
    opentable($data['project_name']);
	$error = 0;
if(dbrows($result) !=0) { 
	echo "<div style='margin-bottom:15px; width: 900px;'  class='tbl-border center'>\n";
	echo "<div  style='padding:6px;' class='tbl2'><a href='".PROJECT."project.php'>".$locale['project_g010']."</a> &raquo; <a href='".PROJECT."project.php?cat_id=".$data['project_cat_id']."'>".$data['project_cat_name']."</a> &raquo; ".$data['project_name'];
	echo "</div></div>\n";
	$new = ($data['project_created'] + 172800 > time() + ($settings['timeoffset'] * 3600) ? "<span title='".$locale['project_g011']."' class='new'>".$data['project_name']."</span>" : "");
    $parameter = $settings['siteurl']."/infusions/df_project_panel/view.php?id=".$data['project_id'];
    $sstitle = $settings['sitename']." - Projects: ".$data['project_name']." - ";
	echo "<div class='tbl-border center' style='width: 900px;margin: 0 auto 5px auto;'>";
	echo prev_nex_pro($_GET['id'], $data);
	echo "</div>";
	echo "<table width='900' border='0' style='border-spacing: 2px;border-collapse: separate;' class='tbl-border center'><tr>";
	echo "<td class='tbl2 dev-vrt' width='110'>Name</td>";
	echo "<td class='tbl1' width='334'>".($new !="" ? $new : $data['project_name'])."</td>";
	echo "<td class='tbl2 dev-vrt' width='110'>Version</td>";
	echo "<td class='tbl1' width='334'>";
if($data['project_versiontype'] == 0){
	echo "<span title='Unknown' class='unknown'>".$data['project_version']."</span>";
} else if($data['project_versiontype'] == 1){
	echo "<span title='".$locale['project_vt001']."' class='minor'>v".$data['project_version']."</span>";
} else if($data['project_versiontype'] == 2){
	echo "<span title='".$locale['project_vt002']."' class='normal2'>v".$data['project_version']."</span>";
} else if($data['project_versiontype'] == 3){
	echo "<span title='".$locale['project_vt003']."' class='major'>v".$data['project_version']."</span>";
}
	echo "</td></tr><tr>";
	echo "<td class='tbl2 dev-vrt' width='110'>".$locale['project_v005']."</td>\n";
	echo "<td class='tbl1' width='334'>".(isset($data['user_name']) ? (authorHidden($data['project_hideauthor']) ? "<span class='devel_hidden'>Hidden</span>" : profile_link($data['user_id'], $data['user_name'], $data['user_status'])) : "<span class='unknown'>Unknown</span>")."</td>";
	echo "<td class='tbl2 dev-vrt' width='110'>".$locale['project_v004']."</td>";
	echo "<td class='tbl1' width='334'>".(empty($data['project_syscompat']) ? "" : $data['project_syscompat']).(empty($data['project_syscompatv']) ? "" : " ".$data['project_syscompatv'])."</td>";
	echo "</tr><tr>";
echo "<td class='tbl2 dev-vrt' width='110'>".$locale['project_v009']."</td>\n";
	echo "<td class='tbl1' width='334'>";
if($data['project_authors']){
	$authors = array_unique(explode(",", $data['project_authors']));
    $co = 0;
	foreach ($authors as $value) {
if ($co > 0) { 
	echo "<span class='side'>,</span>\n"; 
		}
	echo "<span class='side'>".$value."</span>";
            $co++;			
}
  } else {
	echo "<span class='unknown'>Unknown</span>";
	}
	echo "</td>";  
	echo "<td class='tbl2 dev-vrt' width='110'>Percent done</td>";
	echo "<td class='tbl1' width='334'>".pro_percent($data['project_percent'])."</td>";
	echo "</tr><tr>";
	echo "<td class='tbl2 dev-vrt' width='110'>".$locale['project_v007']."</td>";
	echo "<td class='tbl1' width='334'>".showdate("%B %d %Y, %H:%M", $data['project_created'])."</td>";
 	echo "<td class='tbl2 dev-vrt' width='110'>".$locale['project_v006']."</td>";
	echo "<td class='tbl1' width='334'>".($data['project_updated'] ? showdate("%B %d %Y %H:%M", $data['project_updated']) : "<span class='unknown'>Unknown</span>")."</td>";
	echo "</tr><tr>";		
	echo "<td class='tbl2 dev-vrt' width='110'>".$locale['project_v003']."</td>";
	echo "<td class='tbl1' width='334'><a href='".PROJECT."project.php?cat_id=".$data['project_cat_id']."'>".$data['project_cat_name']."</a></td>";
	echo "<td class='tbl2 dev-vrt' width='110'>".$locale['project_v008']."</td>";
	echo "<td class='tbl1' width='334'>".($data['project_release'] ? showdate("%B %d %Y, %H:%M", $data['project_release'])." (".get_pretype($data['project_releasetype']).")" : "<span class='unknown'>Unknown</span>")."</td>";
    echo "</tr></table>";
	
	echo "<table width='900' border='0' style='margin: 15px auto 0px auto;border-spacing: 3px;border-collapse: separate;' class='tbl-border'><tr>";
	echo "<td class='tbl2' style='opacity: 0.7;filter: Alpha(opacity=70);font-weight: bold; font-size: 12px;padding: 2px 4px 2px 4px;'>".$locale['project_v012']."</td>";
	echo "</tr><tr>";
	if($devsett['screenshot'] == 1) {
		if($data['project_image'] == "" || !file_exists(PROJECT_SCR.$data['project_image_thumb'])) {
		    $scrn_image = "<img class='pro-screenshot' src='".PROJECT_SCR."no_screenshot.png' alt='Screenshot'>"; 
	} else {
		    $scrn_image = "<a href='".PROJECT_SCR.$data['project_image']."' title='' class='thickbox'><img style='width:".$devsett['thumb_width']."px; height:".$devsett['thumb_height']."px;'src='".INFUSIONS."df_project_panel/images/screenshots/".$data['project_image_thumb']."' class='pro-screenshot' alt='Single Image'/></a>";
	}
}
	echo "<td class='tbl1'>".$scrn_image." <div style='padding-top: 4px;' class='pro-floatfix'>".nl2br(parsesmileys(parseubb($data['project_descri'])))."</div></td>";
	echo "</tr>";
	if(!empty($data['project_tags'])){
	echo "<tr><td class='tbl2' style='opacity: 0.7;filter: Alpha(opacity=70);font-weight: bold; font-size: 11px;padding: 2px 4px 2px 4px;'>Tags</td></tr>";
	$project_tags = stripslashes($data['project_tags']);
		$tag = strtok($project_tags , " ,");
	echo "<tr><td class='tbl1'>";
		while ($tag !== false) {
	echo "<a class='search-tags' href='".PROJECT."search.php?stype=tags&amp;words=".stripinput(trim($tag))."'>#".$tag."</a>&nbsp; ";
		$tag = strtok(" ,");
	}
	echo "</td></tr>";
}

if(!empty($data['project_langs'])){
	echo "<tr><td class='tbl2' style='opacity: 0.7;filter: Alpha(opacity=70);font-weight: bold; font-size: 12px;padding: 2px 4px 2px 4px;'>Locales included</td></tr>";
	echo "<tr><td class='tbl1'>";
	$lang = strtok($data['project_langs'], ",");
    while ($lang !== false) {
	echo getprolangs($lang)."&nbsp;";
	$lang = strtok(",");
	}
	echo "</td></tr>";
}
	echo "</table>";
	if($data['project_author_notice'] != ""){
	echo "<table width='900' border='0' style='margin: 15px auto 0px auto;border-spacing: 2px;border-collapse: separate;' class='tbl-border'><tr>";
	echo "<td class='tbl2' style='opacity: 0.7;filter: Alpha(opacity=70);font-weight: bold; font-size: 12px;padding: 2px 4px 2px 4px;'>".$locale['project_v013']."</td>";
	echo "</tr><tr>";
	echo "<td class='tbl1'>".nl2br(parseubb(parsesmileys($data['project_author_notice'])))."</td>";
	echo "</tr>";
	echo "</table>";
	}
	$vresult = dbquery("SELECT p.*, u.user_id, u.user_name, u.user_status, u.user_avatar	
            FROM ".DF_PROJECTS." p
			LEFT JOIN ".DB_USERS." u ON u.user_id=p.project_author
			WHERE project_name LIKE '%".$data['project_name']."%' AND project_version < ".$data['project_version']."
			ORDER BY project_version ASC LIMIT 0,5");
	$versions = 0;
if(dbrows($vresult)) {
	$versions = 1;
	echo "<table width='900' style='margin: 15px auto 0px auto;border-spacing: 3px;border-collapse: separate;' border='0' style='margin: 0 auto;' class='tbl-border'><tr>";
	echo "<td colspan='3' class='tbl2' width='190' style='opacity: 0.7;filter: Alpha(opacity=70);font-weight: bold; font-size: 12px;padding: 2px 4px 2px 4px;'>".$locale['project_v014']."</td></tr><tr>";
	echo "<td class='tbl1' width='190'>".$locale['project_v015']."</td>";
	echo "<td class='tbl1' width='190'>".$locale['project_v016']."</td>";
	echo "<td class='tbl1' width='190'>".$locale['project_v017']."</td></tr>";
	while($vdata = dbarray($vresult)){
	echo "<tr><td class='tbl1' width='120'><a href='".PROJECT."view.php?id=".$vdata['project_id']."'>".$vdata['project_version']."</a></td>";
	echo "<td class='tbl1' width='120'>".showdate("%B %d %Y, %H:%M", $vdata['project_created'])."</td>";
	echo "<td class='tbl1' width='120'>".($vdata['project_release'] ? showdate("%B %d %Y, %H:%M", $vdata['project_release']) : $locale['project_g000'])."</td></tr>";
	}
	echo "</table>";
	}
	
	$presult = dbquery("SELECT pp.*, p.*, u.user_id, u.user_name, u.user_status, u.user_avatar	
            FROM ".DF_PROJECT_PROPOSALS." pp
			LEFT JOIN ".DB_USERS." u ON u.user_id=pp.project_proposal_poster
			LEFT JOIN ".DF_PROJECTS." p ON p.project_id=pp.project_proposal_iid
			WHERE pp.project_proposal_iid='".$data['project_id']."' AND pp.project_proposal_visi='1' AND ".groupaccess('pp.project_proposal_visiacc')."
			ORDER BY pp.project_proposal_posted DESC LIMIT 0,10");
	$propos = 0;
if(dbrows($presult)) {
	$propos = 1;
	echo "<table width='900' style='margin: 15px auto 0px auto;border-spacing: 3px;border-collapse: separate;' border='0' style='margin: 0 auto;' class='tbl-border'><tr>";
	echo "<td colspan='3' class='tbl2' width='190' style='opacity: 0.7;filter: Alpha(opacity=70);font-weight: bold; font-size: 12px;padding: 2px 4px 2px 4px;'>".$locale['project_v018']."</td></tr><tr>";
	echo "<td class='tbl1' width='190'>".$locale['project_v019']."</td>";
	echo "<td class='tbl1' width='190'>".$locale['project_v020']."</td>";
	echo "<td class='tbl1' width='190'>".$locale['project_g006']."</td></tr>";
	while($pdata = dbarray($presult)){
	echo "<tr><td class='tbl1' width='120'>";
	if($pdata['project_proposal_status'] == 0){
	echo "<span style='color:#B1B1FF;'>".$locale['project_v019']." <strong>#".$propos."</strong> ".$locale['project_v021']."</span>";
	} else {
	echo "<strong>[".pp_type($pdata['project_proposal_type'])."]</strong> <a href='".FUSION_SELF."?propos_id=".$pdata['project_proposal_id']."&amp;itid=$propos'>".$pdata['project_name']."</a>";
	}
	echo "</td>";
	echo "<td class='tbl1' width='120'>".($pdata['project_proposal_status'] == 0 ? $locale['project_g009'] : showdate("%B %d %Y, %H:%M", $pdata['project_proposal_posted']))."</td>";
	echo "<td class='tbl1' width='120'>".($pdata['project_proposal_status'] == 0 ? $locale['project_g009'] : (authorHidden($pdata['project_hideauthor']) ? "<span class='devel_hidden'>Hidden</span>" : profile_link($pdata['user_id'], $pdata['user_name'],$pdata['user_status'])))."</td></tr>";
	$propos++;
	}
    echo "</table>";
}
	
	list($project_name) = dbarraynum(dbquery("SELECT project_name FROM ".DF_PROJECTS." WHERE project_id=".$_GET['id'].""));
	$sresult = dbquery("SELECT p.*, pc.*,  u.user_id, u.user_name, u.user_status, u.user_avatar
			FROM ".DF_PROJECTS." p
			LEFT JOIN ".DB_USERS." u ON u.user_id=p.project_author
			LEFT JOIN ".DF_PROJECT_CATS." pc ON pc.project_cat_id=p.project_cat
			WHERE MATCH (p.project_name) AGAINST ('".$project_name."' IN BOOLEAN MODE) AND project_id !='".$_GET['id']."' AND ".groupaccess('project_access')." ORDER BY project_created DESC LIMIT 10");
			
if(dbrows($sresult)){
	echo "<table width='900' style='margin: 15px auto 10px auto;border-spacing: 3px;border-collapse: separate;' border='0' style='margin: 0 auto;' class='tbl-border'><tr>";
	echo "<td colspan='4' class='tbl2' width='190' style='opacity: 0.7;filter: Alpha(opacity=70);font-weight: bold; font-size: 12px;padding: 2px 4px 2px 4px;'>".$locale['project_v022']."</td></tr><tr>";
	echo "<td width='200' class='tbl1'>".$locale['project_v023']."</td>";
	echo "<td width='135' class='tbl1'>".$locale['project_v024']."</td>";
	echo "<td width='135' class='tbl1'>".$locale['project_v025']."</td>";
	echo "<td width='135' class='tbl1'>".$locale['project_v026']."</td>";
	echo "</tr>\n";
	$i = 0;
	while($similar = dbarray($sresult)){
    $new = ($similar['project_created'] + 172800 > time() + ($settings['timeoffset'] * 3600) ? "<span title='".$locale['project_g011']."' class='new'><a href='".FUSION_SELF."?id=".$similar['project_id']."'>".$similar['project_name']."</a></span>" : "");
	$row = ($i % 2 == 0 ? "tbl1" : "tbl2");
	echo "<tr><td class='tbl1' width='200'>".($new != "" ? $new : "<a href='".PROJECT."view.php?id=".$similar['project_id']."'>".$similar['project_name']."</a>")."</td>";
	echo "<td class='tbl1' width='135' ><a href='".PROJECT."project.php?cat_id=".$similar['project_cat_id']."'>".$similar['project_cat_name']."</a></td>";
	echo "<td class='tbl1' width='135'>".(authorHidden($similar['project_hideauthor']) ? "<span class='devel_hidden'>Hidden</span>" : profile_link($similar['user_id'], $similar['user_name'], $similar['user_status']))."</td>";
	echo "<td class='tbl1' width='135'>".showdate("forumdate", $similar['project_created'])."</td></tr>";
	$i++;
}
	echo "</table>";
	}
	$d_file = "";
	if (!empty($data['project_file']) && file_exists(PROJECT_FILE.$data['project_file'])) {	
if (!checkgroup($data['project_dlaccess'])) {
		$d_file .= "<div class='pro-dl-no'><span style='text-decoration: line-through;'>Download</span> (".parsebytesize(filesize(INFUSIONS."df_project_panel/files/".$data['project_file'])).")";
		$d_file .= "<br />Downloaded ".$data['project_fcount']." times</div>";
		$d_file .= "<div style='margin: 1px auto 0 auto; text-align: center; color: red;font-weight: bold;'>".$locale['project_e003']."</div>";
	} else {
	if (!file_exists(PROJECT_FILE.$data['project_file'])) { break; }
		$d_file .= "<div class='pro-dl-file'><a href='".FUSION_SELF."?id=".$data['project_id']."&amp;file_id=".$data['project_id']."' target='_blank'>Download</a> (".parsebytesize(filesize(INFUSIONS."df_project_panel/files/".$data['project_file'])).")";
		$d_file .= "<br />Downloaded ".$data['project_fcount']." times</div>";
	}
if($d_file){
	echo $d_file;
	}
}	
	echo "<div class='dev-bottom-options'>";
	echo "<div class='sshare'><span class='facebook'><a onclick=\"window.open('https://www.facebook.com/sharer/sharer.php?u=".$parameter."','','location=no,scrollbars=yes,width=550,height=400,left='+(screen.availWidth/2-200)+',top='+(screen.availHeight/2-200)+'');return false;\">".$locale['project_v027']."</a></span>\n";
    echo "<span class='twitter'><a onclick=\"window.open('http://twitter.com/share?url=".$parameter."&text=$sstitle','','location=no,scrollbars=yes,width=550,height=400,left='+(screen.availWidth/2-200)+',top='+(screen.availHeight/2-200)+'');return false;\">".$locale['project_v028']."</a></span>\n";
    echo "<span class='google-plus'><a onclick=\"window.open('https://plus.google.com/share?url=".$parameter."','','location=no,scrollbars=yes,width=550,height=400,left='+(screen.availWidth/2-200)+',top='+(screen.availHeight/2-200)+'');return false;\">".$locale['project_v029']."</a></span></div>";
	echo "<div class='opbuttons'>";
	if (checkrights('DPT')) { 
	echo (EditCheck($data['user_id']) ? "<span class='edit'><a href='".PROJECT_ADMIN."project_admin.php".$aidlink."&amp;action=edit&amp;project_id=".$data['project_id']."'>Edit</a></span>" : "<span style='text-decoration: line-through;' class='edit'>Edit</span>");
	}
	echo "<span class='report'><a href='".PROJECT."report.php?report=".$data['project_id']."' title='".$locale['project_v030']."'>".$locale['project_v030']."</a></span>";
if($data['project_allow_proposals'] != 0 && iMEMBER){
	echo "<span class='sproposals'><a href='".PROJECT."submit_proposals.php?id=".$data['project_id']."' title='".$locale['project_v031']."'>".$locale['project_v031']."</a></span>";
	} else {
	echo "<span class='sproposalsno'>".$locale['project_v031']."</span>";
	}
	echo "</div>\n</div>\n";
	   }
	}
	closetable();
	
if ($data['project_allow_ratings'] == 0 || !$check['access']) { 
		opentable($locale['project_v032']);
		echo "<div class='ratings-disabled'>".$locale['project_v033']."</div>";
		closetable();
		} else {
		showratings("J", $_GET['id'], FUSION_SELF."?id=".$_GET['id']); 
	}  
if ($data['project_allow_comments'] == 0 || $devsett['devcomments'] == 0 || !$check['access']) { 
		opentable($locale['project_v034']);
		echo "<div class='comments-disabled'>".$locale['project_v035']."</div>";
		closetable();
		} else {
		showcomments("DP", DF_PROJECTS, "project_id", $_GET['id'], FUSION_SELF."?id=".$_GET['id']); 
		}
	//if ($rest == 0) { redirect(INFUSIONS."df_project_panel/restricted.php?re=nca&amp;dev=".$_GET['id']); }
    // Please dont remove the copyright!
    echo DFDICopyright();
    // Please dont remove the copyright!
}
require_once THEMES . "templates/footer.php";
?>